// 1.3.5
// options: native inject options
// options.serviceName is native options name
service.register(options.serviceName, {
  /**
    * JS Service lifecycle. JS Service `create` will before then each instance lifecycle `create`. The return param `instance` is Weex protected param. This object will return to instance global. Other params will in the `services` at instance.
    *
    * @param  {String} id  instance id
    * @param  {Object} env device environment
    * @return {Object}
    */
  /* 
    rax components 0.4.18 
    @ali/universal-mtop： 1.3.0
    @ali/universal-user： 2.0.1
    @ali/universal-goldlog： 3.5.4
    @ali/universal-spm： 1.1.1
    @ali/universal-windvane： 1.0.4
    @ali/rax-spmlink： 2.1.4
    @ali/universal-data-prefetch：2.0.5
    @ali/rax-exp-view：0.0.13
    @ali/rax-weitao-follow 0.0.5
    @ali/universal-share 2.0.4
    @ali/rax-get-timestamp 0.0.2
  */
  create: function(id, env, config) {
    return {
      RaxNormalService: function(weex) {
        return {
          version: function() {
            return {
              v: '1.3.5',
              components: '0.4.18', 
              universalMtop: '1.3.0',
              universalUser: '2.0.1',
              universalGoldlog: '3.5.4',
              universalSpm: '1.1.1',
              universalWindvane: '1.0.4',
              raxSpmlink: '2.1.4',
              universalDataPrefetch: '2.0.5',
              raxExpView: '0.0.13',
              raxWeitaoFollow: '0.0.5',
              universalShare: '2.0.4',
              raxGetTimestamp: '0.0.2',
            };
          },
          universalEnv : function(define) {
            define('universal-env', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("universal-env",function(o,n,t){t.exports=e()});else{var o;o="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,o.UniversalEnv=e()}}(function(){return function(e){function o(t){if(n[t])return n[t].exports;var r=n[t]={i:t,l:!1,exports:{}};return e[t].call(r.exports,r,r.exports,o),r.l=!0,r.exports}var n={};return o.m=e,o.c=n,o.d=function(e,n,t){o.o(e,n)||Object.defineProperty(e,n,{configurable:!1,enumerable:!0,get:t})},o.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return o.d(n,"a",n),n},o.o=function(e,o){return Object.prototype.hasOwnProperty.call(e,o)},o.p="",o(o.s=0)}([function(e,o,n){"use strict";Object.defineProperty(o,"__esModule",{value:!0});var t="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};o.isWeb="object"===("undefined"==typeof navigator?"undefined":t(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),o.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),o.isWeex="function"==typeof callNative,o.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig}])});
            });
          },
          raxView : function(define) {
            define('rax-view', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-view",function(t,o,n){n.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxView=e()}}(function(){return function(e){function t(n){if(o[n])return o[n].exports;var r=o[n]={i:n,l:!1,exports:{}};return e[n].call(r.exports,r,r.exports,t),r.l=!0,r.exports}var o={};return t.m=e,t.c=o,t.d=function(e,o,n){t.o(e,o)||Object.defineProperty(e,o,{configurable:!1,enumerable:!0,get:n})},t.n=function(e){var o=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(o,"a",o),o},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=0)}([function(e,t,o){"use strict";function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var f=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},u=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),a=o(1),c=o(2),l=function(e){function t(){return n(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),u(t,[{key:"render",value:function(){var e=this.props;if(c.isWeex)return(0,a.createElement)("div",e);var t=f({},p.initial,e.style);return(0,a.createElement)("div",f({},e,{style:t}))}}]),t}(a.Component);l.propTypes={};var p={initial:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"flex",flexDirection:"column",alignContent:"flex-start",flexShrink:0}};t.default=l,e.exports=t.default},function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,o){"use strict";var n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===n(Symbol.iterator)?function(e){return void 0===e?"undefined":n(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":n(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":r(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports}])});
            });
          },
          raxText : function(define) {
            define('rax-text', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-text",function(t,n,r){r.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxText=e()}}(function(){return function(e){function t(r){if(n[r])return n[r].exports;var o=n[r]={i:r,l:!1,exports:{}};return e[r].call(o.exports,o,o.exports,t),o.l=!0,o.exports}var n={};return t.m=e,t.c=n,t.d=function(e,n,r){t.o(e,n)||Object.defineProperty(e,n,{configurable:!1,enumerable:!0,get:r})},t.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(n,"a",n),n},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=0)}([function(e,t,n){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function o(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}function f(e,t){var n=e.type,r=e.props,o=r.children;if("function"==typeof n){var i=new n;return i.props=r,o&&(i.props.children=u(o,t)),i.context=t.getChildContext(),i.render()}return e}function u(e,t){var n=[];Array.isArray(e)||(e=[e]);for(var r=0;r<e.length;r++){var o=e[r];"string"==typeof o?n.push(o):"object"===(void 0===o?"undefined":l(o))&&n.push(f(o,t))}return n}Object.defineProperty(t,"__esModule",{value:!0});var l="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},c=function(){function e(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,n,r){return n&&e(t.prototype,n),r&&e(t,r),t}}(),s=n(1),p=n(2),y=function(e){function t(){var e,n,i,f;r(this,t);for(var l=arguments.length,c=Array(l),y=0;y<l;y++)c[y]=arguments[y];return n=i=o(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(c))),i.renderText=function(){var e=i.props,t=a({},e,{style:e.style||{}}),n="";if(null!=e.children&&(n=Array.isArray(e.children)?e.children.join(""):e.children.toString()),i.context.isInAParentText)return(0,s.createElement)("span",t,n);if(e.onPress&&(t.onClick=e.onPress),p.isWeex)return e.numberOfLines&&(t.style.lines=e.numberOfLines),t.value=n,(0,s.createElement)("text",t);var r=a({},d.text,t.style),o=e.numberOfLines;return o&&(1===parseInt(o)?r.whiteSpace="nowrap":(r.display="-webkit-box",r.webkitBoxOrient="vertical",r.webkitLineClamp=String(o)),r.overflow="hidden"),(0,s.createElement)("span",a({},t,{style:r}),n)},i.renderRichText=function(){var e=i.props,t=e.children,n=a({},e,{style:e.style||{}}),r=a({},d.richtext,n.style);return p.isWeex&&(t=u(t,i)),(0,s.createElement)("p",a({},n,{style:r}),t)},f=n,o(i,f)}return i(t,e),c(t,[{key:"getChildContext",value:function(){return{isInAParentText:!0}}},{key:"render",value:function(){var e=this.props,t=e.children;Array.isArray(t)||(t=[t]);for(var n=!1,r=0;r<t.length;r++){var o=t[r];if(o&&"object"===(void 0===o?"undefined":l(o))){n=!0;break}}return n?this.renderRichText():this.renderText()}}]),t}(s.Component);y.propTypes={},y.contextTypes={isInAParentText:s.PropTypes.bool},y.childContextTypes={isInAParentText:s.PropTypes.bool};var d={text:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"block",flexDirection:"column",alignContent:"flex-start",flexShrink:0,fontSize:32},richtext:{marginTop:0,marginBottom:0}};t.default=y,e.exports=t.default},function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,n){"use strict";var r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var o="function"==typeof Symbol&&"symbol"===r(Symbol.iterator)?function(e){return void 0===e?"undefined":r(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":r(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":o(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports}])});
            });
          },
          raxImage : function(define) {
            define('rax-image', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-image",function(t,n,o){o.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxImage=e()}}(function(){return function(e){function t(o){if(n[o])return n[o].exports;var r=n[o]={i:o,l:!1,exports:{}};return e[o].call(r.exports,r,r.exports,t),r.l=!0,r.exports}var n={};return t.m=e,t.c=n,t.d=function(e,n,o){t.o(e,n)||Object.defineProperty(e,n,{configurable:!1,enumerable:!0,get:o})},t.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(n,"a",n),n},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=2)}([function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,n){"use strict";var o="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===o(Symbol.iterator)?function(e){return void 0===e?"undefined":o(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":o(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":r(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t,n){"use strict";function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var u=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(e[o]=n[o])}return e},l=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),f=n(0),a=n(1),c=n(3),s=function(e){return e&&e.__esModule?e:{default:e}}(c),p=function(e){function t(){return o(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),l(t,[{key:"render",value:function(){var e=u({},this.props),t=e.source;if(t&&t.uri){var n=e.style,o=t.width,r=t.height,i=t.uri;null==o&&null==r&&null==n.height&&null==n.width&&(o=0,r=0),e.style=u(u({},!this.context.isInAParentText&&{display:"flex"},{width:o,height:r}),n),e.src=i,delete e.source;var l=void 0;l=a.isWeex?"image":"img";var c=e.resizeMode||e.style.resizeMode;return c&&(a.isWeex?(e.resize=c,e.style.resizeMode=c):e.style.objectFit=c),this.props.children?(e.children=null,(0,f.createElement)(s.default,{style:e.style},(0,f.createElement)(l,e),(0,f.createElement)(s.default,{style:y.absoluteImage},this.props.children))):(0,f.createElement)(l,e)}return null}}]),t}(f.Component);p.propTypes={},p.resizeMode={contain:"contain",cover:"cover",stretch:"stretch",center:"center",repeat:"repeat"},p.contextTypes={isInAParentText:f.PropTypes.bool};var y={absoluteImage:{left:0,top:0,position:"absolute"}};t.default=p,e.exports=t.default},function(e,t,n){"use strict";function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":u(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":u(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var u="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var l=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(e[o]=n[o])}return e},f=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),a=n(0),c=n(1),s=function(e){function t(){return o(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),f(t,[{key:"render",value:function(){var e=this.props;if(c.isWeex)return(0,a.createElement)("div",e);var t=l({},p.initial,e.style);return(0,a.createElement)("div",l({},e,{style:t}))}}]),t}(a.Component);s.propTypes={};var p={initial:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"flex",flexDirection:"column",alignContent:"flex-start",flexShrink:0}};t.default=s,e.exports=t.default}])});
            });
          },
          raxTouchable : function(define) {
            define('rax-touchable', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-touchable",function(t,o,n){n.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxTouchable=e()}}(function(){return function(e){function t(n){if(o[n])return o[n].exports;var r=o[n]={i:n,l:!1,exports:{}};return e[n].call(r.exports,r,r.exports,t),r.l=!0,r.exports}var o={};return t.m=e,t.c=o,t.d=function(e,o,n){t.o(e,o)||Object.defineProperty(e,o,{configurable:!1,enumerable:!0,get:n})},t.n=function(e){var o=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(o,"a",o),o},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=2)}([function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,o){"use strict";var n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===n(Symbol.iterator)?function(e){return void 0===e?"undefined":n(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":n(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":r(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t,o){"use strict";function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var u=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},f=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),a=o(0),c=(o(1),o(3)),l=function(e){return e&&e.__esModule?e:{default:e}}(c),p=function(e){function t(){return n(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),f(t,[{key:"render",value:function(){var e=this.props,t=u({},e,{style:u({},s.initial,e.style),onClick:e.onPress});return delete t.onPress,(0,a.createElement)(l.default,t)}}]),t}(a.Component);p.propTypes={};var s={initial:{cursor:"pointer"}};t.default=p,e.exports=t.default},function(e,t,o){"use strict";function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":u(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":u(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var u="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var f=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},a=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),c=o(0),l=o(1),p=function(e){function t(){return n(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),a(t,[{key:"render",value:function(){var e=this.props;if(l.isWeex)return(0,c.createElement)("div",e);var t=f({},s.initial,e.style);return(0,c.createElement)("div",f({},e,{style:t}))}}]),t}(c.Component);p.propTypes={};var s={initial:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"flex",flexDirection:"column",alignContent:"flex-start",flexShrink:0}};t.default=p,e.exports=t.default}])});
            });
          },
          raxScrollview : function(define) {
            define('rax-scrollview', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-scrollview",function(t,o,r){r.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxScrollview=e()}}(function(){return function(e){function t(r){if(o[r])return o[r].exports;var n=o[r]={i:r,l:!1,exports:{}};return e[r].call(n.exports,n,n.exports,t),n.l=!0,n.exports}var o={};return t.m=e,t.c=o,t.d=function(e,o,r){t.o(e,o)||Object.defineProperty(e,o,{configurable:!1,enumerable:!0,get:r})},t.n=function(e){var o=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(o,"a",o),o},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=2)}([function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,o){"use strict";var r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var n="function"==typeof Symbol&&"symbol"===r(Symbol.iterator)?function(e){return void 0===e?"undefined":r(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":r(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":n(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t,o){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function l(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}function c(e,t){function o(){i=0,c=+new Date,l=e.apply(r,n),r=null,n=null}var r,n,l,i,c=0;return function(){r=this,n=arguments;var e=new Date-c;return i||(e>=t?o():i=setTimeout(o,t-e)),l}}Object.defineProperty(t,"__esModule",{value:!0});var a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var r in o)Object.prototype.hasOwnProperty.call(o,r)&&(e[r]=o[r])}return e},s=function(){function e(e,t){for(var o=0;o<t.length;o++){var r=t[o];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,o,r){return o&&e(t.prototype,o),r&&e(t,r),t}}(),f=o(0),u=o(1),p=o(3),d=r(p),y=o(4),h=r(y),b=750,v=function(e){function t(e){n(this,t);var r=l(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,e));return r.lastScrollDistance=0,r.lastScrollContentSize=0,r.loadmoreretry=1,r.handleScroll=function(e){if(u.isWeb&&(r.props.onScroll&&(e.nativeEvent={get contentOffset(){return{x:e.target.scrollLeft,y:e.target.scrollTop}}},r.props.onScroll(e)),r.props.onEndReached)){r.scrollerNode||(r.scrollerNode=(0,f.findDOMNode)(r.refs.scroller),r.scrollerContentNode=(0,f.findDOMNode)(r.refs.contentContainer),r.scrollerNodeSize=r.props.horizontal?r.scrollerNode.offsetWidth:r.scrollerNode.offsetHeight);var t=r.props.horizontal?r.scrollerNode.scrollWidth:r.scrollerNode.scrollHeight,o=r.props.horizontal?r.scrollerNode.scrollLeft:r.scrollerNode.scrollTop,n=t-o-r.scrollerNodeSize<r.props.onEndReachedThreshold,l=o>r.lastScrollDistance,i=t!=r.lastScrollContentSize;n&&l&&i&&(r.lastScrollContentSize=t,r.props.onEndReached(e)),r.lastScrollDistance=o}u.isWeex&&(e.nativeEvent={contentOffset:{x:-e.contentOffset.x,y:-e.contentOffset.y}},r.props.onScroll(e))},r.resetScroll=function(){u.isWeb?(r.lastScrollContentSize=0,r.lastScrollDistance=0):r.setState({loadmoreretry:r.loadmoreretry++})},r.scrollTo=function(e){var t=parseInt(e.x),n=parseInt(e.y);if(u.isWeex){var l=o(5),i=(0,f.findDOMNode)(r.refs.contentContainer);l.scrollToElement(i.ref,{offset:t||n||0,animated:!e||void 0===e.animated||e.animated})}else{var c=document.documentElement.clientWidth/b;t>=0&&((0,f.findDOMNode)(r.refs.scroller).scrollLeft=c*t),n>=0&&((0,f.findDOMNode)(r.refs.scroller).scrollTop=c*n)}},r.state={loadmoreretry:0},r}return i(t,e),s(t,[{key:"render",value:function(){var e=this,t=this.props,o=(t.id,t.style,t.scrollEventThrottle),r=t.showsHorizontalScrollIndicator,n=t.showsVerticalScrollIndicator,l=t.onEndReached,i=t.onEndReachedThreshold,s=t.onScroll,p=t.children;i=parseInt(i,10);var y=[this.props.horizontal&&m.contentContainerHorizontal,this.props.contentContainerStyle];if(u.isWeex||this.props.horizontal||y.push(m.containerWebStyle),this.props.style){var b=["alignItems","justifyContent"].filter(function(t){return void 0!==e.props.style[t]});0!==b.length&&console.warn("ScrollView child layout ("+JSON.stringify(b)+") must be applied through the contentContainerStyle prop.")}var v=(0,f.createElement)(d.default,null),S=void 0;S=Array.isArray(p)?p.map(function(e,t){if(!e||e.type!=h.default)return e;v=e}):p;var w=(0,f.createElement)(d.default,{ref:"contentContainer",style:y},S),O=this.props.horizontal?m.baseHorizontal:m.baseVertical,x=a({},O,this.props.style),g=this.props.horizontal?r:n;if(u.isWeex)return(0,f.createElement)("scroller",a({},this.props,{style:x,showScrollbar:g,onLoadmore:l,onScroll:s?this.handleScroll:null,loadmoreoffset:i,loadmoreretry:this.state.loadmoreretry,scrollDirection:this.props.horizontal?"horizontal":"vertical"}),v,w);var _=this.handleScroll;if(o&&(_=c(_,o)),!g&&!document.getElementById("rax-scrollview-style")){var j=document.createElement("style");j.id="rax-scrollview-style",document.head.appendChild(j),j.innerHTML="."+this.props.className+"::-webkit-scrollbar{display: none;}"}x.webkitOverflowScrolling="touch",x.overflow="scroll";var E=a({},this.props,{ref:"scroller",style:x,onScroll:_});return delete E.onEndReachedThreshold,(0,f.createElement)(d.default,E,w)}}]),t}(f.Component);v.propTypes={},v.defaultProps={scrollEventThrottle:50,onEndReachedThreshold:500,showsHorizontalScrollIndicator:!0,showsVerticalScrollIndicator:!0,className:"rax-scrollview"};var m={baseVertical:{flex:1,flexDirection:"column"},baseHorizontal:{flex:1,flexDirection:"row"},contentContainerHorizontal:{flexDirection:"row"},containerWebStyle:{display:"block"}};t.default=v,e.exports=t.default},function(e,t,o){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function n(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":i(t))&&"function"!=typeof t?e:t}function l(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":i(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var i="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var c=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var r in o)Object.prototype.hasOwnProperty.call(o,r)&&(e[r]=o[r])}return e},a=function(){function e(e,t){for(var o=0;o<t.length;o++){var r=t[o];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,o,r){return o&&e(t.prototype,o),r&&e(t,r),t}}(),s=o(0),f=o(1),u=function(e){function t(){return r(this,t),n(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return l(t,e),a(t,[{key:"render",value:function(){var e=this.props;if(f.isWeex)return(0,s.createElement)("div",e);var t=c({},p.initial,e.style);return(0,s.createElement)("div",c({},e,{style:t}))}}]),t}(s.Component);u.propTypes={};var p={initial:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"flex",flexDirection:"column",alignContent:"flex-start",flexShrink:0}};t.default=u,e.exports=t.default},function(e,t,o){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function n(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":i(t))&&"function"!=typeof t?e:t}function l(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":i(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var i="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var c=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var r in o)Object.prototype.hasOwnProperty.call(o,r)&&(e[r]=o[r])}return e},a=function(){function e(e,t){for(var o=0;o<t.length;o++){var r=t[o];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,o,r){return o&&e(t.prototype,o),r&&e(t,r),t}}(),s=o(0),f=o(1),u=function(e){function t(){return r(this,t),n(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return l(t,e),a(t,[{key:"render",value:function(){if(f.isWeex){var e=this.props.refreshing?"show":"hide";return(0,s.createElement)("refresh",c({},this.props,{display:e}),this.props.children)}return null}}]),t}(s.Component);t.default=u,e.exports=t.default},function(e,t){e.exports=require("@weex-module/dom")}])});
            });
          },
          raxRefreshcontrol : function(define) {
            define('rax-refreshcontrol', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-refreshcontrol",function(t,o,n){n.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxRefreshcontrol=e()}}(function(){return function(e){function t(n){if(o[n])return o[n].exports;var r=o[n]={i:n,l:!1,exports:{}};return e[n].call(r.exports,r,r.exports,t),r.l=!0,r.exports}var o={};return t.m=e,t.c=o,t.d=function(e,o,n){t.o(e,o)||Object.defineProperty(e,o,{configurable:!1,enumerable:!0,get:n})},t.n=function(e){var o=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(o,"a",o),o},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=0)}([function(e,t,o){"use strict";function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var f=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},u=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),c=o(1),a=o(2),p=function(e){function t(){return n(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),u(t,[{key:"render",value:function(){if(a.isWeex){var e=this.props.refreshing?"show":"hide";return(0,c.createElement)("refresh",f({},this.props,{display:e}),this.props.children)}return null}}]),t}(c.Component);t.default=p,e.exports=t.default},function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,o){"use strict";var n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===n(Symbol.iterator)?function(e){return void 0===e?"undefined":n(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":n(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":r(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports}])});
            });
          },
          raxLink : function(define) {
            define('rax-link', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-link",function(t,n,o){o.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxLink=e()}}(function(){return function(e){function t(o){if(n[o])return n[o].exports;var r=n[o]={i:o,l:!1,exports:{}};return e[o].call(r.exports,r,r.exports,t),r.l=!0,r.exports}var n={};return t.m=e,t.c=n,t.d=function(e,n,o){t.o(e,n)||Object.defineProperty(e,n,{configurable:!1,enumerable:!0,get:o})},t.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(n,"a",n),n},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=2)}([function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,n){"use strict";var o="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===o(Symbol.iterator)?function(e){return void 0===e?"undefined":o(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":o(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":r(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t,n){"use strict";function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var l=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(e[o]=n[o])}return e},f=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),u=n(0),a=n(1),c=n(3),s=function(e){return e&&e.__esModule?e:{default:e}}(c),p=function(e){function t(){return o(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),f(t,[{key:"getChildContext",value:function(){return{isInAParentLink:!0}}},{key:"render",value:function(){if(this.context.isInAParentLink)return console.error("Nested links are illegal");var e=this.props,t=e.children,n=l({},e),o=l({},y.initial,n.style),r={color:o.color,lines:o.lines,fontSize:o.fontSize,fontStyle:o.fontStyle,fontWeight:o.fontWeight,textDecoration:o.textDecoration,textAlign:o.textAlign,fontFamily:o.fontFamily,textOverflow:o.textOverflow};n.onPress&&(n.onClick=n.onPress,delete n.onPress);var i=t;return"string"!=typeof t||this.context.isInAParentText||(i=(0,u.createElement)(s.default,{style:r},t)),a.isWeex?(0,u.createElement)("a",n,i):(0,u.createElement)("a",l({},n,{style:o}),i)}}]),t}(u.Component);p.contextTypes={isInAParentLink:u.PropTypes.bool,isInAParentText:u.PropTypes.bool},p.childContextTypes={isInAParentLink:u.PropTypes.bool};var y={initial:{textDecoration:"none"}};t.default=p,e.exports=t.default},function(e,t,n){"use strict";function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":u(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":u(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}function l(e,t){var n=e.type,o=e.props,r=o.children;if("function"==typeof n){var i=new n;return i.props=o,r&&(i.props.children=f(r,t)),i.context=t.getChildContext(),i.render()}return e}function f(e,t){var n=[];Array.isArray(e)||(e=[e]);for(var o=0;o<e.length;o++){var r=e[o];"string"==typeof r?n.push(r):"object"===(void 0===r?"undefined":a(r))&&n.push(l(r,t))}return n}var u="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var a="function"==typeof Symbol&&"symbol"===u(Symbol.iterator)?function(e){return void 0===e?"undefined":u(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":u(e)},c=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(e[o]=n[o])}return e},s=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),p=n(0),y=n(1),d=function(e){function t(){var e,n,i,l;o(this,t);for(var u=arguments.length,a=Array(u),s=0;s<u;s++)a[s]=arguments[s];return n=i=r(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(a))),i.renderText=function(){var e=i.props,t=c({},e,{style:e.style||{}}),n="";if(null!=e.children&&(n=Array.isArray(e.children)?e.children.join(""):e.children.toString()),i.context.isInAParentText)return(0,p.createElement)("span",t,n);if(e.onPress&&(t.onClick=e.onPress),y.isWeex)return e.numberOfLines&&(t.style.lines=e.numberOfLines),t.value=n,(0,p.createElement)("text",t);var o=c({},b.text,t.style),r=e.numberOfLines;return r&&(1===parseInt(r)?o.whiteSpace="nowrap":(o.display="-webkit-box",o.webkitBoxOrient="vertical",o.webkitLineClamp=String(r)),o.overflow="hidden"),(0,p.createElement)("span",c({},t,{style:o}),n)},i.renderRichText=function(){var e=i.props,t=e.children,n=c({},e,{style:e.style||{}}),o=c({},b.richtext,n.style);return y.isWeex&&(t=f(t,i)),(0,p.createElement)("p",c({},n,{style:o}),t)},l=n,r(i,l)}return i(t,e),s(t,[{key:"getChildContext",value:function(){return{isInAParentText:!0}}},{key:"render",value:function(){var e=this.props,t=e.children;Array.isArray(t)||(t=[t]);for(var n=!1,o=0;o<t.length;o++){var r=t[o];if(r&&"object"===(void 0===r?"undefined":a(r))){n=!0;break}}return n?this.renderRichText():this.renderText()}}]),t}(p.Component);d.propTypes={},d.contextTypes={isInAParentText:p.PropTypes.bool},d.childContextTypes={isInAParentText:p.PropTypes.bool};var b={text:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"block",flexDirection:"column",alignContent:"flex-start",flexShrink:0,fontSize:32},richtext:{marginTop:0,marginBottom:0}};t.default=d,e.exports=t.default}])});
            });
          },
          universalPanresponder : function(define) {
            define('universal-panresponder', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("universal-panresponder",function(t,n,o){o.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.UniversalPanresponder=e()}}(function(){return function(e){function t(o){if(n[o])return n[o].exports;var r=n[o]={i:o,l:!1,exports:{}};return e[o].call(r.exports,r,r.exports,t),r.l=!0,r.exports}var n={};return t.m=e,t.c=n,t.d=function(e,n,o){t.o(e,n)||Object.defineProperty(e,n,{configurable:!1,enumerable:!0,get:o})},t.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(n,"a",n),n},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=0)}([function(e,t,n){"use strict";function o(e){return e&&e.__esModule?e:{default:e}}var r=n(1),u=n(2),i=o(u),a=n(3),c=o(a),s=i.default.currentCentroidXOfTouchesChangedAfter,d=i.default.currentCentroidYOfTouchesChangedAfter,p=i.default.previousCentroidXOfTouchesChangedAfter,f=i.default.previousCentroidYOfTouchesChangedAfter,m=i.default.currentCentroidX,v=i.default.currentCentroidY,l={_initializeGestureState:function(e){e.moveX=0,e.moveY=0,e.x0=0,e.y0=0,e.dx=0,e.dy=0,e.vx=0,e.vy=0,e.numberActiveTouches=0,e._accountsForMovesUpTo=0},_updateGestureStateOnMove:function(e,t){e.numberActiveTouches=t.numberActiveTouches,e.moveX=s(t,e._accountsForMovesUpTo),e.moveY=d(t,e._accountsForMovesUpTo);var n=e._accountsForMovesUpTo,o=p(t,n),r=s(t,n),u=f(t,n),i=d(t,n),a=e.dx+(r-o),c=e.dy+(i-u),m=t.mostRecentTimeStamp-e._accountsForMovesUpTo;e.vx=(a-e.dx)/m,e.vy=(c-e.dy)/m,e.dx=a,e.dy=c,e._accountsForMovesUpTo=t.mostRecentTimeStamp},create:function(e){var t={stateID:Math.random()};l._initializeGestureState(t);var n={onStartShouldSetResponder:function(n){return void 0!==e.onStartShouldSetPanResponder&&e.onStartShouldSetPanResponder(n,t)},onMoveShouldSetResponder:function(n){return void 0!==e.onMoveShouldSetPanResponder&&e.onMoveShouldSetPanResponder(n,t)},onStartShouldSetResponderCapture:function(n){return 1===n.nativeEvent.touches.length&&l._initializeGestureState(t),t.numberActiveTouches=c.default.touchHistory.numberActiveTouches,void 0!==e.onStartShouldSetPanResponderCapture&&e.onStartShouldSetPanResponderCapture(n,t)},onMoveShouldSetResponderCapture:function(n){var o=c.default.touchHistory;return t._accountsForMovesUpTo!==o.mostRecentTimeStamp&&(l._updateGestureStateOnMove(t,o),!!e.onMoveShouldSetPanResponderCapture&&e.onMoveShouldSetPanResponderCapture(n,t))}},o={onResponderGrant:function(n){return t.x0=m(c.default.touchHistory),t.y0=v(c.default.touchHistory),t.dx=0,t.dy=0,e.onPanResponderGrant&&e.onPanResponderGrant(n,t),void 0===e.onShouldBlockNativeResponder||e.onShouldBlockNativeResponder()},onResponderReject:function(n){e.onPanResponderReject&&e.onPanResponderReject(n,t)},onResponderRelease:function(n){e.onPanResponderRelease&&e.onPanResponderRelease(n,t),l._initializeGestureState(t)},onResponderTerminate:function(n){e.onPanResponderTerminate&&e.onPanResponderTerminate(n,t),l._initializeGestureState(t)},onResponderTerminationRequest:function(n){return void 0===e.onPanResponderTerminationRequest||e.onPanResponderTerminationRequest(n,t)}},u=!1,i={onTouchStart:function(r){u=!0,c.default.recordTouchTrack("start",r),o.onResponderGrant(r);var i=c.default.touchHistory;if(t.numberActiveTouches=i.numberActiveTouches,!n.onStartShouldSetResponder(r))return o.onResponderReject(r);e.onPanResponderStart&&e.onPanResponderStart(r,t)},onTouchMove:function(o){if(u){c.default.recordTouchTrack("move",o);var r=c.default.touchHistory;t._accountsForMovesUpTo!==r.mostRecentTimeStamp&&(l._updateGestureStateOnMove(t,r),n.onMoveShouldSetResponder(o)&&e.onPanResponderMove&&e.onPanResponderMove(o,t))}},onTouchEnd:function(n){u=!1,c.default.recordTouchTrack("end",n);var r=c.default.touchHistory;t.numberActiveTouches=r.numberActiveTouches,e.onPanResponderEnd&&e.onPanResponderEnd(n,t),o.onResponderRelease(n)}};return r.isWeb&&(i="ontouchstart"in window?{onTouchStart:i.onTouchStart,onTouchMove:i.onTouchMove,onTouchEnd:i.onTouchEnd}:{onMouseDown:i.onTouchStart,onMouseMove:i.onTouchMove,onMouseUp:i.onTouchEnd}),{panHandlers:i}}};e.exports=l},function(e,t,n){"use strict";var o="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===o(Symbol.iterator)?function(e){return void 0===e?"undefined":o(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":o(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":r(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t,n){"use strict";var o={centroidDimension:function(e,t,n,r){var u=e.touchBank,i=0,a=0,c=1===e.numberActiveTouches?e.touchBank[e.indexOfSingleActiveTouch]:null;if(null!==c)c.touchActive&&c.currentTimeStamp>t&&(i+=r&&n?c.currentPageX:r&&!n?c.currentPageY:!r&&n?c.previousPageX:c.previousPageY,a=1);else for(var s in u){var d=u[s];if(null!==d&&void 0!==d&&d.touchActive&&d.currentTimeStamp>=t){var p;p=r&&n?d.currentPageX:r&&!n?d.currentPageY:!r&&n?d.previousPageX:d.previousPageY,i+=p,a++}}return a>0?i/a:o.noCentroid},currentCentroidXOfTouchesChangedAfter:function(e,t){return o.centroidDimension(e,t,!0,!0)},currentCentroidYOfTouchesChangedAfter:function(e,t){return o.centroidDimension(e,t,!1,!0)},previousCentroidXOfTouchesChangedAfter:function(e,t){return o.centroidDimension(e,t,!0,!1)},previousCentroidYOfTouchesChangedAfter:function(e,t){return o.centroidDimension(e,t,!1,!1)},currentCentroidX:function(e){return o.centroidDimension(e,0,!0,!0)},currentCentroidY:function(e){return o.centroidDimension(e,0,!1,!0)},noCentroid:-1};e.exports=o},function(e,t,n){"use strict";function o(e){return e&&Array.prototype.slice.call(e)||[]}function r(e,t){var n=t.timeStamp||t.timestamp;return o(e).map(function(e){return{clientX:e.clientX,clientY:e.clientY,force:e.force,pageX:e.screenX,pageY:e.screenY,radiusX:e.radiusX,radiusY:e.radiusY,rotationAngle:e.rotationAngle,screenX:e.screenX,screenY:e.screenY,target:e.target||t.target,timestamp:n,identifier:e.identifier||1}})}var u={touchBank:{},numberActiveTouches:0,indexOfSingleActiveTouch:-1,mostRecentTimeStamp:0},i=function(e){return{touchActive:!0,startTimeStamp:e.timestamp,startPageX:e.pageX,startPageY:e.pageY,currentPageX:e.pageX,currentPageY:e.pageY,currentTimeStamp:e.timestamp,previousPageX:e.pageX,previousPageY:e.pageY,previousTimeStamp:e.timestamp}},a=function(e,t){e.touchActive=!0,e.startTimeStamp=t.timestamp,e.startPageX=t.pageX,e.startPageY=t.pageY,e.currentPageX=t.pageX,e.currentPageY=t.pageY,e.currentTimeStamp=t.timestamp,e.previousPageX=t.pageX,e.previousPageY=t.pageY,e.previousTimeStamp=t.timestamp},c=function(e){var t=u.touchBank,n=e.identifier,o=t[n];o?a(o,e):t[e.identifier]=i(e),u.mostRecentTimeStamp=e.timestamp},s=function(e){var t=u.touchBank,n=t[e.identifier];n.touchActive=!0,n.previousPageX=n.currentPageX,n.previousPageY=n.currentPageY,n.previousTimeStamp=n.currentTimeStamp,n.currentPageX=e.pageX,n.currentPageY=e.pageY,n.currentTimeStamp=e.timestamp,u.mostRecentTimeStamp=e.timestamp},d=function(e){var t=u.touchBank,n=t[e.identifier];n.previousPageX=n.currentPageX,n.previousPageY=n.currentPageY,n.previousTimeStamp=n.currentTimeStamp,n.currentPageX=e.pageX,n.currentPageY=e.pageY,n.currentTimeStamp=e.timestamp,n.touchActive=!1,u.mostRecentTimeStamp=e.timestamp},p={recordTouchTrack:function(e,t){var n=u.touchBank,o=r(t.changedTouches||[t],t);if("move"===e)o.forEach(s);else if("start"===e)o.forEach(c),u.numberActiveTouches=o.length,1===u.numberActiveTouches&&(u.indexOfSingleActiveTouch=o[0].identifier);else if("end"===e&&(o.forEach(d),u.numberActiveTouches=o.length,1===u.numberActiveTouches))for(var i in n){var a=n[i];if(null!=a&&a.touchActive){u.indexOfSingleActiveTouch=i;break}}},touchHistory:u};e.exports=p}])});
            });
          },
          raxSlider : function(define) {
            define('rax-slider', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-slider",function(t,n,o){o.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxSlider=e()}}(function(){return function(e){function t(o){if(n[o])return n[o].exports;var r=n[o]={i:o,l:!1,exports:{}};return e[o].call(r.exports,r,r.exports,t),r.l=!0,r.exports}var n={};return t.m=e,t.c=n,t.d=function(e,n,o){t.o(e,n)||Object.defineProperty(e,n,{configurable:!1,enumerable:!0,get:o})},t.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(n,"a",n),n},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=4)}([function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,n){"use strict";var o="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===o(Symbol.iterator)?function(e){return void 0===e?"undefined":o(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":o(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":r(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t,n){"use strict";function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":a(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":a(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var a="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var s=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(e[o]=n[o])}return e},u=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),l=n(0),c=n(1),p=function(e){function t(){return o(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),u(t,[{key:"render",value:function(){var e=this.props;if(c.isWeex)return(0,l.createElement)("div",e);var t=s({},d.initial,e.style);return(0,l.createElement)("div",s({},e,{style:t}))}}]),t}(l.Component);p.propTypes={};var d={initial:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"flex",flexDirection:"column",alignContent:"flex-start",flexShrink:0}};t.default=p,e.exports=t.default},function(e,t,n){"use strict";function o(e){return e&&e.__esModule?e:{default:e}}var r=n(1),i=n(6),a=o(i),s=n(7),u=o(s),l=a.default.currentCentroidXOfTouchesChangedAfter,c=a.default.currentCentroidYOfTouchesChangedAfter,p=a.default.previousCentroidXOfTouchesChangedAfter,d=a.default.previousCentroidYOfTouchesChangedAfter,f=a.default.currentCentroidX,h=a.default.currentCentroidY,v={_initializeGestureState:function(e){e.moveX=0,e.moveY=0,e.x0=0,e.y0=0,e.dx=0,e.dy=0,e.vx=0,e.vy=0,e.numberActiveTouches=0,e._accountsForMovesUpTo=0},_updateGestureStateOnMove:function(e,t){e.numberActiveTouches=t.numberActiveTouches,e.moveX=l(t,e._accountsForMovesUpTo),e.moveY=c(t,e._accountsForMovesUpTo);var n=e._accountsForMovesUpTo,o=p(t,n),r=l(t,n),i=d(t,n),a=c(t,n),s=e.dx+(r-o),u=e.dy+(a-i),f=t.mostRecentTimeStamp-e._accountsForMovesUpTo;e.vx=(s-e.dx)/f,e.vy=(u-e.dy)/f,e.dx=s,e.dy=u,e._accountsForMovesUpTo=t.mostRecentTimeStamp},create:function(e){var t={stateID:Math.random()};v._initializeGestureState(t);var n={onStartShouldSetResponder:function(n){return void 0!==e.onStartShouldSetPanResponder&&e.onStartShouldSetPanResponder(n,t)},onMoveShouldSetResponder:function(n){return void 0!==e.onMoveShouldSetPanResponder&&e.onMoveShouldSetPanResponder(n,t)},onStartShouldSetResponderCapture:function(n){return 1===n.nativeEvent.touches.length&&v._initializeGestureState(t),t.numberActiveTouches=u.default.touchHistory.numberActiveTouches,void 0!==e.onStartShouldSetPanResponderCapture&&e.onStartShouldSetPanResponderCapture(n,t)},onMoveShouldSetResponderCapture:function(n){var o=u.default.touchHistory;return t._accountsForMovesUpTo!==o.mostRecentTimeStamp&&(v._updateGestureStateOnMove(t,o),!!e.onMoveShouldSetPanResponderCapture&&e.onMoveShouldSetPanResponderCapture(n,t))}},o={onResponderGrant:function(n){return t.x0=f(u.default.touchHistory),t.y0=h(u.default.touchHistory),t.dx=0,t.dy=0,e.onPanResponderGrant&&e.onPanResponderGrant(n,t),void 0===e.onShouldBlockNativeResponder||e.onShouldBlockNativeResponder()},onResponderReject:function(n){e.onPanResponderReject&&e.onPanResponderReject(n,t)},onResponderRelease:function(n){e.onPanResponderRelease&&e.onPanResponderRelease(n,t),v._initializeGestureState(t)},onResponderTerminate:function(n){e.onPanResponderTerminate&&e.onPanResponderTerminate(n,t),v._initializeGestureState(t)},onResponderTerminationRequest:function(n){return void 0===e.onPanResponderTerminationRequest||e.onPanResponderTerminationRequest(n,t)}},i=!1,a={onTouchStart:function(r){i=!0,u.default.recordTouchTrack("start",r),o.onResponderGrant(r);var a=u.default.touchHistory;if(t.numberActiveTouches=a.numberActiveTouches,!n.onStartShouldSetResponder(r))return o.onResponderReject(r);e.onPanResponderStart&&e.onPanResponderStart(r,t)},onTouchMove:function(o){if(i){u.default.recordTouchTrack("move",o);var r=u.default.touchHistory;t._accountsForMovesUpTo!==r.mostRecentTimeStamp&&(v._updateGestureStateOnMove(t,r),n.onMoveShouldSetResponder(o)&&e.onPanResponderMove&&e.onPanResponderMove(o,t))}},onTouchEnd:function(n){i=!1,u.default.recordTouchTrack("end",n);var r=u.default.touchHistory;t.numberActiveTouches=r.numberActiveTouches,e.onPanResponderEnd&&e.onPanResponderEnd(n,t),o.onResponderRelease(n)}};return r.isWeb&&(a="ontouchstart"in window?{onTouchStart:a.onTouchStart,onTouchMove:a.onTouchMove,onTouchEnd:a.onTouchEnd}:{onMouseDown:a.onTouchStart,onMouseMove:a.onTouchMove,onMouseUp:a.onTouchEnd}),{panHandlers:a}}};e.exports=v},function(e,t,n){"use strict";function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(e[o]=n[o])}return e},s=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),u=n(0),l=n(1),c=void 0;l.isWeb&&(c=n(5));var p=function(e){function t(){var e,n,i,a;o(this,t);for(var s=arguments.length,u=Array(s),l=0;l<s;l++)u[l]=arguments[l];return n=i=r(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(u))),i.state={index:i.props.index||0},i.onChange=function(e){i.props.onChange(e)},a=n,r(i,a)}return i(t,e),s(t,[{key:"handleNativeProps",value:function(){var e=this.props,t=e.defaultPaginationStyle,n=e.autoPlay,o=e.showsPagination,r=e.paginationStyle,i=e.autoPlayInterval,s=e.loop,u=e.width,l=e.height,c=this.state.index;return a({onChange:this.onChange,autoPlay:n,showIndicators:o,paginationStyle:r||t,interval:i,infinite:s,index:c},{style:a({width:u,height:l},this.props.style)})}},{key:"slideTo",value:function(e){l.isWeex?this.setState({index:e}):this.refs.slider.slideTo(e)}},{key:"render",value:function(){if(l.isWeex){var e=this.props.children,t=this.handleNativeProps();return(0,u.createElement)("slider",t,t.showIndicators?(0,u.createElement)("indicator",{style:t.paginationStyle}):null,e)}return(0,u.createElement)(c,a({ref:"slider"},this.props))}}]),t}(u.Component);p.defaultProps={onChange:function(){},defaultPaginationStyle:d};var d={position:"absolute",width:750,height:40,bottom:20,left:0,itemColor:"rgba(255, 255, 255, 0.5)",itemSelectedColor:"rgb(255, 80, 0)",itemSize:8};t.default=p,e.exports=t.default},function(e,t,n){"use strict";function o(e){return e&&e.__esModule?e:{default:e}}function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function i(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function a(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),u=n(0),l=n(2),c=o(l),p=n(3),d=(o(p),n(8)),f=o(d),h=n(10),v=o(h),y="SWIPE_LEFT",m="SWIPE_RIGHT",g=function(e){function t(e){r(this,t);var n=i(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,e));return n.onSwipeBegin=function(){n.isSwiping=!0,clearInterval(n.autoPlayTimer)},n.onSwipe=function(e){var t=(e.direction,e.distance);e.velocity;if(!n.isLoopEnd()){var o=t-n.offsetX,r=(0,u.findDOMNode)(n.refs.swipeView),i="translate3d("+o+"px, 0px, 0px)";r.style.transform=i,r.style.webkitTransform=i}},n.onSwipeEnd=function(e){var t=e.direction;e.distance,e.velocity;n.isSwiping=!1;var o=n.total,r=n.loopedIndex();n.isLoopEnd()&&(r===o-1&&t===y||0===r&&t===m)||n.slideTo(n.index,t),n.props.autoPlay&&n.autoPlay()},n.getPages=function(){var e=n.props.children;return!e.length||e.length<=1?(0,u.createElement)(c.default,{style:v.default.childrenStyle},e):e.map(function(e,t){var o="child"+t,r={width:n.width+"px",height:n.height,left:t*n.width+"px"};return(0,u.createElement)(c.default,{ref:o,className:"childWrap"+t,style:[v.default.childrenStyle,r],key:t},e)})},n.index=0,n.height=null,n.width=null,n.loopIdx=0,n.offsetX=null,n.isSwiping=!1,n.total=0,n}return a(t,e),s(t,[{key:"componentWillMount",value:function(){var e=this.props,t=e.children,n=e.height,o=e.width;t.length<2||(this.index=0,this.height=n,this.width=parseFloat(o)*document.documentElement.clientWidth/750,this.loopIdx=0,this.total=t.length)}},{key:"componentDidMount",value:function(){this.props.autoPlay&&this.total>1&&this.autoPlay()}},{key:"componentWillUnmount",value:function(){this.autoPlayTimer&&clearInterval(this.autoPlayTimer)}},{key:"autoPlay",value:function(){var e=this,t=this.props.autoplayInterval;this.isSwiping||(this.autoPlayTimer&&clearInterval(this.autoPlayTimer),this.autoPlayTimer=setInterval(function(){e.isLoopEnd()||e.slideTo(e.index,y)},parseFloat(t)))}},{key:"slideTo",value:function(e,t){if(!this.isSwiping){this.index=t?t===y?e+1:e-1:e,this.offsetX=this.index*this.width;var n=this.loopedIndex(),o=(0,u.findDOMNode)(this.refs.swipeView),r="translate3d("+-1*this.offsetX+"px, 0px, 0px)";o.style.transform=r,o.style.webkitTransform=r,this.loopIdx=this.index<0&&0!==n?this.total-n:n;var i="child"+this.loopIdx;(0,u.findDOMNode)(this.refs[i]).style.left=this.offsetX+"px",this.props.onChange({index:this.loopIdx}),this.setState({offsetX:this.offsetX})}}},{key:"isLoopEnd",value:function(){var e=this.loopedIndex(),t=this.total;return!(this.props.loop||e!==t-1&&0!==e)}},{key:"loopedIndex",value:function(e,t){return e=e||this.index,t=t||this.total,Math.abs(e)%t}},{key:"renderPagination",value:function(){var e=this.props;if(!(this.total<=1)){Object.assign(v.default.defaultPaginationStyle,e.paginationStyle);for(var t=v.default.defaultPaginationStyle,n=t.itemSelectedColor,o=t.itemColor,r=t.itemSize,i=[v.default.activeDot,{backgroundColor:n,width:r,height:r}],a=[v.default.normalDot,{backgroundColor:o,width:r,height:r}],s=[],l=this.props.activeDot||(0,u.createElement)(c.default,{style:i}),p=this.props.normalDot||(0,u.createElement)(c.default,{style:a}),d=this.loopIdx,f=0;f<this.total;f++)s.push(f===d?(0,u.cloneElement)(l,{key:f}):(0,u.cloneElement)(p,{key:f}));return(0,u.createElement)(c.default,{style:[v.default.defaultPaginationStyle,e.paginationStyle]},s)}}},{key:"renderSwipeView",value:function(e){var t=this.props,n=t.initialVelocityThreshold,o=t.verticalThreshold,r=t.vertical,i=t.horizontalThreshold,a=t.children,s={width:this.width+"px",height:this.height};return a.length&&a.length>1?(0,u.createElement)(f.default,{style:[v.default.swipeWrapper,s],onSwipeBegin:this.onSwipeBegin,onSwipeEnd:this.onSwipeEnd,onSwipe:this.onSwipe,initialVelocityThreshold:n,verticalThreshold:o,vertical:r,horizontalThreshold:i},(0,u.createElement)(c.default,{ref:"swipeView",style:[v.default.swipeStyle,s]},e)):(0,u.createElement)(c.default,{ref:"swipeView",style:[v.default.swipeStyle,s]},e)}},{key:"render",value:function(){var e=this.props,t=e.style,n=e.showsPagination;return(0,u.createElement)(c.default,{style:[v.default.slideWrapper,t]},this.renderSwipeView(this.getPages()),n?this.renderPagination():"")}}]),t}(u.Component);g.defaultProps={horizontal:!0,showsPagination:!0,loop:!0,autoPlay:!1,autoplayInterval:3e3,index:0,paginationStyle:null,initialVelocityThreshold:.7,verticalThreshold:10,horizontalThreshold:10,vertical:!1},g.propTypes={onChange:u.PropTypes.func,paginationStyle:u.PropTypes.object},t.default=g,e.exports=t.default},function(e,t,n){"use strict";var o={centroidDimension:function(e,t,n,r){var i=e.touchBank,a=0,s=0,u=1===e.numberActiveTouches?e.touchBank[e.indexOfSingleActiveTouch]:null;if(null!==u)u.touchActive&&u.currentTimeStamp>t&&(a+=r&&n?u.currentPageX:r&&!n?u.currentPageY:!r&&n?u.previousPageX:u.previousPageY,s=1);else for(var l in i){var c=i[l];if(null!==c&&void 0!==c&&c.touchActive&&c.currentTimeStamp>=t){var p;p=r&&n?c.currentPageX:r&&!n?c.currentPageY:!r&&n?c.previousPageX:c.previousPageY,a+=p,s++}}return s>0?a/s:o.noCentroid},currentCentroidXOfTouchesChangedAfter:function(e,t){return o.centroidDimension(e,t,!0,!0)},currentCentroidYOfTouchesChangedAfter:function(e,t){return o.centroidDimension(e,t,!1,!0)},previousCentroidXOfTouchesChangedAfter:function(e,t){return o.centroidDimension(e,t,!0,!1)},previousCentroidYOfTouchesChangedAfter:function(e,t){return o.centroidDimension(e,t,!1,!1)},currentCentroidX:function(e){return o.centroidDimension(e,0,!0,!0)},currentCentroidY:function(e){return o.centroidDimension(e,0,!1,!0)},noCentroid:-1};e.exports=o},function(e,t,n){"use strict";function o(e){return e&&Array.prototype.slice.call(e)||[]}function r(e,t){var n=t.timeStamp||t.timestamp;return o(e).map(function(e){return{clientX:e.clientX,clientY:e.clientY,force:e.force,pageX:e.screenX,pageY:e.screenY,radiusX:e.radiusX,radiusY:e.radiusY,rotationAngle:e.rotationAngle,screenX:e.screenX,screenY:e.screenY,target:e.target||t.target,timestamp:n,identifier:e.identifier||1}})}var i={touchBank:{},numberActiveTouches:0,indexOfSingleActiveTouch:-1,mostRecentTimeStamp:0},a=function(e){return{touchActive:!0,startTimeStamp:e.timestamp,startPageX:e.pageX,startPageY:e.pageY,currentPageX:e.pageX,currentPageY:e.pageY,currentTimeStamp:e.timestamp,previousPageX:e.pageX,previousPageY:e.pageY,previousTimeStamp:e.timestamp}},s=function(e,t){e.touchActive=!0,e.startTimeStamp=t.timestamp,e.startPageX=t.pageX,e.startPageY=t.pageY,e.currentPageX=t.pageX,e.currentPageY=t.pageY,e.currentTimeStamp=t.timestamp,e.previousPageX=t.pageX,e.previousPageY=t.pageY,e.previousTimeStamp=t.timestamp},u=function(e){var t=i.touchBank,n=e.identifier,o=t[n];o?s(o,e):t[e.identifier]=a(e),i.mostRecentTimeStamp=e.timestamp},l=function(e){var t=i.touchBank,n=t[e.identifier];n.touchActive=!0,n.previousPageX=n.currentPageX,n.previousPageY=n.currentPageY,n.previousTimeStamp=n.currentTimeStamp,n.currentPageX=e.pageX,n.currentPageY=e.pageY,n.currentTimeStamp=e.timestamp,i.mostRecentTimeStamp=e.timestamp},c=function(e){var t=i.touchBank,n=t[e.identifier];n.previousPageX=n.currentPageX,n.previousPageY=n.currentPageY,n.previousTimeStamp=n.currentTimeStamp,n.currentPageX=e.pageX,n.currentPageY=e.pageY,n.currentTimeStamp=e.timestamp,n.touchActive=!1,i.mostRecentTimeStamp=e.timestamp},p={recordTouchTrack:function(e,t){var n=i.touchBank,o=r(t.changedTouches||[t],t);if("move"===e)o.forEach(l);else if("start"===e)o.forEach(u),i.numberActiveTouches=o.length,1===i.numberActiveTouches&&(i.indexOfSingleActiveTouch=o[0].identifier);else if("end"===e&&(o.forEach(c),i.numberActiveTouches=o.length,1===i.numberActiveTouches))for(var a in n){var s=n[a];if(null!=s&&s.touchActive){i.indexOfSingleActiveTouch=a;break}}},touchHistory:i};e.exports=p},function(e,t,n){"use strict";function o(e){return e&&e.__esModule?e:{default:e}}function r(e,t){var n={};for(var o in e)t.indexOf(o)>=0||Object.prototype.hasOwnProperty.call(e,o)&&(n[o]=e[o]);return n}function i(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function a(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function s(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var u=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(e[o]=n[o])}return e},l=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),c=n(0),p=n(2),d=o(p),f=n(3),h=o(f),v=n(9),y=o(v),m={SWIPE_UP:"SWIPE_UP",SWIPE_DOWN:"SWIPE_DOWN",SWIPE_LEFT:"SWIPE_LEFT",SWIPE_RIGHT:"SWIPE_RIGHT"},g=function(e){function t(e){i(this,t);var n=a(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,e));return n.state={swipe:{direction:null,distance:0,velocity:0}},n.swipeDetected=!1,n.velocityProp=null,n.distanceProp=null,n.swipeDirection=null,n}return s(t,e),l(t,[{key:"componentWillMount",value:function(){var e=this,t=this;this.panResponder=h.default.create({onStartShouldSetPanResponder:function(e){return!0},onMoveShouldSetPanResponder:function(e){return!0},onPanResponderMove:function(n,o){var r=o.dx,i=o.dy,a=o.vx,s=o.vy,u=e.props,l=u.onSwipeBegin,c=u.onSwipe;u.onSwipeEnd;if(e.props.continuous||!e.swipeDetected){var p=!1,d=!1,f=!1;if(e.swipeDetected||(p=!0,d=t.props.horizontal?(0,y.default)(a,i,t.props.initialVelocityThreshold,t.props.verticalThreshold):"",f=t.props.vertical?(0,y.default)(s,r,t.props.initialVelocityThreshold,t.props.horizontalThreshold):"",d?(n.preventDefault&&n.preventDefault(),e.velocityProp="vx",e.distanceProp="dx",(e.props.horizontal||e.props.left)&&r<0?e.swipeDirection=m.SWIPE_LEFT:(e.props.horizontal||e.props.right)&&r>0&&(e.swipeDirection=m.SWIPE_RIGHT)):f&&(e.velocityProp="vy",e.distanceProp="dy",(e.props.vertical||e.props.up)&&i<0?e.swipeDirection=m.SWIPE_UP:(e.props.vertical||e.props.down)&&i>0&&(e.swipeDirection=m.SWIPE_DOWN)),e.swipeDirection&&(e.swipeDetected=!0)),e.swipeDetected){var h=o[e.distanceProp],v=o[e.velocityProp],g={direction:e.swipeDirection,distance:h,velocity:v};p?l&&l(g):c&&c(g),e.props.setGestureState&&e.setState({swipe:g})}}},onPanResponderTerminationRequest:function(){return!0},onPanResponderTerminate:this.handleTerminationAndRelease.bind(this),onPanResponderRelease:this.handleTerminationAndRelease.bind(this)})}},{key:"handleTerminationAndRelease",value:function(){var e=this;if(this.swipeDetected){var t=this.props.onSwipeEnd;t&&t({direction:this.swipeDirection,distance:e.state.swipe.distance,velocity:e.state.swipe.velocity})}this.swipeDetected=!1,this.velocityProp=null,this.distanceProp=null,this.swipeDirection=null}},{key:"render",value:function(){var e=this.props,t=(e.onSwipeBegin,e.onSwipe,e.onSwipeEnd,r(e,["onSwipeBegin","onSwipe","onSwipeEnd"])),n={alignSelf:"flex-start"},o=this.props.setGestureState?this.state:null;return(0,c.createElement)(d.default,u({},this.panResponder.panHandlers,{style:u({style:n},t.handlerStyle)}),(0,c.createElement)(d.default,u({},t,o),this.props.children))}}]),t}(c.Component);g.defaultProps={horizontal:!0,vertical:!0,left:!1,right:!1,up:!1,down:!1,continuous:!0,initialVelocityThreshold:.2,verticalThreshold:1,horizontalThreshold:5,setGestureState:!0,handlerStyle:{}},g.propTypes={onSwipeBegin:c.PropTypes.func,onSwipe:c.PropTypes.func,onSwipeEnd:c.PropTypes.func,swipeDecoratorStyle:c.PropTypes.object},t.default=g,e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=function(e,t,n,o){return Math.abs(e)>n&&Math.abs(t)<o},e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default={slideWrapper:{position:"relative"},swipeWrapper:{overflow:"hidden",position:"relative"},swipeStyle:{position:"relative",transform:"translate3d(0,0,0)",transition:"all .5s ease"},childrenStyle:{position:"absolute",left:0,top:0},activeDot:{borderRadius:"50%",marginLeft:3,marginRight:3,marginTop:3,marginBottom:3,display:"inline-block"},normalDot:{borderRadius:"50%",marginLeft:3,marginRight:3,marginTop:3,marginBottom:3,display:"inline-block"},defaultPaginationStyle:{position:"absolute",bottom:.2,width:"100%",display:"flex",margin:"0 auto",flex:1,flexDirection:"row",justifyContent:"center",alignItems:"center",backgroundColor:"transparent",itemColor:"rgba(255, 255, 255, 0.5)",itemSelectedColor:"rgb(255, 80, 0)",itemSize:8}},e.exports=t.default}])});
            });
          },
          raxRecyclerview : function(define) {
            define('rax-recyclerview', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-recyclerview",function(t,o,r){r.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxRecyclerview=e()}}(function(){return function(e){function t(r){if(o[r])return o[r].exports;var n=o[r]={i:r,l:!1,exports:{}};return e[r].call(n.exports,n,n.exports,t),n.l=!0,n.exports}var o={};return t.m=e,t.c=o,t.d=function(e,o,r){t.o(e,o)||Object.defineProperty(e,o,{configurable:!1,enumerable:!0,get:r})},t.n=function(e){var o=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(o,"a",o),o},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=5)}([function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,o){"use strict";var r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var n="function"==typeof Symbol&&"symbol"===r(Symbol.iterator)?function(e){return void 0===e?"undefined":r(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":r(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":n(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t,o){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function n(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":i(t))&&"function"!=typeof t?e:t}function l(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":i(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var i="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var c=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var r in o)Object.prototype.hasOwnProperty.call(o,r)&&(e[r]=o[r])}return e},s=function(){function e(e,t){for(var o=0;o<t.length;o++){var r=t[o];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,o,r){return o&&e(t.prototype,o),r&&e(t,r),t}}(),a=o(0),f=o(1),u=function(e){function t(){return r(this,t),n(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return l(t,e),s(t,[{key:"render",value:function(){var e=this.props;if(f.isWeex)return(0,a.createElement)("div",e);var t=c({},p.initial,e.style);return(0,a.createElement)("div",c({},e,{style:t}))}}]),t}(a.Component);u.propTypes={};var p={initial:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"flex",flexDirection:"column",alignContent:"flex-start",flexShrink:0}};t.default=u,e.exports=t.default},function(e,t,o){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function n(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":i(t))&&"function"!=typeof t?e:t}function l(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":i(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var i="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var c=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var r in o)Object.prototype.hasOwnProperty.call(o,r)&&(e[r]=o[r])}return e},s=function(){function e(e,t){for(var o=0;o<t.length;o++){var r=t[o];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,o,r){return o&&e(t.prototype,o),r&&e(t,r),t}}(),a=o(0),f=o(1),u=function(e){function t(){return r(this,t),n(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return l(t,e),s(t,[{key:"render",value:function(){if(f.isWeex){var e=this.props.refreshing?"show":"hide";return(0,a.createElement)("refresh",c({},this.props,{display:e}),this.props.children)}return null}}]),t}(a.Component);t.default=u,e.exports=t.default},function(e,t){e.exports=require("@weex-module/dom")},function(e,t,o){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function l(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var c=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var r in o)Object.prototype.hasOwnProperty.call(o,r)&&(e[r]=o[r])}return e},s=function(){function e(e,t){for(var o=0;o<t.length;o++){var r=t[o];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,o,r){return o&&e(t.prototype,o),r&&e(t,r),t}}(),a=o(0),f=o(1),u=o(2),p=r(u),d=o(6),y=r(d),h=o(3),b=r(h),v=function(e){function t(){return n(this,t),l(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),s(t,[{key:"render",value:function(){return f.isWeex&&this.context.isInARecyclerView?(0,a.createElement)("cell",c({},this.props,{append:"tree"})):(0,a.createElement)(p.default,this.props)}}]),t}(a.PureComponent);v.contextTypes={isInARecyclerView:a.PropTypes.bool};var m=function(e){function t(){return n(this,t),l(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),s(t,[{key:"render",value:function(){return f.isWeex&&this.context.isInARecyclerView?(0,a.createElement)("header",c({},this.props,{append:"tree"})):(0,a.createElement)(p.default,this.props)}}]),t}(a.PureComponent);m.contextTypes={isInARecyclerView:a.PropTypes.bool};var S=function(e){function t(e){n(this,t);var r=l(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,e));return r.loadmoreretry=1,r.handleScroll=function(e){e.nativeEvent={contentOffset:{x:-e.contentOffset.x,y:-e.contentOffset.y}},r.props.onScroll(e)},r.resetScroll=function(){f.isWeex?(r.setState({loadmoreretry:r.loadmoreretry++}),r.refs.list.resetLoadmore&&r.refs.list.resetLoadmore()):r.refs.scrollview.resetScroll()},r.scrollTo=function(e){var t=parseInt(e.x),n=parseInt(e.y);if(f.isWeex){var l=o(4),i=(0,a.findDOMNode)(r.refs.firstNodePlaceholder);l.scrollToElement(i.ref,{offset:t||n||0,animated:!e||void 0===e.animated||e.animated})}else r.refs.scrollview.scrollTo(e)},r.state={loadmoreretry:0},r}return i(t,e),s(t,[{key:"getChildContext",value:function(){return{isInARecyclerView:!0}}},{key:"render",value:function(){var e=this.props;if(f.isWeex){var t=e.children;Array.isArray(t)||(t=[t]);var o=t.map(function(t,o){if(t){var r=t.props&&"function"==typeof t.props.onRefresh;return e._autoWrapCell&&t.type!=b.default&&t.type!=m&&!r?(0,a.createElement)(v,null,t):t}return(0,a.createElement)(v,null)}),r=o[0].type==v||o[0].type==m?0:1;return o&&o.length&&o.splice(r,0,(0,a.createElement)(v,{ref:"firstNodePlaceholder"})),(0,a.createElement)("list",c({},e,{ref:"list",onLoadmore:e.onEndReached,onScroll:e.onScroll?this.handleScroll:null,loadmoreretry:this.state.loadmoreretry,loadmoreoffset:e.onEndReachedThreshold}),o)}return(0,a.createElement)(y.default,c({},e,{ref:"scrollview"}))}}]),t}(a.Component);S.defaultProps={onEndReachedThreshold:500},S.childContextTypes={isInARecyclerView:a.PropTypes.bool},S.Header=m,S.Cell=v,t.default=S,e.exports=t.default},function(e,t,o){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function l(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":s(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":s(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}function c(e,t){function o(){i=0,c=+new Date,l=e.apply(r,n),r=null,n=null}var r,n,l,i,c=0;return function(){r=this,n=arguments;var e=new Date-c;return i||(e>=t?o():i=setTimeout(o,t-e)),l}}var s="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var r in o)Object.prototype.hasOwnProperty.call(o,r)&&(e[r]=o[r])}return e},f=function(){function e(e,t){for(var o=0;o<t.length;o++){var r=t[o];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,o,r){return o&&e(t.prototype,o),r&&e(t,r),t}}(),u=o(0),p=o(1),d=o(2),y=r(d),h=o(3),b=r(h),v=750,m=function(e){function t(e){n(this,t);var r=l(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,e));return r.lastScrollDistance=0,r.lastScrollContentSize=0,r.loadmoreretry=1,r.handleScroll=function(e){if(p.isWeb&&(r.props.onScroll&&(e.nativeEvent={get contentOffset(){return{x:e.target.scrollLeft,y:e.target.scrollTop}}},r.props.onScroll(e)),r.props.onEndReached)){r.scrollerNode||(r.scrollerNode=(0,u.findDOMNode)(r.refs.scroller),r.scrollerContentNode=(0,u.findDOMNode)(r.refs.contentContainer),r.scrollerNodeSize=r.props.horizontal?r.scrollerNode.offsetWidth:r.scrollerNode.offsetHeight);var t=r.props.horizontal?r.scrollerNode.scrollWidth:r.scrollerNode.scrollHeight,o=r.props.horizontal?r.scrollerNode.scrollLeft:r.scrollerNode.scrollTop,n=t-o-r.scrollerNodeSize<r.props.onEndReachedThreshold,l=o>r.lastScrollDistance,i=t!=r.lastScrollContentSize;n&&l&&i&&(r.lastScrollContentSize=t,r.props.onEndReached(e)),r.lastScrollDistance=o}p.isWeex&&(e.nativeEvent={contentOffset:{x:-e.contentOffset.x,y:-e.contentOffset.y}},r.props.onScroll(e))},r.resetScroll=function(){p.isWeb?(r.lastScrollContentSize=0,r.lastScrollDistance=0):r.setState({loadmoreretry:r.loadmoreretry++})},r.scrollTo=function(e){var t=parseInt(e.x),n=parseInt(e.y);if(p.isWeex){var l=o(4),i=(0,u.findDOMNode)(r.refs.contentContainer);l.scrollToElement(i.ref,{offset:t||n||0,animated:!e||void 0===e.animated||e.animated})}else{var c=document.documentElement.clientWidth/v;t>=0&&((0,u.findDOMNode)(r.refs.scroller).scrollLeft=c*t),n>=0&&((0,u.findDOMNode)(r.refs.scroller).scrollTop=c*n)}},r.state={loadmoreretry:0},r}return i(t,e),f(t,[{key:"render",value:function(){var e=this,t=this.props,o=(t.id,t.style,t.scrollEventThrottle),r=t.showsHorizontalScrollIndicator,n=t.showsVerticalScrollIndicator,l=t.onEndReached,i=t.onEndReachedThreshold,s=t.onScroll,f=t.children;i=parseInt(i,10);var d=[this.props.horizontal&&S.contentContainerHorizontal,this.props.contentContainerStyle];if(p.isWeex||this.props.horizontal||d.push(S.containerWebStyle),this.props.style){var h=["alignItems","justifyContent"].filter(function(t){return void 0!==e.props.style[t]});0!==h.length&&console.warn("ScrollView child layout ("+JSON.stringify(h)+") must be applied through the contentContainerStyle prop.")}var v=(0,u.createElement)(y.default,null),m=void 0;m=Array.isArray(f)?f.map(function(e,t){if(!e||e.type!=b.default)return e;v=e}):f;var w=(0,u.createElement)(y.default,{ref:"contentContainer",style:d},m),O=this.props.horizontal?S.baseHorizontal:S.baseVertical,x=a({},O,this.props.style),_=this.props.horizontal?r:n;if(p.isWeex)return(0,u.createElement)("scroller",a({},this.props,{style:x,showScrollbar:_,onLoadmore:l,onScroll:s?this.handleScroll:null,loadmoreoffset:i,loadmoreretry:this.state.loadmoreretry,scrollDirection:this.props.horizontal?"horizontal":"vertical"}),v,w);var g=this.handleScroll;if(o&&(g=c(g,o)),!_&&!document.getElementById("rax-scrollview-style")){var E=document.createElement("style");E.id="rax-scrollview-style",document.head.appendChild(E),E.innerHTML="."+this.props.className+"::-webkit-scrollbar{display: none;}"}x.webkitOverflowScrolling="touch",x.overflow="scroll";var j=a({},this.props,{ref:"scroller",style:x,onScroll:g});return delete j.onEndReachedThreshold,(0,u.createElement)(y.default,j,w)}}]),t}(u.Component);m.propTypes={},m.defaultProps={scrollEventThrottle:50,onEndReachedThreshold:500,showsHorizontalScrollIndicator:!0,showsVerticalScrollIndicator:!0,className:"rax-scrollview"};var S={baseVertical:{flex:1,flexDirection:"column"},baseHorizontal:{flex:1,flexDirection:"row"},contentContainerHorizontal:{flexDirection:"row"},containerWebStyle:{display:"block"}};t.default=m,e.exports=t.default}])});
            });
          },
          raxVideo : function(define) {
            define('rax-video', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-video",function(t,o,n){n.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxVideo=e()}}(function(){return function(e){function t(n){if(o[n])return o[n].exports;var r=o[n]={i:n,l:!1,exports:{}};return e[n].call(r.exports,r,r.exports,t),r.l=!0,r.exports}var o={};return t.m=e,t.c=o,t.d=function(e,o,n){t.o(e,o)||Object.defineProperty(e,o,{configurable:!1,enumerable:!0,get:n})},t.n=function(e){var o=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(o,"a",o),o},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=0)}([function(e,t,o){"use strict";function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var u=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},f=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),a=o(1),l=o(2),c=function(e){function t(){return n(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),f(t,[{key:"render",value:function(){var e=this.props;if(l.isWeex)return e.playStatus=e.playControl,(0,a.createElement)("video",e);var t=u({},e);delete t.autoPlay,delete t.src,(e.autoPlay||"play"===e.playControl)&&(t.autoPlay=e.autoPlay),null==e.controls||!0===e.controls?t.controls=!0:delete t.controls;var o=this.refs.video;return o&&("pause"===e.playControl?o.pause():"play"===e.playControl&&o.play()),(0,a.createElement)("video",u({ref:"video"},t,{"webkit-playsinline":!0,playsinline:!0}),(0,a.createElement)("source",{src:e.src}))}}]),t}(a.Component);t.default=c,e.exports=t.default},function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,o){"use strict";var n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===n(Symbol.iterator)?function(e){return void 0===e?"undefined":n(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":n(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":r(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports}])});
            });
          },
          raxSwitch : function(define) {
            define('rax-switch', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-switch",function(t,o,n){n.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxSwitch=e()}}(function(){return function(e){function t(n){if(o[n])return o[n].exports;var r=o[n]={i:n,l:!1,exports:{}};return e[n].call(r.exports,r,r.exports,t),r.l=!0,r.exports}var o={};return t.m=e,t.c=o,t.d=function(e,o,n){t.o(e,o)||Object.defineProperty(e,o,{configurable:!1,enumerable:!0,get:n})},t.n=function(e){var o=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(o,"a",o),o},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=0)}([function(e,t,o){"use strict";function n(e,t){var o={};for(var n in e)t.indexOf(n)>=0||Object.prototype.hasOwnProperty.call(e,n)&&(o[n]=e[n]);return o}function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function i(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function a(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var l=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},s=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),f=o(1),u=o(2),c=function(e){function t(){var e,o,n,a;r(this,t);for(var l=arguments.length,s=Array(l),f=0;f<l;f++)s[f]=arguments[f];return o=n=i(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(s))),n.handleClick=function(e){if(n.props.disabled)return null;var t=!n.props.value;n.props.onValueChange&&n.props.onValueChange.call(n,t)},a=o,i(n,a)}return a(t,e),s(t,[{key:"getStyles",value:function(){return{span:{width:100,height:60,minWidth:100,minHeight:60,borderRadius:40,position:"relative",display:"inline-block",margin:4,padding:0,cursor:"default",verticalAlign:"middle",borderColor:"#dfdfdf",borderWidth:"1px",borderStyle:"solid",WebkitUserSelect:"none",WebkitBoxSizing:"content-box",WebkitBackfaceVisibility:"hidden"},checkedSpan:{borderColor:this.props.onTintColor,backgroundColor:this.props.onTintColor,boxShadow:this.props.onTintColor+" 0 0 0 16px inset",WebkitTransition:"border 0.2s, box-shadow 0.2s, background-color 1s"},uncheckedSpan:{borderColor:"#dfdfdf",backgroundColor:this.props.tintColor,boxShadow:"#dfdfdf 0 0 0 0 inset",WebkitTransition:"border 0.2s, box-shadow 0.2s"},disabledSpan:{opacity:.5,cursor:"not-allowed",boxShadow:"none"},small:{position:"absolute",top:0,width:60,height:60,backgroundColor:this.props.thumbTintColor,borderRadius:"100%",boxShadow:"0 1px 3px rgba(0,0,0,0.4)",WebkitTransition:"-webkit-transform 0.2s ease-in"},checkedSmall:{WebkitTransform:"translateX(40rem)"},uncheckedSmall:{WebkitTransform:"translateX(0)"}}}},{key:"render",value:function(){var e=this.props,t=e.style,o=e.value,r=e.disabled,i=e.onValueChange,a=n(e,["style","value","disabled","onValueChange"]);if(u.isWeex){var s={style:l({},d.initial,t),checked:o,disabled:r,onChange:function(e){var t=e.value;return i(t)}};return(0,f.createElement)("switch",l({},s,a))}var c=this.getStyles(),p=o?l({},c.span,c.checkedSpan):l({},c.span,c.uncheckedSpan),b=o?l({},c.small,c.checkedSmall):l({},c.small,c.uncheckedSmall);return p=r?l({},p,c.disabledSpan):p,p=l({},t,p),(0,f.createElement)("span",l({onClick:this.handleClick,style:p},a),(0,f.createElement)("small",{style:b}))}}]),t}(f.Component);c.propTypes={},c.defaultProps={onTintColor:"#00e158",thumbTintColor:"#ffffff",tintColor:"#ffffff"};var d={initial:{width:100,height:60}};t.default=c,e.exports=t.default},function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,o){"use strict";var n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===n(Symbol.iterator)?function(e){return void 0===e?"undefined":n(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":n(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":r(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports}])});
            });
          },
          raxTextinput : function(define) {
            define('rax-textinput', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-textinput",function(t,n,o){o.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxTextinput=e()}}(function(){return function(e){function t(o){if(n[o])return n[o].exports;var r=n[o]={i:o,l:!1,exports:{}};return e[o].call(r.exports,r,r.exports,t),r.l=!0,r.exports}var n={};return t.m=e,t.c=n,t.d=function(e,n,o){t.o(e,n)||Object.defineProperty(e,n,{configurable:!1,enumerable:!0,get:o})},t.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(n,"a",n),n},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=0)}([function(e,t,n){"use strict";function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}function a(e){return s.isWeex?e.value:e.target.value}function u(e){var t=a(e);return{nativeEvent:{text:t},originalEvent:e,value:t,target:e.target}}Object.defineProperty(t,"__esModule",{value:!0});var l=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(e[o]=n[o])}return e},p=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),f=n(1),s=n(2),c={default:"text","ascii-capable":"text","numbers-and-punctuation":"number",url:"url","number-pad":"number","phone-pad":"tel","name-phone-pad":"text","email-address":"email","decimal-pad":"number",twitter:"text","web-search":"search",numeric:"number"},d=function(e){function t(){var e,n,i,l;o(this,t);for(var p=arguments.length,s=Array(p),c=0;c<p;c++)s[c]=arguments[c];return n=i=r(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(s))),i.handleInput=function(e){i.props.onInput(u(e))},i.handleChange=function(e){if(i.props.onChange&&i.props.onChange(u(e)),i.props.onChangeText){var t=a(e);i.props.onChangeText(t)}},i.handleFocus=function(e){i.props.onFocus(u(e))},i.handleBlur=function(e){i.props.onBlur(u(e))},i.focus=function(){i.refs.input.focus&&i.refs.input.focus()},i.blur=function(){i.refs.input.blur&&i.refs.input.blur()},i.clear=function(){(0,f.setNativeProps)(i.refs.input,{value:""})},l=n,r(i,l)}return i(t,e),p(t,[{key:"componentWillReceiveProps",value:function(e){(0,f.setNativeProps)(this.refs.input,{value:e.value})}},{key:"render",value:function(){var e=this.props,t=e.accessibilityLabel,n=e.autoComplete,o=e.editable,r=e.keyboardType,i=e.maxNumberOfLines,a=e.multiline,u=e.numberOfLines,p=e.onBlur,d=e.onFocus,y=e.onChange,v=e.onChangeText,h=e.onInput,m=e.password,g=e.secureTextEntry,x=e.style,w=e.value,O=e.defaultValue,C=l({},this.props,{"aria-label":t,autoComplete:n&&"on",onChange:(y||v)&&this.handleChange,onInput:h&&this.handleInput,onBlur:p&&this.handleBlur,onFocus:d&&this.handleFocus,style:l({},b.initial,x),ref:"input"});w?delete C.defaultValue:C.value=O,void 0===o||o||(C.readOnly=!0);var _=c[r];if((m||g)&&(_="password"),s.isWeex){var j=Boolean(C.readOnly);return a?(0,f.createElement)("textarea",l({},C,{rows:20,disabled:j})):(0,f.createElement)("input",l({},C,{type:_,disabled:j}))}var S=void 0;if(a){var P={maxRows:i||u,minRows:u};S=(0,f.createElement)("textarea",l({},C,P),C.value)}else S=(0,f.createElement)("input",l({},C,{type:_}));return S}}]),t}(f.Component);d.propTypes={};var b={initial:{appearance:"none",backgroundColor:"transparent",borderColor:"#000000",borderWidth:0,boxSizing:"border-box",color:"#000000",padding:0,paddingLeft:24,fontSize:24,lineHeight:60,height:60}};t.default=d,e.exports=t.default},function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,n){"use strict";var o="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===o(Symbol.iterator)?function(e){return void 0===e?"undefined":o(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":o(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":r(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports}])});
            });
          },
          raxListview : function(define) {
            define('rax-listview', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-listview",function(t,o,r){r.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxListview=e()}}(function(){return function(e){function t(r){if(o[r])return o[r].exports;var n=o[r]={i:r,l:!1,exports:{}};return e[r].call(n.exports,n,n.exports,t),n.l=!0,n.exports}var o={};return t.m=e,t.c=o,t.d=function(e,o,r){t.o(e,o)||Object.defineProperty(e,o,{configurable:!1,enumerable:!0,get:r})},t.n=function(e){var o=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(o,"a",o),o},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=5)}([function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,o){"use strict";var r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var n="function"==typeof Symbol&&"symbol"===r(Symbol.iterator)?function(e){return void 0===e?"undefined":r(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":r(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":n(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t,o){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function n(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":i(t))&&"function"!=typeof t?e:t}function l(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":i(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var i="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var c=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var r in o)Object.prototype.hasOwnProperty.call(o,r)&&(e[r]=o[r])}return e},a=function(){function e(e,t){for(var o=0;o<t.length;o++){var r=t[o];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,o,r){return o&&e(t.prototype,o),r&&e(t,r),t}}(),s=o(0),f=o(1),u=function(e){function t(){return r(this,t),n(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return l(t,e),a(t,[{key:"render",value:function(){var e=this.props;if(f.isWeex)return(0,s.createElement)("div",e);var t=c({},p.initial,e.style);return(0,s.createElement)("div",c({},e,{style:t}))}}]),t}(s.Component);u.propTypes={};var p={initial:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"flex",flexDirection:"column",alignContent:"flex-start",flexShrink:0}};t.default=u,e.exports=t.default},function(e,t,o){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function n(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":i(t))&&"function"!=typeof t?e:t}function l(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":i(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var i="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var c=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var r in o)Object.prototype.hasOwnProperty.call(o,r)&&(e[r]=o[r])}return e},a=function(){function e(e,t){for(var o=0;o<t.length;o++){var r=t[o];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,o,r){return o&&e(t.prototype,o),r&&e(t,r),t}}(),s=o(0),f=o(1),u=function(e){function t(){return r(this,t),n(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return l(t,e),a(t,[{key:"render",value:function(){if(f.isWeex){var e=this.props.refreshing?"show":"hide";return(0,s.createElement)("refresh",c({},this.props,{display:e}),this.props.children)}return null}}]),t}(s.Component);t.default=u,e.exports=t.default},function(e,t){e.exports=require("@weex-module/dom")},function(e,t,o){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function l(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var c=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var r in o)Object.prototype.hasOwnProperty.call(o,r)&&(e[r]=o[r])}return e},a=function(){function e(e,t){for(var o=0;o<t.length;o++){var r=t[o];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,o,r){return o&&e(t.prototype,o),r&&e(t,r),t}}(),s=o(0),f=(o(1),o(2)),u=(r(f),o(6)),p=r(u),d="scrollview",y=function(e){function t(){var e,o,r,i;n(this,t);for(var c=arguments.length,a=Array(c),s=0;s<c;s++)a[s]=arguments[s];return o=r=l(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(a))),r.scrollTo=function(e){r.refs[d]&&r.refs[d].scrollTo(e)},r.resetScroll=function(){r.refs[d]&&r.refs[d].resetScroll()},i=o,l(r,i)}return i(t,e),a(t,[{key:"render",value:function(){var e=this.props,t=e.renderScrollComponent,o=e.renderHeader,r=e.renderFooter,n=e.renderRow,l=e.dataSource,i="function"==typeof o?o():null,a="function"==typeof r?r():null,s=l.map(function(e,t){return n(e,t)});return t(c({},this.props,{ref:d,children:[].concat(i,s,a),_autoWrapCell:!0}))}}]),t}(s.Component);y.propTypes={},y.defaultProps={renderScrollComponent:function(e){return(0,s.createElement)(p.default,e)},dataSource:[]},t.default=y,e.exports=t.default},function(e,t,o){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function l(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":c(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":c(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var c="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var r in o)Object.prototype.hasOwnProperty.call(o,r)&&(e[r]=o[r])}return e},s=function(){function e(e,t){for(var o=0;o<t.length;o++){var r=t[o];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,o,r){return o&&e(t.prototype,o),r&&e(t,r),t}}(),f=o(0),u=o(1),p=o(2),d=r(p),y=o(7),h=r(y),b=o(3),v=r(b),m=function(e){function t(){return n(this,t),l(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),s(t,[{key:"render",value:function(){return u.isWeex&&this.context.isInARecyclerView?(0,f.createElement)("cell",a({},this.props,{append:"tree"})):(0,f.createElement)(d.default,this.props)}}]),t}(f.PureComponent);m.contextTypes={isInARecyclerView:f.PropTypes.bool};var S=function(e){function t(){return n(this,t),l(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),s(t,[{key:"render",value:function(){return u.isWeex&&this.context.isInARecyclerView?(0,f.createElement)("header",a({},this.props,{append:"tree"})):(0,f.createElement)(d.default,this.props)}}]),t}(f.PureComponent);S.contextTypes={isInARecyclerView:f.PropTypes.bool};var w=function(e){function t(e){n(this,t);var r=l(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,e));return r.loadmoreretry=1,r.handleScroll=function(e){e.nativeEvent={contentOffset:{x:-e.contentOffset.x,y:-e.contentOffset.y}},r.props.onScroll(e)},r.resetScroll=function(){u.isWeex?(r.setState({loadmoreretry:r.loadmoreretry++}),r.refs.list.resetLoadmore&&r.refs.list.resetLoadmore()):r.refs.scrollview.resetScroll()},r.scrollTo=function(e){var t=parseInt(e.x),n=parseInt(e.y);if(u.isWeex){var l=o(4),i=(0,f.findDOMNode)(r.refs.firstNodePlaceholder);l.scrollToElement(i.ref,{offset:t||n||0,animated:!e||void 0===e.animated||e.animated})}else r.refs.scrollview.scrollTo(e)},r.state={loadmoreretry:0},r}return i(t,e),s(t,[{key:"getChildContext",value:function(){return{isInARecyclerView:!0}}},{key:"render",value:function(){var e=this.props;if(u.isWeex){var t=e.children;Array.isArray(t)||(t=[t]);var o=t.map(function(t,o){if(t){var r=t.props&&"function"==typeof t.props.onRefresh;return e._autoWrapCell&&t.type!=v.default&&t.type!=S&&!r?(0,f.createElement)(m,null,t):t}return(0,f.createElement)(m,null)}),r=o[0].type==m||o[0].type==S?0:1;return o&&o.length&&o.splice(r,0,(0,f.createElement)(m,{ref:"firstNodePlaceholder"})),(0,f.createElement)("list",a({},e,{ref:"list",onLoadmore:e.onEndReached,onScroll:e.onScroll?this.handleScroll:null,loadmoreretry:this.state.loadmoreretry,loadmoreoffset:e.onEndReachedThreshold}),o)}return(0,f.createElement)(h.default,a({},e,{ref:"scrollview"}))}}]),t}(f.Component);w.defaultProps={onEndReachedThreshold:500},w.childContextTypes={isInARecyclerView:f.PropTypes.bool},w.Header=S,w.Cell=m,t.default=w,e.exports=t.default},function(e,t,o){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function l(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":a(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":a(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}function c(e,t){function o(){i=0,c=+new Date,l=e.apply(r,n),r=null,n=null}var r,n,l,i,c=0;return function(){r=this,n=arguments;var e=new Date-c;return i||(e>=t?o():i=setTimeout(o,t-e)),l}}var a="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var s=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var r in o)Object.prototype.hasOwnProperty.call(o,r)&&(e[r]=o[r])}return e},f=function(){function e(e,t){for(var o=0;o<t.length;o++){var r=t[o];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,o,r){return o&&e(t.prototype,o),r&&e(t,r),t}}(),u=o(0),p=o(1),d=o(2),y=r(d),h=o(3),b=r(h),v=750,m=function(e){function t(e){n(this,t);var r=l(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,e));return r.lastScrollDistance=0,r.lastScrollContentSize=0,r.loadmoreretry=1,r.handleScroll=function(e){if(p.isWeb&&(r.props.onScroll&&(e.nativeEvent={get contentOffset(){return{x:e.target.scrollLeft,y:e.target.scrollTop}}},r.props.onScroll(e)),r.props.onEndReached)){r.scrollerNode||(r.scrollerNode=(0,u.findDOMNode)(r.refs.scroller),r.scrollerContentNode=(0,u.findDOMNode)(r.refs.contentContainer),r.scrollerNodeSize=r.props.horizontal?r.scrollerNode.offsetWidth:r.scrollerNode.offsetHeight);var t=r.props.horizontal?r.scrollerNode.scrollWidth:r.scrollerNode.scrollHeight,o=r.props.horizontal?r.scrollerNode.scrollLeft:r.scrollerNode.scrollTop,n=t-o-r.scrollerNodeSize<r.props.onEndReachedThreshold,l=o>r.lastScrollDistance,i=t!=r.lastScrollContentSize;n&&l&&i&&(r.lastScrollContentSize=t,r.props.onEndReached(e)),r.lastScrollDistance=o}p.isWeex&&(e.nativeEvent={contentOffset:{x:-e.contentOffset.x,y:-e.contentOffset.y}},r.props.onScroll(e))},r.resetScroll=function(){p.isWeb?(r.lastScrollContentSize=0,r.lastScrollDistance=0):r.setState({loadmoreretry:r.loadmoreretry++})},r.scrollTo=function(e){var t=parseInt(e.x),n=parseInt(e.y);if(p.isWeex){var l=o(4),i=(0,u.findDOMNode)(r.refs.contentContainer);l.scrollToElement(i.ref,{offset:t||n||0,animated:!e||void 0===e.animated||e.animated})}else{var c=document.documentElement.clientWidth/v;t>=0&&((0,u.findDOMNode)(r.refs.scroller).scrollLeft=c*t),n>=0&&((0,u.findDOMNode)(r.refs.scroller).scrollTop=c*n)}},r.state={loadmoreretry:0},r}return i(t,e),f(t,[{key:"render",value:function(){var e=this,t=this.props,o=(t.id,t.style,t.scrollEventThrottle),r=t.showsHorizontalScrollIndicator,n=t.showsVerticalScrollIndicator,l=t.onEndReached,i=t.onEndReachedThreshold,a=t.onScroll,f=t.children;i=parseInt(i,10);var d=[this.props.horizontal&&S.contentContainerHorizontal,this.props.contentContainerStyle];if(p.isWeex||this.props.horizontal||d.push(S.containerWebStyle),this.props.style){var h=["alignItems","justifyContent"].filter(function(t){return void 0!==e.props.style[t]});0!==h.length&&console.warn("ScrollView child layout ("+JSON.stringify(h)+") must be applied through the contentContainerStyle prop.")}var v=(0,u.createElement)(y.default,null),m=void 0;m=Array.isArray(f)?f.map(function(e,t){if(!e||e.type!=b.default)return e;v=e}):f;var w=(0,u.createElement)(y.default,{ref:"contentContainer",style:d},m),O=this.props.horizontal?S.baseHorizontal:S.baseVertical,_=s({},O,this.props.style),x=this.props.horizontal?r:n;if(p.isWeex)return(0,u.createElement)("scroller",s({},this.props,{style:_,showScrollbar:x,onLoadmore:l,onScroll:a?this.handleScroll:null,loadmoreoffset:i,loadmoreretry:this.state.loadmoreretry,scrollDirection:this.props.horizontal?"horizontal":"vertical"}),v,w);var g=this.handleScroll;if(o&&(g=c(g,o)),!x&&!document.getElementById("rax-scrollview-style")){var j=document.createElement("style");j.id="rax-scrollview-style",document.head.appendChild(j),j.innerHTML="."+this.props.className+"::-webkit-scrollbar{display: none;}"}_.webkitOverflowScrolling="touch",_.overflow="scroll";var E=s({},this.props,{ref:"scroller",style:_,onScroll:g});return delete E.onEndReachedThreshold,(0,u.createElement)(y.default,E,w)}}]),t}(u.Component);m.propTypes={},m.defaultProps={scrollEventThrottle:50,onEndReachedThreshold:500,showsHorizontalScrollIndicator:!0,showsVerticalScrollIndicator:!0,className:"rax-scrollview"};var S={baseVertical:{flex:1,flexDirection:"column"},baseHorizontal:{flex:1,flexDirection:"row"},contentContainerHorizontal:{flexDirection:"row"},containerWebStyle:{display:"block"}};t.default=m,e.exports=t.default}])});
            });
          },
          raxButton : function(define) {
            define('rax-button', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-button",function(t,n,r){r.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxButton=e()}}(function(){return function(e){function t(r){if(n[r])return n[r].exports;var o=n[r]={i:r,l:!1,exports:{}};return e[r].call(o.exports,o,o.exports,t),o.l=!0,o.exports}var n={};return t.m=e,t.c=n,t.d=function(e,n,r){t.o(e,n)||Object.defineProperty(e,n,{configurable:!1,enumerable:!0,get:r})},t.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(n,"a",n),n},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=2)}([function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,n){"use strict";var r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var o="function"==typeof Symbol&&"symbol"===r(Symbol.iterator)?function(e){return void 0===e?"undefined":r(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":r(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":o(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function i(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function u(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var l=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},f=function(){function e(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,n,r){return n&&e(t.prototype,n),r&&e(t,r),t}}(),c=n(0),a=(n(1),n(3)),s=r(a),p=n(4),y=r(p),b=function(e){function t(){return o(this,t),i(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return u(t,e),f(t,[{key:"render",value:function(){var e=this.props,t=[d.button,e.style],n=[d.text];e.color&&n.push({color:e.color}),e.disabled&&(t.push(d.buttonDisabled),n.push(d.textDisabled));var r=e.children||e.title;return"string"==typeof r&&(r=(0,c.createElement)(s.default,{style:n},r)),(0,c.createElement)(y.default,l({},e,{style:t}),r)}}]),t}(c.Component);b.propTypes={};var d={button:{},text:{color:"#0C42FD",textAlign:"center",padding:16,fontSize:36},buttonDisabled:{},textDisabled:{color:"#cdcdcd"}};t.default=b,e.exports=t.default},function(e,t,n){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function o(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":f(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":f(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}function u(e,t){var n=e.type,r=e.props,o=r.children;if("function"==typeof n){var i=new n;return i.props=r,o&&(i.props.children=l(o,t)),i.context=t.getChildContext(),i.render()}return e}function l(e,t){var n=[];Array.isArray(e)||(e=[e]);for(var r=0;r<e.length;r++){var o=e[r];"string"==typeof o?n.push(o):"object"===(void 0===o?"undefined":c(o))&&n.push(u(o,t))}return n}var f="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var c="function"==typeof Symbol&&"symbol"===f(Symbol.iterator)?function(e){return void 0===e?"undefined":f(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":f(e)},a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},s=function(){function e(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,n,r){return n&&e(t.prototype,n),r&&e(t,r),t}}(),p=n(0),y=n(1),b=function(e){function t(){var e,n,i,u;r(this,t);for(var f=arguments.length,c=Array(f),s=0;s<f;s++)c[s]=arguments[s];return n=i=o(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(c))),i.renderText=function(){var e=i.props,t=a({},e,{style:e.style||{}}),n="";if(null!=e.children&&(n=Array.isArray(e.children)?e.children.join(""):e.children.toString()),i.context.isInAParentText)return(0,p.createElement)("span",t,n);if(e.onPress&&(t.onClick=e.onPress),y.isWeex)return e.numberOfLines&&(t.style.lines=e.numberOfLines),t.value=n,(0,p.createElement)("text",t);var r=a({},d.text,t.style),o=e.numberOfLines;return o&&(1===parseInt(o)?r.whiteSpace="nowrap":(r.display="-webkit-box",r.webkitBoxOrient="vertical",r.webkitLineClamp=String(o)),r.overflow="hidden"),(0,p.createElement)("span",a({},t,{style:r}),n)},i.renderRichText=function(){var e=i.props,t=e.children,n=a({},e,{style:e.style||{}}),r=a({},d.richtext,n.style);return y.isWeex&&(t=l(t,i)),(0,p.createElement)("p",a({},n,{style:r}),t)},u=n,o(i,u)}return i(t,e),s(t,[{key:"getChildContext",value:function(){return{isInAParentText:!0}}},{key:"render",value:function(){var e=this.props,t=e.children;Array.isArray(t)||(t=[t]);for(var n=!1,r=0;r<t.length;r++){var o=t[r];if(o&&"object"===(void 0===o?"undefined":c(o))){n=!0;break}}return n?this.renderRichText():this.renderText()}}]),t}(p.Component);b.propTypes={},b.contextTypes={isInAParentText:p.PropTypes.bool},b.childContextTypes={isInAParentText:p.PropTypes.bool};var d={text:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"block",flexDirection:"column",alignContent:"flex-start",flexShrink:0,fontSize:32},richtext:{marginTop:0,marginBottom:0}};t.default=b,e.exports=t.default},function(e,t,n){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function o(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":u(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":u(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var u="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var l=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},f=function(){function e(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,n,r){return n&&e(t.prototype,n),r&&e(t,r),t}}(),c=n(0),a=(n(1),n(5)),s=function(e){return e&&e.__esModule?e:{default:e}}(a),p=function(e){function t(){return r(this,t),o(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),f(t,[{key:"render",value:function(){var e=this.props,t=l({},e,{style:l({},y.initial,e.style),onClick:e.onPress});return delete t.onPress,(0,c.createElement)(s.default,t)}}]),t}(c.Component);p.propTypes={};var y={initial:{cursor:"pointer"}};t.default=p,e.exports=t.default},function(e,t,n){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function o(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":u(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":u(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var u="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var l=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},f=function(){function e(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,n,r){return n&&e(t.prototype,n),r&&e(t,r),t}}(),c=n(0),a=n(1),s=function(e){function t(){return r(this,t),o(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),f(t,[{key:"render",value:function(){var e=this.props;if(a.isWeex)return(0,c.createElement)("div",e);var t=l({},p.initial,e.style);return(0,c.createElement)("div",l({},e,{style:t}))}}]),t}(c.Component);s.propTypes={};var p={initial:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"flex",flexDirection:"column",alignContent:"flex-start",flexShrink:0}};t.default=s,e.exports=t.default}])});
            });
          },
          universalTransition : function(define) {
            define('universal-transition', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("universal-transition",function(n,t,o){o.exports=e()});else{var n;n="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,n.UniversalTransition=e()}}(function(){return function(e){function n(o){if(t[o])return t[o].exports;var i=t[o]={i:o,l:!1,exports:{}};return e[o].call(i.exports,i,i.exports,n),i.l=!0,i.exports}var t={};return n.m=e,n.c=t,n.d=function(e,t,o){n.o(e,t)||Object.defineProperty(e,t,{configurable:!1,enumerable:!0,get:o})},n.n=function(e){var t=e&&e.__esModule?function(){return e.default}:function(){return e};return n.d(t,"a",t),t},n.o=function(e,n){return Object.prototype.hasOwnProperty.call(e,n)},n.p="",n(n.s=0)}([function(e,n,t){"use strict";function o(e,n,o,u){"function"!=typeof o&&null!=o||(u=o,o={timingFunction:"ease",duration:0,delay:0});for(var f in n)n[f]=(0,r.convertUnit)(n[f],f);if(i.isWeex){t(3).transition(e.ref,{styles:n,timingFunction:o.timingFunction||"linear",delay:o.delay||0,duration:o.duration||0},u||function(){})}else if(i.isWeb){var a=o.duration||0,s=o.timingFunction||"linear",l=o.delay||0,d="all "+a+"ms "+s+" "+l+"ms";if(e.style.transition=d,e.style.webkitTransition=d,u){var c=function n(t){t.stopPropagation(),e.removeEventListener("webkitTransitionEnd",n),e.removeEventListener("transitionend",n),e.style.transition="",e.style.webkitTransition="",u()};e.addEventListener("webkitTransitionEnd",c),e.addEventListener("transitionend",c)}for(var p in n){var y=n[p];e.style[p]=y}}}Object.defineProperty(n,"__esModule",{value:!0}),n.default=o;var i=t(1),r=t(2);e.exports=n.default},function(e,n,t){"use strict";var o="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(n,"__esModule",{value:!0});var i="function"==typeof Symbol&&"symbol"===o(Symbol.iterator)?function(e){return void 0===e?"undefined":o(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":o(e)};n.isWeb="object"===("undefined"==typeof navigator?"undefined":i(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),n.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),n.isWeex="function"==typeof callNative,n.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;n.default=e.exports,n.default=e.exports},function(e,n,t){"use strict";function o(e){return"string"==typeof e&&-1!==e.indexOf(l)}function i(e){var n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:c;return e.replace(d,function(e){return parseFloat(e)*n+"px"})}function r(){return c}function u(e){c=e}function f(e,n){return"number"==typeof e&&!s[n]}function a(e,n){var t=arguments.length>2&&void 0!==arguments[2]?arguments[2]:c;return n&&f(e,n)?e*t+"px":o(e)?i(e,t):e}Object.defineProperty(n,"__esModule",{value:!0}),n.isRem=o,n.calcRem=i,n.getRem=r,n.setRem=u,n.isUnitNumber=f,n.convertUnit=a;var s={animationIterationCount:!0,borderImageOutset:!0,borderImageSlice:!0,borderImageWidth:!0,boxFlex:!0,boxFlexGroup:!0,boxOrdinalGroup:!0,columnCount:!0,flex:!0,flexGrow:!0,flexPositive:!0,flexShrink:!0,flexNegative:!0,flexOrder:!0,gridRow:!0,gridColumn:!0,fontWeight:!0,lineClamp:!0,opacity:!0,order:!0,orphans:!0,tabSize:!0,widows:!0,zIndex:!0,zoom:!0,lines:!0},l="rem",d=/[-+]?\d*\.?\d+rem/g,c=1;n.default=e.exports,n.default=e.exports},function(e,n){e.exports=require("@weex-module/animation")}])});
            });
          },
          universalToast : function(define) {
            define('universal-toast', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("universal-toast",function(t,o,n){n.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.UniversalToast=e()}}(function(){return function(e){function t(n){if(o[n])return o[n].exports;var r=o[n]={i:n,l:!1,exports:{}};return e[n].call(r.exports,r,r.exports,t),r.l=!0,r.exports}var o={};return t.m=e,t.c=o,t.d=function(e,o,n){t.o(e,o)||Object.defineProperty(e,o,{configurable:!1,enumerable:!0,get:n})},t.n=function(e){var o=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(o,"a",o),o},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=0)}([function(e,t,o){"use strict";function n(e){if(!a){a=document.createElement("div");for(var t in d.container)a.style[t]=d.container[t];document.body.appendChild(a)}a.style.transform="translateX(-50%)",a.style.webkitTransform="translateX(-50%)",a.innerHTML=e}function r(){a&&setTimeout(function(){a.style.transform="translateX(-50%) scale(0.8)",a.style.webkitTransform="translateX(-50%) scale(0.8)"},0)}Object.defineProperty(t,"__esModule",{value:!0});var i=o(1),s=[],f=!1,a=void 0,u={push:function(e,t){s.push({message:e,duration:t}),this.show()},show:function(){var e=this;if(!s.length)return a&&a.parentNode.removeChild(a),void(a=null);if(!f){f=!0;var t=s.shift();n(t.message),setTimeout(function(){r(),f=!1,setTimeout(function(){return e.show()},600)},t.duration)}}},l={SHORT:2e3,LONG:3500,show:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:2e3;if(i.isWeex){var n=o(2);n.toast&&n.toast({message:e,duration:Number(t)/1e3})}else u.push(e,t)}},d={container:{backgroundColor:"rgba(0, 0, 0, 0.6)",boxSizing:"border-box",maxWidth:"80%",color:"#ffffff",padding:"8px 16px",position:"fixed",left:"50%",bottom:"50%",fontSize:"16px",lineHeight:"32px",fontWeight:"600",borderRadius:"4px",textAlign:"center",transition:"all 0.4s ease-in-out",webkitTransition:"all 0.4s ease-in-out",transform:"translateX(-50%)",webkitTransform:"translateX(-50%)",zIndex:9999}};t.default=l,e.exports=t.default},function(e,t,o){"use strict";var n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===n(Symbol.iterator)?function(e){return void 0===e?"undefined":n(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":n(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":r(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t){e.exports=require("@weex-module/modal")}])});
            });
          },
          raxPicture : function(define) {
            define('rax-picture', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-picture",function(t,o,r){r.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxPicture=e()}}(function(){return function(e){function t(r){if(o[r])return o[r].exports;var n=o[r]={i:r,l:!1,exports:{}};return e[r].call(n.exports,n,n.exports,t),n.l=!0,n.exports}var o={};return t.m=e,t.c=o,t.d=function(e,o,r){t.o(e,o)||Object.defineProperty(e,o,{configurable:!1,enumerable:!0,get:r})},t.n=function(e){var o=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(o,"a",o),o},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=4)}([function(e,t,o){"use strict";var r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var n="function"==typeof Symbol&&"symbol"===r(Symbol.iterator)?function(e){return void 0===e?"undefined":r(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":r(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":n(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,o){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function n(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":u(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":u(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var u="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var r in o)Object.prototype.hasOwnProperty.call(o,r)&&(e[r]=o[r])}return e},c=function(){function e(e,t){for(var o=0;o<t.length;o++){var r=t[o];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,o,r){return o&&e(t.prototype,o),r&&e(t,r),t}}(),s=o(1),l=o(0),f=function(e){function t(){return r(this,t),n(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),c(t,[{key:"render",value:function(){var e=this.props;if(l.isWeex)return(0,s.createElement)("div",e);var t=a({},p.initial,e.style);return(0,s.createElement)("div",a({},e,{style:t}))}}]),t}(s.Component);f.propTypes={};var p={initial:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"flex",flexDirection:"column",alignContent:"flex-start",flexShrink:0}};t.default=f,e.exports=t.default},function(e,t,o){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function n(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":u(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":u(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var u="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var r in o)Object.prototype.hasOwnProperty.call(o,r)&&(e[r]=o[r])}return e},c=function(){function e(e,t){for(var o=0;o<t.length;o++){var r=t[o];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,o,r){return o&&e(t.prototype,o),r&&e(t,r),t}}(),s=o(1),l=o(0),f=o(2),p=function(e){return e&&e.__esModule?e:{default:e}}(f),d=function(e){function t(){return r(this,t),n(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),c(t,[{key:"render",value:function(){var e=a({},this.props),t=e.source;if(t&&t.uri){var o=e.style,r=t.width,n=t.height,i=t.uri;null==r&&null==n&&null==o.height&&null==o.width&&(r=0,n=0),e.style=a(a({},!this.context.isInAParentText&&{display:"flex"},{width:r,height:n}),o),e.src=i,delete e.source;var u=void 0;u=l.isWeex?"image":"img";var c=e.resizeMode||e.style.resizeMode;return c&&(l.isWeex?(e.resize=c,e.style.resizeMode=c):e.style.objectFit=c),this.props.children?(e.children=null,(0,s.createElement)(p.default,{style:e.style},(0,s.createElement)(u,e),(0,s.createElement)(p.default,{style:y.absoluteImage},this.props.children))):(0,s.createElement)(u,e)}return null}}]),t}(s.Component);d.propTypes={},d.resizeMode={contain:"contain",cover:"cover",stretch:"stretch",center:"center",repeat:"repeat"},d.contextTypes={isInAParentText:s.PropTypes.bool};var y={absoluteImage:{left:0,top:0,position:"absolute"}};t.default=d,e.exports=t.default},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=o(0),n=void 0;n=o(r.isWeb?5:14),t.default=n,e.exports=t.default},function(e,t,o){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function i(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function u(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}function a(e){var t=[],o=[];return"string"==typeof e&&(o=e.split(",")),_(e)&&(o=e),o&&o[0]&&(t[0]=o[0]),o&&o[1]&&(t[1]=o[1]),t}function c(e,t){var o=a(t);return e?o[0]:o[1]}Object.defineProperty(t,"__esModule",{value:!0});var s=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var r in o)Object.prototype.hasOwnProperty.call(o,r)&&(e[r]=o[r])}return e},l=function(){function e(e,t){for(var o=0;o<t.length;o++){var r=t[o];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,o,r){return o&&e(t.prototype,o),r&&e(t,r),t}}(),f=o(1),p=o(2),d=r(p),y=o(3),b=r(y),h=o(6),v=r(h),m=o(13),g=r(m),w={}.toString,_=Array.isArray||function(e){return"[object Array]"==w.call(e)},O=!1,P=!1;g.default.isSupport(function(e){O=e}),g.default.isSupport(function(e){P=e},"alpha");var x=function(e){function t(){var e,o,r,u;n(this,t);for(var a=arguments.length,c=Array(a),s=0;s<a;s++)c[s]=arguments[s];return o=r=i(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(c))),r.state={visible:!1},r.uri="",r.newStyle={},u=o,i(r,u)}return u(t,e),l(t,[{key:"componentWillUpdate",value:function(e){this.props.source.uri!==e.source.uri&&(this.uri="")}},{key:"shouldComponentUpdate",value:function(e,t){return!(!this.props.forceUpdate&&!this.props.children)||(this.props.source.uri!==e.source.uri||this.state.visible!==t.visible)}},{key:"render",value:function(){var e=this,t=this.props,o=t.children,r=t.style,n=void 0===r?{}:r,i=t.source,u=void 0===i?{}:i,a=t.resizeMode,l=t.width,p=t.height,y=t.defaultHeight,h=t.autoRemoveScheme,m=t.autoReplaceDomain,g=t.autoScaling,w=t.autoWebp,_=t.autoCompress,x=t.highQuality,S=t.compressSuffix,j=t.autoPixelRatio,A=t.lazyload,T=t.placeholder,M=t.ignoreGif,E=u.uri,R=this.props;if(!this.uri){var k=n.width,z=n.height;if(!z&&k&&l&&p){var C=l/parseInt(k,10);z=parseInt(p/C,10)}this.newStyle=Object.assign({height:z},n),this.uri=E,E&&(j&&window.devicePixelRatio>1&&"string"==typeof k&&k.indexOf("rem")>-1&&(k=2*parseInt(k.split("rem")[0])+"rem"),this.uri=(0,v.default)(E,{ignoreGif:M,ignorePng:!0,removeScheme:h,replaceDomain:m,scalingWidth:g?k:0,webp:w&&O&&P,compressSuffix:_?c(x,S):""})),a&&(this.newStyle.resizeMode=a)}var I=T;if(A){var W=this.state.visible;R.onAppear=function(){return e.lazyLoad()},W&&(I=this.uri)}else I=this.uri;return o||a?(0,f.createElement)(d.default,s({},R,{"data-once":!0,style:[this.newStyle,{backgroundImage:"url("+I+")",backgroundSize:a||"cover",backgroundRepeat:"no-repeat"},"cover"===a||"contain"===a?{backgroundPosition:"center"}:null,this.newStyle.height?null:{height:y}]}),o):(0,f.createElement)(b.default,s({},R,{"data-once":!0,source:{uri:I},style:this.newStyle}))}},{key:"lazyLoad",value:function(){this.setState({visible:!0})}}]),t}(f.Component);x.defaultProps={placeholder:"data:image/gif;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVQImWNgYGBgAAAABQABh6FO1AAAAABJRU5ErkJggg==",source:{uri:""},autoRemoveScheme:!0,autoReplaceDomain:!0,autoScaling:!0,autoWebp:!0,ignoreGif:!0,autoCompress:!0,highQuality:!0,compressSuffix:["Q75","Q50"],defaultHeight:"750rem",lazyload:!1,autoPixelRatio:!0},x.propTypes={style:f.PropTypes.object,source:f.PropTypes.object.isRequired,resizeMode:f.PropTypes.oneOf(["contain","cover","stretch"]),width:f.PropTypes.string,height:f.PropTypes.string,defaultHeight:f.PropTypes.string,autoRemoveScheme:f.PropTypes.bool,autoReplaceDomain:f.PropTypes.bool,autoScaling:f.PropTypes.bool,autoWebp:f.PropTypes.bool,autoCompress:f.PropTypes.bool,highQuality:f.PropTypes.bool,compressSuffix:f.PropTypes.array,lazyload:f.PropTypes.bool,placeholder:f.PropTypes.string,autoPixelRatio:f.PropTypes.bool,forceUpdate:f.PropTypes.bool,ignoreGif:f.PropTypes.bool},t.default=x,e.exports=t.default},function(e,t,o){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}Object.defineProperty(t,"__esModule",{value:!0}),t.default=function(e,t){var o=t.scalingWidth,r=t.webp,n=t.compressSuffix,u=t.quality,c=t.acutance,l=t.removeScheme,p=t.replaceDomain,y=t.ignoreGif,v=t.ignorePng,m=e;if("string"==typeof e){var g=(0,i.default)(e);if(g){var w=g[1],_=g[2],O=_.match(h)||[],P=!~_.indexOf("gif")&&!~_.indexOf("GIF")||!y,x=!~_.indexOf("png")&&!~_.indexOf("png")||!v,S=O[1]||"";o&&P&&(S=(0,f.default)(o,_)||S);var j=O[5]||"";r&&P&&(j=(0,d.default)()||j);var A=O[3]||"";(n||u||c)&&P&&x&&(A=(0,b.default)(n,u,c)||A);var T=S?O[2]||"":"",M=S||A?O[4]||".jpg":"",E=S||A?"_":"";P&&("_.jpg"!==O[0]&&(m=m.replace(O[0],"")),m+=E+S+T+A+M+j,l&&(m=(0,a.default)(m))),p&&(m=(0,s.default)(m,w))}}return m};var n=o(7),i=r(n),u=o(8),a=r(u),c=o(9),s=r(c),l=o(10),f=r(l),p=o(11),d=r(p),y=o(12),b=r(y),h=/_(\d+x\d+|cy\d+i\d+|sum|m|b)?(xz|xc)?((?:q\d+)?(?:s\d+)?)(\.jpg)?(_\.webp)?$/i;e.exports=t.default},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=function(e){return e.match(r)};var r=/^(?:(?:http|https):)?\/\/(.+\.(?:alicdn|taobaocdn|taobao)\.(?:com|net))(\/.*(?:\.(jpg|png|gif|jpeg|webp))?)$/i;e.exports=t.default},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=function(e){return e.replace(/(http|https):/gi,"")},e.exports=t.default},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=function(e,t){var o=t.match(n);return o&&o[0]!=r&&-1===i.indexOf(t)?e.replace(t,r):e};var r="gw.alicdn.com",n=/(.+\.(?:alicdn|taobaocdn|taobao|mmcdn)\.com)/,i=["a.tbcdn.cn","assets.alicdn.com","wwc.taobaocdn.com","wwc.alicdn.com","cbu01.alicdn.com"];e.exports=t.default},function(e,t,o){"use strict";function r(e,t){var o=1e3,r=e,n=0;if(t.forEach(function(t,i){var u=Math.abs(t-e);if(0===u)return r=t,n=i,!1;o>u&&(o=u,r=t,n=i)}),e>r&&t[n+1]&&(r=t[n+1]),t.indexOf(r)>-1)return r}Object.defineProperty(t,"__esModule",{value:!0});var n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};t.default=function(e){var t="string"==typeof e&&e.indexOf("rem")>-1,o="number"==typeof e;if(t||o){var n=parseFloat(e,10),i=1;t&&(i=c/u);var s=r(parseInt(n/i,10),a);if(s)return s+"x10000"}return""};var i="object"===("undefined"==typeof window?"undefined":n(window)),u=window.screen.width;i&&(u=document.documentElement.clientWidth/750*u);var a=[110,140,150,170,220,230,240,290,300,360,450,570,580,620,790],c=750;e.exports=t.default},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=function(){return r};var r="_.webp";e.exports=t.default},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=function(e,t,o){return e||(t?"Q"+t:"")+(o?"S"+o:"")},e.exports=t.default},function(e,t,o){"use strict";function r(e,t){if("function"==typeof e){var o=new Image;o.onload=function(){var r=o.width>0&&o.height>0;n(r,t),e(r)},o.onerror=function(){n(!1,t),e(!1)}}}function n(e,t){if(window.localStorage&&"function"==typeof window.localStorage.setItem)try{window.localStorage.setItem("webpsupport-"+t,e)}catch(e){}}function i(e,t){if(u.isWeex)return e(!0);if("function"==typeof e)if(t=t||"lossy",window.navigator.userAgent.match(/windows|win32/i)||a&&window.navigator.userAgent.match(/UCBrowser/i))e(!1);else if(window.chrome||window.opera)e(!0);else{var o=window.localStorage&&window.localStorage.getItem("webpsupport-"+t);o?e("true"==o):r(e,t)}}Object.defineProperty(t,"__esModule",{value:!0});var u=o(0),a=void 0;u.isWeex||(a=!!navigator.userAgent.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/));var c={};c.isSupport=i,t.default=c,e.exports=t.default},function(e,t,o){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function n(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var u=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var r in o)Object.prototype.hasOwnProperty.call(o,r)&&(e[r]=o[r])}return e},a=function(){function e(e,t){for(var o=0;o<t.length;o++){var r=t[o];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,o,r){return o&&e(t.prototype,o),r&&e(t,r),t}}(),c=o(1),s=o(3),l=function(e){return e&&e.__esModule?e:{default:e}}(s),f=function(e){function t(){return r(this,t),n(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),a(t,[{key:"shouldComponentUpdate",value:function(e){return!(!this.props.forceUpdate&&!this.props.children)||this.props.source.uri!==e.source.uri}},{key:"render",value:function(){var e=this.props,t=e.children,o=e.style,r=void 0===o?{}:o,n=e.source,i=void 0===n?{}:n,a=e.resizeMode,s=e.width,f=e.height,p=e.defaultHeight,d=r.width,y=r.height;if(!y&&d&&s&&f){var b=s/parseInt(d,10);y=parseInt(f/b,10)}y||(y=p,a||(a="contain"));var h=Object.assign({height:y},r);return a&&(h.resizeMode=a),(0,c.createElement)(l.default,u({},this.props,{source:i,style:h}),t)}}]),t}(c.Component);f.defaultProps={source:{uri:""},defaultHeight:750},f.propTypes={style:c.PropTypes.object,source:c.PropTypes.object.isRequired,resizeMode:c.PropTypes.oneOf(["contain","cover","stretch"]),width:c.PropTypes.string,height:c.PropTypes.string,defaultHeight:c.PropTypes.string,forceUpdate:c.PropTypes.bool},t.default=f,e.exports=t.default}])});
            });
          },
          raxIcon : function(define) {
            define('rax-icon', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-icon",function(t,n,r){r.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxIcon=e()}}(function(){return function(e){function t(r){if(n[r])return n[r].exports;var o=n[r]={i:r,l:!1,exports:{}};return e[r].call(o.exports,o,o.exports,t),o.l=!0,o.exports}var n={};return t.m=e,t.c=n,t.d=function(e,n,r){t.o(e,n)||Object.defineProperty(e,n,{configurable:!1,enumerable:!0,get:r})},t.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(n,"a",n),n},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=3)}([function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,n){"use strict";var r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var o="function"==typeof Symbol&&"symbol"===r(Symbol.iterator)?function(e){return void 0===e?"undefined":r(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":r(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":o(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t,n){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function o(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":u(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":u(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var u="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var l=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},c=function(){function e(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,n,r){return n&&e(t.prototype,n),r&&e(t,r),t}}(),a=n(0),s=n(1),f=function(e){function t(){return r(this,t),o(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),c(t,[{key:"render",value:function(){var e=this.props;if(s.isWeex)return(0,a.createElement)("div",e);var t=l({},p.initial,e.style);return(0,a.createElement)("div",l({},e,{style:t}))}}]),t}(a.Component);f.propTypes={};var p={initial:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"flex",flexDirection:"column",alignContent:"flex-start",flexShrink:0}};t.default=f,e.exports=t.default},function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function i(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function u(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}function l(e,t,n){return function(r){function l(){return o(this,l),i(this,(l.__proto__||Object.getPrototypeOf(l)).apply(this,arguments))}return u(l,r),a(l,[{key:"render",value:function(){var r="";return this.props.codePoint?r=this.props.codePoint:this.props.name&&(r=e[this.props.name]),(0,s.createElement)(v,{style:this.props.style,fontFamily:t,source:{uri:n,codePoint:r}})}}]),l}(s.Component)}Object.defineProperty(t,"__esModule",{value:!0});var c=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},a=function(){function e(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,n,r){return n&&e(t.prototype,n),r&&e(t,r),t}}();t.createIconSet=l;var s=n(0),f=n(1),p=n(2),y=(r(p),n(4)),d=r(y),b=n(5),h=r(b),v=function(e){function t(){return o(this,t),i(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return u(t,e),a(t,[{key:"render",value:function(){var e=this.props.style||{};if(this.props.source.uri&&!this.props.source.codePoint)return(0,s.createElement)(h.default,{source:{uri:this.props.source.uri},style:e});var t=this.props.source.uri,r=this.props.fontFamily,o=c({},e,{fontFamily:r});if(f.isWeb){var i=window.FontFace,u=new i(r,"url("+t+")");document.fonts.add(u)}if(f.isWeex){n(6).addRule("fontFace",{fontFamily:r,src:"url('"+t+"')"})}return(0,s.createElement)(d.default,{style:o},this.props.source.codePoint)}}]),t}(s.Component);v.propTypes={fontFamily:s.PropTypes.string,source:s.PropTypes.object},t.default=v},function(e,t,n){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function o(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":c(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":c(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}function u(e,t){var n=e.type,r=e.props,o=r.children;if("function"==typeof n){var i=new n;return i.props=r,o&&(i.props.children=l(o,t)),i.context=t.getChildContext(),i.render()}return e}function l(e,t){var n=[];Array.isArray(e)||(e=[e]);for(var r=0;r<e.length;r++){var o=e[r];"string"==typeof o?n.push(o):"object"===(void 0===o?"undefined":a(o))&&n.push(u(o,t))}return n}var c="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var a="function"==typeof Symbol&&"symbol"===c(Symbol.iterator)?function(e){return void 0===e?"undefined":c(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":c(e)},s=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},f=function(){function e(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,n,r){return n&&e(t.prototype,n),r&&e(t,r),t}}(),p=n(0),y=n(1),d=function(e){function t(){var e,n,i,u;r(this,t);for(var c=arguments.length,a=Array(c),f=0;f<c;f++)a[f]=arguments[f];return n=i=o(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(a))),i.renderText=function(){var e=i.props,t=s({},e,{style:e.style||{}}),n="";if(null!=e.children&&(n=Array.isArray(e.children)?e.children.join(""):e.children.toString()),i.context.isInAParentText)return(0,p.createElement)("span",t,n);if(e.onPress&&(t.onClick=e.onPress),y.isWeex)return e.numberOfLines&&(t.style.lines=e.numberOfLines),t.value=n,(0,p.createElement)("text",t);var r=s({},b.text,t.style),o=e.numberOfLines;return o&&(1===parseInt(o)?r.whiteSpace="nowrap":(r.display="-webkit-box",r.webkitBoxOrient="vertical",r.webkitLineClamp=String(o)),r.overflow="hidden"),(0,p.createElement)("span",s({},t,{style:r}),n)},i.renderRichText=function(){var e=i.props,t=e.children,n=s({},e,{style:e.style||{}}),r=s({},b.richtext,n.style);return y.isWeex&&(t=l(t,i)),(0,p.createElement)("p",s({},n,{style:r}),t)},u=n,o(i,u)}return i(t,e),f(t,[{key:"getChildContext",value:function(){return{isInAParentText:!0}}},{key:"render",value:function(){var e=this.props,t=e.children;Array.isArray(t)||(t=[t]);for(var n=!1,r=0;r<t.length;r++){var o=t[r];if(o&&"object"===(void 0===o?"undefined":a(o))){n=!0;break}}return n?this.renderRichText():this.renderText()}}]),t}(p.Component);d.propTypes={},d.contextTypes={isInAParentText:p.PropTypes.bool},d.childContextTypes={isInAParentText:p.PropTypes.bool};var b={text:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"block",flexDirection:"column",alignContent:"flex-start",flexShrink:0,fontSize:32},richtext:{marginTop:0,marginBottom:0}};t.default=d,e.exports=t.default},function(e,t,n){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function o(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":u(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":u(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var u="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var l=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},c=function(){function e(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,n,r){return n&&e(t.prototype,n),r&&e(t,r),t}}(),a=n(0),s=n(1),f=n(2),p=function(e){return e&&e.__esModule?e:{default:e}}(f),y=function(e){function t(){return r(this,t),o(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),c(t,[{key:"render",value:function(){var e=l({},this.props),t=e.source;if(t&&t.uri){var n=e.style,r=t.width,o=t.height,i=t.uri;null==r&&null==o&&null==n.height&&null==n.width&&(r=0,o=0),e.style=l(l({},!this.context.isInAParentText&&{display:"flex"},{width:r,height:o}),n),e.src=i,delete e.source;var u=void 0;u=s.isWeex?"image":"img";var c=e.resizeMode||e.style.resizeMode;return c&&(s.isWeex?(e.resize=c,e.style.resizeMode=c):e.style.objectFit=c),this.props.children?(e.children=null,(0,a.createElement)(p.default,{style:e.style},(0,a.createElement)(u,e),(0,a.createElement)(p.default,{style:d.absoluteImage},this.props.children))):(0,a.createElement)(u,e)}return null}}]),t}(a.Component);y.propTypes={},y.resizeMode={contain:"contain",cover:"cover",stretch:"stretch",center:"center",repeat:"repeat"},y.contextTypes={isInAParentText:a.PropTypes.bool};var d={absoluteImage:{left:0,top:0,position:"absolute"}};t.default=y,e.exports=t.default},function(e,t){e.exports=require("@weex-module/dom")}])});
            });
          },
          raxTabheader : function(define) {
            define('rax-tabheader', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-tabheader",function(t,o,n){n.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxTabheader=e()}}(function(){return function(e){function t(n){if(o[n])return o[n].exports;var r=o[n]={i:n,l:!1,exports:{}};return e[n].call(r.exports,r,r.exports,t),r.l=!0,r.exports}var o={};return t.m=e,t.c=o,t.d=function(e,o,n){t.o(e,o)||Object.defineProperty(e,o,{configurable:!1,enumerable:!0,get:n})},t.n=function(e){var o=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(o,"a",o),o},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=10)}([function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,o){"use strict";var n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===n(Symbol.iterator)?function(e){return void 0===e?"undefined":n(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":n(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":r(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t,o){"use strict";function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":l(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":l(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var l="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},c=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),s=o(0),u=o(1),f=function(e){function t(){return n(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),c(t,[{key:"render",value:function(){var e=this.props;if(u.isWeex)return(0,s.createElement)("div",e);var t=a({},p.initial,e.style);return(0,s.createElement)("div",a({},e,{style:t}))}}]),t}(s.Component);f.propTypes={};var p={initial:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"flex",flexDirection:"column",alignContent:"flex-start",flexShrink:0}};t.default=f,e.exports=t.default},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.default={container:{height:80,backgroundColor:"#ffffff",borderBottomWidth:"1px",borderBottomStyle:"solid",borderBottomColor:"#e7e7e7",position:"relative"},item:{height:80,width:166,textAlign:"center",float:"left",position:"relative"},itemText:{color:"#000000",paddingTop:24,textAlign:"center"},selectItemText:{color:"#ff4200",paddingTop:24,textAlign:"center"},borderBottom:{left:0,height:0,width:0,position:"absolute"},borderRun:{position:"absolute",left:0,bottom:0,height:4,width:166,backgroundColor:"#fc511f"},drop:{height:81,marginBottom:"-81rem",position:"relative"},dropBtn:{height:80,width:71,position:"absolute",top:0,right:0,backgroundColor:"#ffffff",borderLeftWidth:"1px",borderLeftStyle:"solid",borderLeftColor:"#e7e7e7",borderBottomWidth:"1px",borderBottomStyle:"solid",borderBottomColor:"#e7e7e7"},dropBoxTtem:{height:80,textAlign:"center"},dropBoxText:{paddingTop:27,textAlign:"center",color:"#000000"},dropBoxSelectText:{paddingTop:27,textAlign:"center",color:"#ff4200"},iconContainer:{boxShadow:"inset 0px -1px 0px 0px rgba(0,0,0,0.10)",height:112,fontFamily:"PingFangSC-Regular"},iconItem:{width:166,textAlign:"center",float:"left",position:"relative",height:112},iconText:{textAlign:"center",fontSize:28,height:112,color:"#000000"},selectedIconText:{textAlign:"center",fontSize:28,height:112,color:"#FFFFFF"},iconBox:{textAlign:"center",justifyContent:"center",flexDirection:"row",height:63},icon:{width:48,height:48,marginTop:12,display:"inline-block",position:"relative"},iconBackgroundRun:{left:0,height:0,width:0,position:"absolute"}},e.exports=t.default},function(e,t){e.exports=require("@weex-module/dom")},function(e,t,o){"use strict";function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":c(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":c(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}function l(e,t){var o=e.type,n=e.props,r=n.children;if("function"==typeof o){var i=new o;return i.props=n,r&&(i.props.children=a(r,t)),i.context=t.getChildContext(),i.render()}return e}function a(e,t){var o=[];Array.isArray(e)||(e=[e]);for(var n=0;n<e.length;n++){var r=e[n];"string"==typeof r?o.push(r):"object"===(void 0===r?"undefined":s(r))&&o.push(l(r,t))}return o}var c="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var s="function"==typeof Symbol&&"symbol"===c(Symbol.iterator)?function(e){return void 0===e?"undefined":c(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":c(e)},u=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},f=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),p=o(0),d=o(1),y=function(e){function t(){var e,o,i,l;n(this,t);for(var c=arguments.length,s=Array(c),f=0;f<c;f++)s[f]=arguments[f];return o=i=r(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(s))),i.renderText=function(){var e=i.props,t=u({},e,{style:e.style||{}}),o="";if(null!=e.children&&(o=Array.isArray(e.children)?e.children.join(""):e.children.toString()),i.context.isInAParentText)return(0,p.createElement)("span",t,o);if(e.onPress&&(t.onClick=e.onPress),d.isWeex)return e.numberOfLines&&(t.style.lines=e.numberOfLines),t.value=o,(0,p.createElement)("text",t);var n=u({},h.text,t.style),r=e.numberOfLines;return r&&(1===parseInt(r)?n.whiteSpace="nowrap":(n.display="-webkit-box",n.webkitBoxOrient="vertical",n.webkitLineClamp=String(r)),n.overflow="hidden"),(0,p.createElement)("span",u({},t,{style:n}),o)},i.renderRichText=function(){var e=i.props,t=e.children,o=u({},e,{style:e.style||{}}),n=u({},h.richtext,o.style);return d.isWeex&&(t=a(t,i)),(0,p.createElement)("p",u({},o,{style:n}),t)},l=o,r(i,l)}return i(t,e),f(t,[{key:"getChildContext",value:function(){return{isInAParentText:!0}}},{key:"render",value:function(){var e=this.props,t=e.children;Array.isArray(t)||(t=[t]);for(var o=!1,n=0;n<t.length;n++){var r=t[n];if(r&&"object"===(void 0===r?"undefined":s(r))){o=!0;break}}return o?this.renderRichText():this.renderText()}}]),t}(p.Component);y.propTypes={},y.contextTypes={isInAParentText:p.PropTypes.bool},y.childContextTypes={isInAParentText:p.PropTypes.bool};var h={text:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"block",flexDirection:"column",alignContent:"flex-start",flexShrink:0,fontSize:32},richtext:{marginTop:0,marginBottom:0}};t.default=y,e.exports=t.default},function(e,t,o){"use strict";function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":l(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":l(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var l="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},c=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),s=o(0),u=o(1),f=o(2),p=function(e){return e&&e.__esModule?e:{default:e}}(f),d=function(e){function t(){return n(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),c(t,[{key:"render",value:function(){var e=a({},this.props),t=e.source;if(t&&t.uri){var o=e.style,n=t.width,r=t.height,i=t.uri;null==n&&null==r&&null==o.height&&null==o.width&&(n=0,r=0),e.style=a(a({},!this.context.isInAParentText&&{display:"flex"},{width:n,height:r}),o),e.src=i,delete e.source;var l=void 0;l=u.isWeex?"image":"img";var c=e.resizeMode||e.style.resizeMode;return c&&(u.isWeex?(e.resize=c,e.style.resizeMode=c):e.style.objectFit=c),this.props.children?(e.children=null,(0,s.createElement)(p.default,{style:e.style},(0,s.createElement)(l,e),(0,s.createElement)(p.default,{style:y.absoluteImage},this.props.children))):(0,s.createElement)(l,e)}return null}}]),t}(s.Component);d.propTypes={},d.resizeMode={contain:"contain",cover:"cover",stretch:"stretch",center:"center",repeat:"repeat"},d.contextTypes={isInAParentText:s.PropTypes.bool};var y={absoluteImage:{left:0,top:0,position:"absolute"}};t.default=d,e.exports=t.default},function(e,t,o){"use strict";function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":l(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":l(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var l="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},c=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),s=o(0),u=(o(1),o(2)),f=function(e){return e&&e.__esModule?e:{default:e}}(u),p=function(e){function t(){return n(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),c(t,[{key:"render",value:function(){var e=this.props,t=a({},e,{style:a({},d.initial,e.style),onClick:e.onPress});return delete t.onPress,(0,s.createElement)(f.default,t)}}]),t}(s.Component);p.propTypes={};var d={initial:{cursor:"pointer"}};t.default=p,e.exports=t.default},function(e,t,o){"use strict";function n(e){return e&&e.__esModule?e:{default:e}}Object.defineProperty(t,"__esModule",{value:!0}),t.Col=t.Row=void 0;var r=o(14),i=n(r),l=o(15),a=n(l);t.Row=i.default,t.Col=a.default,t.default=e.exports,t.default=e.exports},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=(o(0),o(16)),r=function(e){return e&&e.__esModule?e:{default:e}}(n),i=o(1),l=0;if(i.isWeex){var a="undefined"!=typeof WXEnvironment?WXEnvironment:{};l=a.deviceWidth}else l=document.body.clientWidth;var c={transition:function(e,t,o){(0,r.default)(e,t,{timingFunction:"ease",delay:0,duration:300},function(){o&&o()})},height:function(e,t,o){var n=t*l/750+"px";i.isWeex&&(n=t),c.transition(e,{height:n},o)},rotate:function(e,t,o){c.transition(e,{transform:"rotate("+t+"deg)"},o)},scrollTo:function(e,t,o){var n=parseInt(t.x),r="translate("+n*l/750+"px, 0)";i.isWeex&&(r="translate("+n+"px, 0)"),setTimeout(function(){c.transition(e,{transform:r},o)},0)}};t.default=c,e.exports=t.default},function(e,t,o){"use strict";function n(e){return e&&e.__esModule?e:{default:e}}function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function i(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function l(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},c=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),s=o(0),u=o(11),f=n(u),p=o(12),d=n(p),y=o(19),h=n(y),b=o(25),m=n(b),v=o(26),g="tabheaderContainer",w=function(e){function t(){var e,o,n,l;r(this,t);for(var a=arguments.length,c=Array(a),s=0;s<a;s++)c[s]=arguments[s];return o=n=i(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(c))),n.select=function(e){n.refs[g].select(e)},n.selectInternal=function(e){n.refs[g].selectInternal(e)},n.scrollTo=function(e){n.refs[g].scrollTo(e)},l=o,i(n,l)}return l(t,e),c(t,[{key:"getChildContext",value:function(){return{tabheader:this}}},{key:"componentDidMount",value:function(){m.default.initWebStyle()}},{key:"render",value:function(){var e=(this.props.type||"default-noanim-scroll").toLowerCase().split("-"),t=e[0],o=e[1],n=e[2],r=this.props.dropDownCols;return(0,s.createElement)(f.default,{ref:g,itemWidth:this.props.itemWidth,onSelect:this.props.onSelect},(0,s.createElement)(d.default,a({},this.props,{dropDownCols:r,styleType:t})),(0,s.createElement)(h.default,a({},this.props,{styleType:t,scrollType:n,animType:o})))}}]),t}(s.Component);w.childContextTypes={tabheader:s.PropTypes.object},w.defaultProps={},(0,v.mixinEmitter)(w),t.default=w,e.exports=t.default},function(e,t,o){"use strict";function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var l=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},a=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),c=o(0),s=o(2),u=function(e){return e&&e.__esModule?e:{default:e}}(s),f="tabheaderScrollTo",p="tabheaderSelect",d=function(e){function t(){var e,o,i,l;n(this,t);for(var a=arguments.length,c=Array(a),s=0;s<a;s++)c[s]=arguments[s];return o=i=r(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(c))),i.select=function(e,t){i.selected!=e&&i.props.onSelect&&i.props.onSelect(e),i.selectInternal(e)},i.selectInternal=function(e){var t=i.context.tabheader;"noanim"!=i.animType&&i.scrollTo({x:parseInt(i.props.itemWidth)*e}),t&&t.emit(p,e)},i.scrollTo=function(e){var t=i.context.tabheader;t&&t.emit(f,e)},l=o,r(i,l)}return i(t,e),a(t,[{key:"componentWillMount",value:function(){var e=this,t=this.context.tabheader;t&&t.on&&t.on("tabheaderGoTop",function(){o(4).scrollToElement((0,c.findDOMNode)(e.refs.container),{offset:0})})}},{key:"render",value:function(){return(0,c.createElement)(u.default,l({ref:"container"},this.props))}}]),t}(c.Component);d.contextTypes={tabheader:c.PropTypes.object},t.default=d,e.exports=t.default},function(e,t,o){"use strict";function n(e){return e&&e.__esModule?e:{default:e}}function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function i(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function l(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},c=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),s=o(0),u=o(2),f=n(u),p=o(5),d=n(p),y=o(6),h=n(y),b=o(7),m=n(b),v=o(1),g=o(13),w=n(g),x=o(9),O=n(x),_=o(3),S=n(_),j="tabheaderScrollTo",P="tabheaderSelect",T="tabheaderGoTop",E=80,C=750,k=function(e){function t(e){r(this,t);var o=i(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,e));o.changeGrid=function(){o.gridOpen?v.isWeex?o.closePop():o.closeDrop():v.isWeex?o.openPop():o.openDrop(),o.gridOpen=!o.gridOpen},o.openPop=function(){var e=o.context.tabheader;e&&e.emit(T);var t=(0,s.findDOMNode)(o.refs.icon);O.default.rotate(t,180);var n=parseInt(o.dropDownHeight)/750*C,r=(0,s.findDOMNode)(o.refs.dropMultiRow);O.default.height(r,n),o.state.weexGridTop=0,o.state.weexGridLeft=0,o.state.weexGridPosition="fixed",o.state.weexGridHeight=2e3,o.setState(o.state)},o.closePop=function(){var e=(0,s.findDOMNode)(o.refs.icon);O.default.rotate(e,360);var t=(0,s.findDOMNode)(o.refs.dropMultiRow);O.default.height(t,0),o.closePopIndex||(o.closePopIndex=1),o.closePopIndex++,o.state.weexGridTop=-1e3-o.closePopIndex,o.state.weexGridLeft=-1e3-o.closePopIndex,o.state.weexGridPosition="relative",o.state.weexGridHeight=0,o.setState(o.state)},o.openDrop=function(){var e=parseInt(o.dropDownHeight)/750*C,t=(0,s.findDOMNode)(o.refs.icon);O.default.rotate(t,180);var n=(0,s.findDOMNode)(o.refs.dropMultiRow);O.default.height(n,e)},o.closeDrop=function(){var e=(0,s.findDOMNode)(o.refs.icon);O.default.rotate(e,360);var t=(0,s.findDOMNode)(o.refs.dropMultiRow);O.default.height(t,0)},o.gridItemSelect=function(e){o.changeGrid();var t=o.context.tabheader;"noanim"!=o.animType&&t.emit(j,{x:parseInt(o.props.itemWidth)*e}),o.selected!=e&&o.props.onSelect&&o.props.onSelect(e),t&&t.emit(P,e)},o.renderGridItemFun=function(e,t){return""==e?(0,s.createElement)(f.default,{style:S.default.dropBoxTtem}):o.state.selected==t?(0,s.createElement)(m.default,{onPress:function(){o.gridItemSelect(t)},style:S.default.dropBoxTtem},(0,s.createElement)(d.default,{style:S.default.dropBoxSelectText},e)):(0,s.createElement)(m.default,{onPress:function(){o.gridItemSelect(t)},style:S.default.dropBoxTtem},(0,s.createElement)(d.default,{style:S.default.dropBoxText},e))},o.renderGridFun=function(e){var t={},n={};return v.isWeex&&(t.top=o.state.weexGridTop+80,t.left=o.state.weexGridLeft,t.position=o.state.weexGridPosition,t.height=parseInt(o.dropDownHeight)/750*C,n.top=o.state.weexGridTop,n.left=o.state.weexGridLeft,n.position=o.state.weexGridPosition,n.height=o.state.weexGridHeight),(0,s.createElement)(f.default,{id:"grid",ref:"grid",style:S.default.drop},(0,s.createElement)(m.default,{style:S.default.dropBtn,onPress:o.changeGrid},(0,s.createElement)(h.default,{ref:"icon",source:{uri:"//gw.alicdn.com/tps/TB1H03wKVXXXXX_aXXXXXXXXXXX-40-40.png"},style:{width:"40rem",height:"40rem",position:"absolute",top:"20rem",left:"15rem"}})),(0,s.createElement)(m.default,{style:a({backgroundColor:"#000000",opacity:.1,width:750,zIndex:100},n),onPress:o.changeGrid}),(0,s.createElement)(f.default,{ref:"dropMultiRow",style:a({backgroundColor:"#ffffff",position:"absolute",top:81,right:0,width:750,height:0,paddingRight:100,overflow:"hidden",zIndex:100},t)},(0,s.createElement)(w.default,{dataSource:e,cells:o.props.dropDownCols,renderCell:o.renderGridItemFun})))};var n=o.props.dataSource?o.props.dataSource.length:0,l=o.props.dropDownCols;return o.dropDownHeight=Math.ceil(n/l)*E,o.state={weexGridTop:-1e3,weexGridLeft:-1e3,weexGridPosition:"fixed",weexGridHeight:0,selected:e.selected},o}return l(t,e),c(t,[{key:"componentWillMount",value:function(){var e=this,t=this.context.tabheader;t&&t.on&&t.on(P,function(t){e.setState({selected:t})})}},{key:"render",value:function(){var e=this.props,t=e.styleType,o=e.dropDownCols,n=e.dataSource,r=[],i=n.length%o;i&&(i=o-i);for(var l=0;l<n.length+i;l++)l<n.length?r.push(n[l]):r.push("");return"dropdown"==t?this.renderGridFun(r):null}}]),t}(s.Component);k.contextTypes={tabheader:s.PropTypes.object},k.defaultProps={},t.default=k,e.exports=t.default},function(e,t,o){"use strict";function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":l(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":l(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var l="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),c=o(0),s=o(8),u=o(2),f=function(e){return e&&e.__esModule?e:{default:e}}(u),p=function(e){function t(){return n(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),a(t,[{key:"render",value:function(){return(0,c.createElement)(f.default,null,this.getContent())}},{key:"getContent",value:function(){for(var e=this.props,t=e.dataSource,o=e.cells,n=e.renderCell,r=[],i=[],l=0;l<t.length;l++){var a=Math.floor(l/o);l%o==0&&(i[a]=[]),i[a].push((0,c.createElement)(s.Col,{style:e.colStyle},n(t[l],l))),l%o==0&&0!=l&&r.push((0,c.createElement)(s.Row,{style:e.rowStyle},i[a-1])),l==t.length-1&&r.push((0,c.createElement)(s.Row,{style:e.rowStyle},i[a]))}return(0,c.createElement)(f.default,null,r)}}]),t}(c.Component);p.defaultProps={colStyle:{},rowStyle:{},cells:1,dataSource:[],renderCell:function(){}},t.default=p,e.exports=t.default},function(e,t,o){"use strict";function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":l(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":l(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var l="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},c=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),s=o(0),u=o(2),f=function(e){return e&&e.__esModule?e:{default:e}}(u),p=function(e){function t(){return n(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),c(t,[{key:"render",value:function(){var e={},t=this.props.gridType;"flex-start"==t?d.initial.display="block":e.justifyContent=t;var o=a({},d.initial,this.props.style,e);return(0,s.createElement)(f.default,a({},this.props,{style:o}))}}]),t}(s.Component),d={initial:{display:"flex",justifyContent:"center",flexDirection:"row"}};t.default=p,e.exports=t.default},function(e,t,o){"use strict";function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":l(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":l(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var l="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},c=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),s=o(0),u=o(2),f=function(e){return e&&e.__esModule?e:{default:e}}(u),p=function(e){function t(){return n(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),c(t,[{key:"render",value:function(){var e=this.props,t=(e.children,e.style);return(0,s.createElement)(f.default,a({},this.props,{style:a({flex:1},t,{width:"1%"})}))}}]),t}(s.Component);t.default=p,e.exports=t.default},function(e,t,o){"use strict";function n(e,t,n,l){"function"!=typeof n&&null!=n||(l=n,n={timingFunction:"ease",duration:0,delay:0});for(var a in t)t[a]=(0,i.convertUnit)(t[a],a);if(r.isWeex){o(18).transition(e.ref,{styles:t,timingFunction:n.timingFunction||"linear",delay:n.delay||0,duration:n.duration||0},l||function(){})}else if(r.isWeb){var c=n.duration||0,s=n.timingFunction||"linear",u=n.delay||0,f="all "+c+"ms "+s+" "+u+"ms";if(e.style.transition=f,e.style.webkitTransition=f,l){var p=function t(o){o.stopPropagation(),e.removeEventListener("webkitTransitionEnd",t),e.removeEventListener("transitionend",t),e.style.transition="",e.style.webkitTransition="",l()};e.addEventListener("webkitTransitionEnd",p),e.addEventListener("transitionend",p)}for(var d in t){var y=t[d];e.style[d]=y}}}Object.defineProperty(t,"__esModule",{value:!0}),t.default=n;var r=o(1),i=o(17);e.exports=t.default},function(e,t,o){"use strict";function n(e){return"string"==typeof e&&-1!==e.indexOf(u)}function r(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:p;return e.replace(f,function(e){return parseFloat(e)*t+"px"})}function i(){return p}function l(e){p=e}function a(e,t){return"number"==typeof e&&!s[t]}function c(e,t){var o=arguments.length>2&&void 0!==arguments[2]?arguments[2]:p;return t&&a(e,t)?e*o+"px":n(e)?r(e,o):e}Object.defineProperty(t,"__esModule",{value:!0}),t.isRem=n,t.calcRem=r,t.getRem=i,t.setRem=l,t.isUnitNumber=a,t.convertUnit=c;var s={animationIterationCount:!0,borderImageOutset:!0,borderImageSlice:!0,borderImageWidth:!0,boxFlex:!0,boxFlexGroup:!0,boxOrdinalGroup:!0,columnCount:!0,flex:!0,flexGrow:!0,flexPositive:!0,flexShrink:!0,flexNegative:!0,flexOrder:!0,gridRow:!0,gridColumn:!0,fontWeight:!0,lineClamp:!0,opacity:!0,order:!0,orphans:!0,tabSize:!0,widows:!0,zIndex:!0,zoom:!0,lines:!0},u="rem",f=/[-+]?\d*\.?\d+rem/g,p=1;t.default=e.exports,t.default=e.exports},function(e,t){e.exports=require("@weex-module/animation")},function(e,t,o){"use strict";function n(e){return e&&e.__esModule?e:{default:e}}function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function i(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function l(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},c=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),s=o(0),u=o(20),f=n(u),p=o(22),d=n(p),y=o(24),h=n(y),b=o(8),m=o(1),v=o(3),g=n(v),w="scrollview",x=function(e){function t(e){r(this,t);var o=i(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,e));return o.scrollTo=function(e){var t=parseInt(e.x)-300;m.isWeex&&t<=0&&(t=0),o.refs[w]&&o.refs[w].scrollTo({x:t})},o.state={selected:e.selected},o}return l(t,e),c(t,[{key:"componentWillMount",value:function(){var e=this,t=this.context.tabheader;t&&t.on&&(t.on("tabheaderScrollTo",function(t){e.scrollTo(t)}),t.on("tabheaderSelect",function(t){e.setState({selected:t})}))}},{key:"render",value:function(){var e=this,t=this.props,o=t.style,n=t.dataSource,r=t.onSelect,i=(t.animType,t.scrollType),l=t.styleType,c=t.itemWidth,u=t.renderItem,p=t.renderSelect,y=t.itemStyle,m=t.itemSelectedStyle,v=t.containerStyle,x=t.animBuoyStyle,O=0,_=[];n.map(function(t,o){O+="function"==typeof c?parseInt(c(t,o)):parseInt(c),"scroll"==i?_.push((0,s.createElement)(d.default,{index:o,selected:e.state.selected,data:t,itemWidth:c,onSelect:r,renderItem:u,renderSelect:p,itemStyle:y,itemSelectedStyle:m,styleType:l})):(c=750/n.length,_.push((0,s.createElement)(b.Col,null,(0,s.createElement)(d.default,{index:o,selected:e.state.selected,data:t,itemWidth:c,onSelect:r,renderItem:u,renderSelect:p,itemStyle:y,itemSelectedStyle:m,styleType:l}))))});var S=a({},g.default.container,o,v);return"icon"==l&&(S=a({},S,g.default.iconContainer)),"dropdown"==l&&(S.width=679),"scroll"==i?(0,s.createElement)(f.default,{ref:w,style:a({},S,{display:"block"}),contentContainerStyle:a({},S,{borderWidth:0,margin:0,padding:0,justifyContent:"center",flexDirection:"row",width:O}),showsHorizontalScrollIndicator:!1,horizontal:!0},(0,s.createElement)(h.default,a({},this.props,{itemWidth:c,style:x})),_):(0,s.createElement)(b.Row,{style:S},(0,s.createElement)(h.default,a({},this.props,{itemWidth:c,style:x})),_)}}]),t}(s.Component);x.contextTypes={tabheader:s.PropTypes.object},x.defaultProps={dataSource:[]},t.default=x,e.exports=t.default},function(e,t,o){"use strict";function n(e){return e&&e.__esModule?e:{default:e}}function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function i(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":c(t))&&"function"!=typeof t?e:t}function l(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":c(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}function a(e,t){function o(){l=0,a=+new Date,i=e.apply(n,r),n=null,r=null}var n,r,i,l,a=0;return function(){n=this,r=arguments;var e=new Date-a;return l||(e>=t?o():l=setTimeout(o,t-e)),i}}var c="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var s=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},u=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),f=o(0),p=o(1),d=o(2),y=n(d),h=o(21),b=n(h),m=750,v=function(e){function t(e){r(this,t);var n=i(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,e));return n.lastScrollDistance=0,n.lastScrollContentSize=0,n.loadmoreretry=1,n.handleScroll=function(e){if(p.isWeb&&(n.props.onScroll&&(e.nativeEvent={get contentOffset(){return{x:e.target.scrollLeft,y:e.target.scrollTop}}},n.props.onScroll(e)),n.props.onEndReached)){n.scrollerNode||(n.scrollerNode=(0,f.findDOMNode)(n.refs.scroller),n.scrollerContentNode=(0,f.findDOMNode)(n.refs.contentContainer),n.scrollerNodeSize=n.props.horizontal?n.scrollerNode.offsetWidth:n.scrollerNode.offsetHeight);var t=n.props.horizontal?n.scrollerNode.scrollWidth:n.scrollerNode.scrollHeight,o=n.props.horizontal?n.scrollerNode.scrollLeft:n.scrollerNode.scrollTop,r=t-o-n.scrollerNodeSize<n.props.onEndReachedThreshold,i=o>n.lastScrollDistance,l=t!=n.lastScrollContentSize;r&&i&&l&&(n.lastScrollContentSize=t,n.props.onEndReached(e)),n.lastScrollDistance=o}p.isWeex&&(e.nativeEvent={contentOffset:{x:-e.contentOffset.x,y:-e.contentOffset.y}},n.props.onScroll(e))},n.resetScroll=function(){p.isWeb?(n.lastScrollContentSize=0,n.lastScrollDistance=0):n.setState({loadmoreretry:n.loadmoreretry++})},n.scrollTo=function(e){var t=parseInt(e.x),r=parseInt(e.y);if(p.isWeex){var i=o(4),l=(0,f.findDOMNode)(n.refs.contentContainer);i.scrollToElement(l.ref,{offset:t||r||0,animated:!e||void 0===e.animated||e.animated})}else{var a=document.documentElement.clientWidth/m;t>=0&&((0,f.findDOMNode)(n.refs.scroller).scrollLeft=a*t),r>=0&&((0,f.findDOMNode)(n.refs.scroller).scrollTop=a*r)}},n.state={loadmoreretry:0},n}return l(t,e),u(t,[{key:"render",value:function(){var e=this,t=this.props,o=(t.id,t.style,t.scrollEventThrottle),n=t.showsHorizontalScrollIndicator,r=t.showsVerticalScrollIndicator,i=t.onEndReached,l=t.onEndReachedThreshold,c=t.onScroll,u=t.children;l=parseInt(l,10);var d=[this.props.horizontal&&g.contentContainerHorizontal,this.props.contentContainerStyle];if(p.isWeex||this.props.horizontal||d.push(g.containerWebStyle),this.props.style){var h=["alignItems","justifyContent"].filter(function(t){return void 0!==e.props.style[t]});0!==h.length&&console.warn("ScrollView child layout ("+JSON.stringify(h)+") must be applied through the contentContainerStyle prop.")}var m=(0,f.createElement)(y.default,null),v=void 0;v=Array.isArray(u)?u.map(function(e,t){if(!e||e.type!=b.default)return e;m=e}):u;var w=(0,f.createElement)(y.default,{ref:"contentContainer",style:d},v),x=this.props.horizontal?g.baseHorizontal:g.baseVertical,O=s({},x,this.props.style),_=this.props.horizontal?n:r;if(p.isWeex)return(0,f.createElement)("scroller",s({},this.props,{style:O,showScrollbar:_,onLoadmore:i,onScroll:c?this.handleScroll:null,loadmoreoffset:l,loadmoreretry:this.state.loadmoreretry,scrollDirection:this.props.horizontal?"horizontal":"vertical"}),m,w);var S=this.handleScroll;if(o&&(S=a(S,o)),!_&&!document.getElementById("rax-scrollview-style")){var j=document.createElement("style");j.id="rax-scrollview-style",document.head.appendChild(j),j.innerHTML="."+this.props.className+"::-webkit-scrollbar{display: none;}"}O.webkitOverflowScrolling="touch",O.overflow="scroll";var P=s({},this.props,{ref:"scroller",style:O,onScroll:S});return delete P.onEndReachedThreshold,(0,f.createElement)(y.default,P,w)}}]),t}(f.Component);v.propTypes={},v.defaultProps={scrollEventThrottle:50,onEndReachedThreshold:500,showsHorizontalScrollIndicator:!0,showsVerticalScrollIndicator:!0,className:"rax-scrollview"};var g={baseVertical:{flex:1,flexDirection:"column"},baseHorizontal:{flex:1,flexDirection:"row"},contentContainerHorizontal:{flexDirection:"row"},containerWebStyle:{display:"block"}};t.default=v,e.exports=t.default},function(e,t,o){"use strict";function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":l(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":l(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var l="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},c=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),s=o(0),u=o(1),f=function(e){function t(){return n(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),c(t,[{key:"render",value:function(){if(u.isWeex){var e=this.props.refreshing?"show":"hide";return(0,s.createElement)("refresh",a({},this.props,{display:e}),this.props.children)}return null}}]),t}(s.Component);t.default=f,e.exports=t.default},function(e,t,o){"use strict";function n(e){return e&&e.__esModule?e:{default:e}}function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function i(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function l(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},c=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),s=o(0),u=o(2),f=n(u),p=o(5),d=n(p),y=o(7),h=n(y),b=o(3),m=n(b),v=o(23),g=n(v),w=o(1),x="tabheaderScrollTo",O="tabheaderSelect",_=function(e){function t(){var e,o,n,l;r(this,t);for(var c=arguments.length,s=Array(c),u=0;u<c;u++)s[u]=arguments[u];return o=n=i(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(s))),n.select=function(e,t){var o=n.context.tabheader;"noanim"!=n.animType&&t&&o.emit(x,{x:parseInt(n.props.itemWidth)*e}),n.selected!=e&&(n.props.onPress&&n.props.onPress(e),n.props.onSelect&&n.props.onSelect(e)),o&&o.emit(O,e)},n.initStyle=function(e,t,o,n,r){var i=void 0,l=void 0,c=void 0,s=void 0;return i=a({},m.default.item,{width:n}),c=m.default.icon,s=m.default.iconText,r?(i=a({},i,t,o),l=m.default.selectItemText,o&&(l=a({},l,o),s=a({},s,o))):(i=a({},i,t),l=a({},m.default.itemText,t)),"icon"==e&&(i=a({},m.default.iconItem,i),w.isWeex||s.height&&(s.height=12)),{container:i,text:l,icon:c,iconText:s}},l=o,i(n,l)}return l(t,e),c(t,[{key:"render",value:function(){var e=this,t=this.props,o=t.index,n=t.selected,r=t.data,i=t.styleType,l=t.itemWidth,a=t.renderItem,c=t.renderSelect,u=t.itemStyle,p=t.itemSelectedStyle;"function"==typeof this.props.itemWidth&&(l=this.props.itemWidth(r,o)),c=c||a;var y=o===n,b=this.initStyle(i,u,p,l,y);return"icon"==i?(0,s.createElement)(h.default,{onPress:function(){e.select(o,!0)},style:b.container},(0,s.createElement)(f.default,{style:m.default.iconBox},(0,s.createElement)(g.default,{style:m.default.icon,source:{uri:r.icon}})),(0,s.createElement)(f.default,null,(0,s.createElement)(d.default,{style:b.iconText},r.text))):"normal"==i||"dropdown"==i?(0,s.createElement)(h.default,{onPress:function(){e.select(o,!0)},style:b.container},(0,s.createElement)(d.default,{style:b.text},r)):y?(0,s.createElement)(h.default,{onPress:function(){e.select(o)},style:b.container},c(r,o)):(0,s.createElement)(h.default,{onPress:function(){e.select(o)},style:b.container},a(r,o))}}]),t}(s.Component);_.contextTypes={tabheader:s.PropTypes.object},_.defaultProps={selected:0,itemWidth:166},t.default=_,e.exports=t.default},function(e,t,o){"use strict";function n(e){return e&&e.__esModule?e:{default:e}}function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function i(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":c(t))&&"function"!=typeof t?e:t}function l(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":c(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}function a(e,t,o){return function(n){function a(){return r(this,a),i(this,(a.__proto__||Object.getPrototypeOf(a)).apply(this,arguments))}return l(a,n),u(a,[{key:"render",value:function(){var n="";return this.props.codePoint?n=this.props.codePoint:this.props.name&&(n=e[this.props.name]),(0,f.createElement)(v,{style:this.props.style,fontFamily:t,source:{uri:o,codePoint:n}})}}]),a}(f.Component)}var c="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var s=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},u=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}();t.createIconSet=a;var f=o(0),p=o(1),d=o(2),y=(n(d),o(5)),h=n(y),b=o(6),m=n(b),v=function(e){function t(){return r(this,t),i(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return l(t,e),u(t,[{key:"render",value:function(){var e=this.props.style||{};if(this.props.source.uri&&!this.props.source.codePoint)return(0,f.createElement)(m.default,{source:{uri:this.props.source.uri},style:e});var t=this.props.source.uri,n=this.props.fontFamily,r=s({},e,{fontFamily:n});if(p.isWeb){var i=window.FontFace,l=new i(n,"url("+t+")");document.fonts.add(l)}if(p.isWeex){o(4).addRule("fontFace",{fontFamily:n,src:"url('"+t+"')"})}return(0,f.createElement)(h.default,{style:r},this.props.source.codePoint)}}]),t}(f.Component);v.propTypes={fontFamily:f.PropTypes.string,source:f.PropTypes.object},t.default=v},function(e,t,o){"use strict";function n(e){return e&&e.__esModule?e:{default:e}}function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function i(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function l(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},c=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),s=o(0),u=o(2),f=n(u),p=o(9),d=n(p),y=o(3),h=n(y),b=function(e){function t(){var e,o,n,l;r(this,t);for(var a=arguments.length,c=Array(a),u=0;u<a;u++)c[u]=arguments[u];return o=n=i(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(c))),n.scrollTo=function(e){if("noanim"!=n.props.animType){var t=(0,s.findDOMNode)(n.refs.animbuoy);d.default.scrollTo(t,e)}},l=o,i(n,l)}return l(t,e),c(t,[{key:"componentWillMount",value:function(){var e=this,t=this.context.tabheader;t&&t.on&&t.on("tabheaderScrollTo",function(t){e.scrollTo(t)})}},{key:"componentDidMount",value:function(){var e=this.props.itemWidth;e="string"==typeof e?parseInt(e.split("rem")[0])*this.props.selected:this.props.itemWidth*this.props.selected,this.scrollTo({x:e})}},{key:"render",value:function(){var e=this.props,t=e.itemWidth,o=e.animType,n="#fc511f";this.props.style&&(n=this.props.style.backgroundColor||this.props.style.borderColor||this.props.style.borderBottomColor||n);var r=76;"icon"==this.props.styleType&&(r=107);var i=a({},this.props.style,{position:"absolute",left:0,top:r,height:4,width:t,backgroundColor:n});return"bg"==o&&(i=a({},i,{top:0,height:110})),"noanim"==o?null:(0,s.createElement)(f.default,{style:h.default.borderBottom},(0,s.createElement)(f.default,{ref:"animbuoy",style:i}))}}]),t}(s.Component);b.contextTypes={tabheader:s.PropTypes.object},b.defaultProps={itemWidth:166},t.default=b,e.exports=t.default},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=o(1);t.default={initWebStyle:function(){if(!n.isWeex&&"undefined"!=typeof document&&!document.getElementById("rxtabheaderstyle")){var e=document.createElement("style");e.innerHTML="html{-webkit-tap-highlight-color: rgba(0, 0, 0, 0);}",e.id="rxtabheaderstyle",document.getElementsByTagName("head")[0].appendChild(e)}}},e.exports=t.default},function(e,t,o){"use strict";function n(){}function r(e){for(var t in n.prototype)e.prototype[t]=n.prototype[t]}Object.defineProperty(t,"__esModule",{value:!0}),t.mixinEmitter=r,n.prototype.on=n.prototype.addEventListener=function(e,t){return this._callbacks=this._callbacks||{},(this._callbacks["$"+e]=this._callbacks["$"+e]||[]).push(t),this},n.prototype.once=function(e,t){function o(){this.off(e,o),t.apply(this,arguments)}return o.fn=t,this.on(e,o),this},n.prototype.off=n.prototype.removeListener=n.prototype.removeAllListeners=n.prototype.removeEventListener=function(e,t){if(this._callbacks=this._callbacks||{},0==arguments.length)return this._callbacks={},this;var o=this._callbacks["$"+e];if(!o)return this;if(1==arguments.length)return delete this._callbacks["$"+e],this;for(var n,r=0;r<o.length;r++)if((n=o[r])===t||n.fn===t){o.splice(r,1);break}return this},n.prototype.emit=function(e){this._callbacks=this._callbacks||{};var t=[].slice.call(arguments,1),o=this._callbacks["$"+e];if(o){o=o.slice(0);for(var n=0,r=o.length;n<r;++n)o[n].apply(this,t)}return this},n.prototype.listeners=function(e){return this._callbacks=this._callbacks||{},this._callbacks["$"+e]||[]},n.prototype.hasListeners=function(e){return!!this.listeners(e).length},t.default=n}])});
            });
          },
          raxCountdown : function(define) {
            define('rax-countdown', [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-countdown",function(t,n,o){o.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxCountdown=e()}}(function(){return function(e){function t(o){if(n[o])return n[o].exports;var r=n[o]={i:o,l:!1,exports:{}};return e[o].call(r.exports,r,r.exports,t),r.l=!0,r.exports}var n={};return t.m=e,t.c=n,t.d=function(e,n,o){t.o(e,n)||Object.defineProperty(e,n,{configurable:!1,enumerable:!0,get:o})},t.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(n,"a",n),n},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=3)}([function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,n){"use strict";var o="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===o(Symbol.iterator)?function(e){return void 0===e?"undefined":o(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":o(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":r(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t,n){"use strict";function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":l(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":l(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var l="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var u=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(e[o]=n[o])}return e},a=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),c=n(0),s=n(1),f=function(e){function t(){return o(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),a(t,[{key:"render",value:function(){var e=this.props;if(s.isWeex)return(0,c.createElement)("div",e);var t=u({},p.initial,e.style);return(0,c.createElement)("div",u({},e,{style:t}))}}]),t}(c.Component);f.propTypes={};var p={initial:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"flex",flexDirection:"column",alignContent:"flex-start",flexShrink:0}};t.default=f,e.exports=t.default},function(e,t,n){"use strict";function o(e){return e&&e.__esModule?e:{default:e}}function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function i(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function l(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}function u(e){return e&&"[object Function]"==={}.toString.call(e)}function a(e,t,n,o,r,i){var l=e<0?0:e,u=l<10?0:l.toString().slice(0,1),a=l<10?l:l.toString().slice(1);return(0,s.createElement)(d.default,{style:[t,v.item]},n?(0,s.createElement)(b.default,{source:n,style:o}):null,(0,s.createElement)(p.default,{style:r},""+u),(0,s.createElement)(p.default,{style:i},""+a))}Object.defineProperty(t,"__esModule",{value:!0});var c=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),s=n(0),f=n(4),p=o(f),y=n(2),d=o(y),m=n(5),b=o(m),h=function(e){function t(){var e,n,o,l;r(this,t);for(var a=arguments.length,c=Array(a),s=0;s<a;s++)c[s]=arguments[s];return n=o=i(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(c))),o.state={timeRemaining:0},o.timeoutId=0,o.tick=function(){var e=o.props,t=e.onComplete,n=e.onTick,r=e.interval,i=o.state.timeRemaining,l=1e3>i;o.timeoutId&&clearTimeout(o.timeoutId),l&&u(t)?t():o.timeoutId=!l&&setTimeout(function(){return o.setState({timeRemaining:i-r},function(){return u(n)&&n(i)})},r)},l=n,i(o,l)}return l(t,e),c(t,[{key:"componentWillMount",value:function(){var e=this.props.timeRemaining;this.setState({timeRemaining:e})}},{key:"componentDidMount",value:function(){this.tick()}},{key:"componentDidUpdate",value:function(){this.tick()}},{key:"componentWillReceiveProps",value:function(e){e.timeRemaining!==this.props.timeRemaining&&(this.timeoutId&&clearTimeout(this.timeoutId),this.setState({timeRemaining:e.timeRemaining}))}},{key:"componentWillUnmount",value:function(){this.timeoutId&&clearTimeout(this.timeoutId)}},{key:"shouldComponentUpdate",value:function(e,t){return this.props.timeRemaining!==e.timeRemaining||this.state.timeRemaining!==t.timeRemaining}},{key:"render",value:function(){var e=this.state.timeRemaining,t=this.props,n=t.formatFunc,o=t.timeStyle,r=t.timeBackgroundStyle,i=t.timeWrapStyle,l=t.timeBackground,u=t.secondStyle,c=t.textStyle,f=t.tpl;if(n)return n(e);var y=Math.floor(e/1e3),m=parseInt(y/3600/24),b=parseInt(y/3600)%24,h=parseInt(y/60)%60,g=parseInt(y%60),x=[v.background,r],w=new RegExp("{d}").test(f),S=new RegExp("{h}").test(f),O=new RegExp("{m}").test(f),P=new RegExp("{s}").test(f);b=!w&&m?b+24*m:b,h=!S&&b?h+60*b:h,g=!O&&h?g+60*h:g;var j=f.indexOf("d"),_=f.indexOf("h"),T=f.indexOf("m"),k=f.indexOf("s");return(0,s.createElement)(d.default,{style:v.main},w?a(m,i,l,x,o,o):null,w?(0,s.createElement)(p.default,{style:c},f.slice(j+2,j+3)):null,S?a(b,i,l,x,o,o):null,S?(0,s.createElement)(p.default,{style:c},f.slice(_+2,_+3)):null,O?a(h,i,l,x,o,o):null,O?(0,s.createElement)(p.default,{style:c},f.slice(T+2,T+3)):null,P?a(g,i,l,x,o,u):null,P?(0,s.createElement)(p.default,{style:c},f.slice(k+2,k+3)):null)}}]),t}(s.Component);h.propTypes={formatFunc:s.PropTypes.func,onTick:s.PropTypes.func,onComplete:s.PropTypes.func,tpl:s.PropTypes.string,timeRemaining:s.PropTypes.number,secondStyle:s.PropTypes.object,timeStyle:s.PropTypes.object,textStyle:s.PropTypes.object,timeWrapStyle:s.PropTypes.object,timeBackground:s.PropTypes.string,timeBackgroundStyle:s.PropTypes.object,interval:s.PropTypes.number},h.defaultProps={tpl:"{d}天{h}时{m}分{s}秒",timeRemaining:0,interval:1e3};var v={main:{flexDirection:"row",justifyContent:"flex-start",alignItems:"center"},item:{flexDirection:"row"},background:{position:"absolute"}};t.default=h,e.exports=t.default},function(e,t,n){"use strict";function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":a(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":a(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}function l(e,t){var n=e.type,o=e.props,r=o.children;if("function"==typeof n){var i=new n;return i.props=o,r&&(i.props.children=u(r,t)),i.context=t.getChildContext(),i.render()}return e}function u(e,t){var n=[];Array.isArray(e)||(e=[e]);for(var o=0;o<e.length;o++){var r=e[o];"string"==typeof r?n.push(r):"object"===(void 0===r?"undefined":c(r))&&n.push(l(r,t))}return n}var a="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var c="function"==typeof Symbol&&"symbol"===a(Symbol.iterator)?function(e){return void 0===e?"undefined":a(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":a(e)},s=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(e[o]=n[o])}return e},f=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),p=n(0),y=n(1),d=function(e){function t(){var e,n,i,l;o(this,t);for(var a=arguments.length,c=Array(a),f=0;f<a;f++)c[f]=arguments[f];return n=i=r(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(c))),i.renderText=function(){var e=i.props,t=s({},e,{style:e.style||{}}),n="";if(null!=e.children&&(n=Array.isArray(e.children)?e.children.join(""):e.children.toString()),i.context.isInAParentText)return(0,p.createElement)("span",t,n);if(e.onPress&&(t.onClick=e.onPress),y.isWeex)return e.numberOfLines&&(t.style.lines=e.numberOfLines),t.value=n,(0,p.createElement)("text",t);var o=s({},m.text,t.style),r=e.numberOfLines;return r&&(1===parseInt(r)?o.whiteSpace="nowrap":(o.display="-webkit-box",o.webkitBoxOrient="vertical",o.webkitLineClamp=String(r)),o.overflow="hidden"),(0,p.createElement)("span",s({},t,{style:o}),n)},i.renderRichText=function(){var e=i.props,t=e.children,n=s({},e,{style:e.style||{}}),o=s({},m.richtext,n.style);return y.isWeex&&(t=u(t,i)),(0,p.createElement)("p",s({},n,{style:o}),t)},l=n,r(i,l)}return i(t,e),f(t,[{key:"getChildContext",value:function(){return{isInAParentText:!0}}},{key:"render",value:function(){var e=this.props,t=e.children;Array.isArray(t)||(t=[t]);for(var n=!1,o=0;o<t.length;o++){var r=t[o];if(r&&"object"===(void 0===r?"undefined":c(r))){n=!0;break}}return n?this.renderRichText():this.renderText()}}]),t}(p.Component);d.propTypes={},d.contextTypes={isInAParentText:p.PropTypes.bool},d.childContextTypes={isInAParentText:p.PropTypes.bool};var m={text:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"block",flexDirection:"column",alignContent:"flex-start",flexShrink:0,fontSize:32},richtext:{marginTop:0,marginBottom:0}};t.default=d,e.exports=t.default},function(e,t,n){"use strict";function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":l(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":l(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var l="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var u=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(e[o]=n[o])}return e},a=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),c=n(0),s=n(1),f=n(2),p=function(e){return e&&e.__esModule?e:{default:e}}(f),y=function(e){function t(){return o(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),a(t,[{key:"render",value:function(){var e=u({},this.props),t=e.source;if(t&&t.uri){var n=e.style,o=t.width,r=t.height,i=t.uri;null==o&&null==r&&null==n.height&&null==n.width&&(o=0,r=0),e.style=u(u({},!this.context.isInAParentText&&{display:"flex"},{width:o,height:r}),n),e.src=i,delete e.source;var l=void 0;l=s.isWeex?"image":"img";var a=e.resizeMode||e.style.resizeMode;return a&&(s.isWeex?(e.resize=a,e.style.resizeMode=a):e.style.objectFit=a),this.props.children?(e.children=null,(0,c.createElement)(p.default,{style:e.style},(0,c.createElement)(l,e),(0,c.createElement)(p.default,{style:d.absoluteImage},this.props.children))):(0,c.createElement)(l,e)}return null}}]),t}(c.Component);y.propTypes={},y.resizeMode={contain:"contain",cover:"cover",stretch:"stretch",center:"center",repeat:"repeat"},y.contextTypes={isInAParentText:c.PropTypes.bool};var d={absoluteImage:{left:0,top:0,position:"absolute"}};t.default=y,e.exports=t.default}])});
            });
          },


          aliUniversalMtop : function(define, defineName, window) {
            var location = window.location;
            var name = defineName || '@ali/universal-mtop';
            define(name, [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("universal-mtop",function(t,n,o){o.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.UniversalMtop=e()}}(function(){return function(e){function t(o){if(n[o])return n[o].exports;var r=n[o]={i:o,l:!1,exports:{}};return e[o].call(r.exports,r,r.exports,t),r.l=!0,r.exports}var n={};return t.m=e,t.c=n,t.d=function(e,n,o){t.o(e,n)||Object.defineProperty(e,n,{configurable:!1,enumerable:!0,get:o})},t.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(n,"a",n),n},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=1)}([function(e,t,n){"use strict";e.exports=n(2)},function(e,t,n){"use strict";function o(e,t,o){var r=n(11);r.call&&(e.param=e.data||e.param,"POST"===e.type&&(e.post="1"),r.call({class:"MtopWVPlugin",method:"send",data:e},function(e){"string"==typeof e&&(e=JSON.parse(e)),e.retType===f.SUCCESS||e.ret&&e.ret[0].indexOf("SUCCESS")>-1?t&&t(e):o&&o(e)}))}function r(e,t){if(!e.disableTracker){var n=void 0;try{n=JSON.stringify(t)}catch(e){}try{(0,c.report)({url:location.protocol+"//"+location.host+location.pathname+"/universal_mtop",type:"data",sampling:10,message:n?n.substring(0,500):e.api+":response can not be parse"})}catch(e){}}}Object.defineProperty(t,"__esModule",{value:!0});var i=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(e[o]=n[o])}return e},u=n(0),c=n(4),f={ERROR:-1,SUCCESS:0,TOKEN_EXPIRED:1,SESSION_EXPIRED:2};t.default={request:function(e,t,n){var i=function(o){n=n||t,n&&n(o),r(e,o)};if(u.isWeex)o(e,t,i);else if("undefined"!=typeof lib&&lib.mtop)return lib.mtop.request(e,function(n){n&&n.ret&&n.ret.length&&"WV_ERR::PARAM_PARSE_ERROR"===n.ret[0]?lib.mtop.H5Request(e,t,i):t&&t(n)},i)},config:function(e,t){u.isWeex||"undefined"!=typeof lib&&lib.mtop&&("string"==typeof e?lib.mtop.config[e]=t:lib.mtop.config=i({},lib.mtop.config,e))},RESPONSE_TYPE:f}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(3);Object.keys(o).forEach(function(e){"default"!==e&&"__esModule"!==e&&Object.defineProperty(t,e,{enumerable:!0,get:function(){return o[e]}})})},function(e,t,n){"use strict";var o="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===o(Symbol.iterator)?function(e){return void 0===e?"undefined":o(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":o(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":r(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig},function(e,t,n){"use strict";e.exports=n(5)},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(0),r=n(6),i=n(9),u=function(e){return e&&e.__esModule?e:{default:e}}(i),c=0;t.default={report:function(e){if(++c>20)return!1;var t={screen:r.width+"x"+r.height,sampling:1,url:u.default.format(e),version:"rx-tracker/1.0.3",native:o.isWeex?1:0},i=Object.assign({},t,e);if(Math.random()*i.sampling<1)if(o.isWeex){var f=n(10);f.commitEvent&&f.commitEvent(location.href,"19999","/jstracker.3","","",i)}else o.isWeb&&"undefined"!=typeof goldlog&&goldlog.send&&goldlog.send("//gm.mmstat.com/jstracker.3",i)}}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.height=t.width=void 0;var o=n(7),r=function(e){return e&&e.__esModule?e:{default:e}}(o),i=r.default.get("window"),u=i.height,c=i.width;t.width=c=parseInt(c,10),t.height=u=parseInt(u,10),t.width=c,t.height=u},function(e,t,n){"use strict";e.exports=n(8)},function(e,t,n){"use strict";function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(){var e={};if(u.isWeex){var t="undefined"!=typeof WXEnvironment?WXEnvironment:{},n=t.scale||a;e={window:{width:c,height:(t.deviceHeight-f*n)*c/t.deviceWidth,scale:n,fontScale:1},screen:{width:t.deviceWidth,height:t.deviceHeight}}}else if(u.isWeb){var o=document.documentElement;e={window:{width:c,height:o.clientHeight*c/o.clientWidth,scale:window.devicePixelRatio||a,fontScale:1},screen:screen}}return e}Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var i=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),u=n(0),c=750,f=64,a=2,s=function(){function e(){o(this,e)}return i(e,null,[{key:"get",value:function(e){return r()[e]}}]),e}();t.default=s},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(0),r={render:"rx_render_err",data:"rx_data_fetch_err"};t.default={format:function(e){var t=location.href||"",n=r[e.type||"custom"]||"rx_user_define_err",i=t.replace(/[\?#].*$/,"").replace(/\/$/,""),u=[i,e.module||"",n].join("/");return o.isWeex?encodeURIComponent(u):u}}},function(e,t){e.exports=require("@weex-module/userTrack")},function(e,t){e.exports=require("@weex-module/windvane")}])});
            });
          },
          aliUniversalUser : function(define, defineName, window) {
            var location = window.location;
            var name = defineName || '@ali/universal-user';
            define(name, [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("universal-user",function(t,n,o){o.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.UniversalUser=e()}}(function(){return function(e){function t(o){if(n[o])return n[o].exports;var i=n[o]={i:o,l:!1,exports:{}};return e[o].call(i.exports,i,i.exports,t),i.l=!0,i.exports}var n={};return t.m=e,t.c=n,t.d=function(e,n,o){t.o(e,n)||Object.defineProperty(e,n,{configurable:!1,enumerable:!0,get:o})},t.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(n,"a",n),n},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=1)}([function(e,t,n){"use strict";e.exports=n(5)},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(2),i=function(e){return e&&e.__esModule?e:{default:e}}(o);t.default={getUserInfo:function(e){i.default.isLogin(function(t,n){var o=n?n.data||{}:{};e&&e({isLogin:t,info:{userId:o.userNumId,nick:o.nick}})})},login:function(e){i.default.isLogin(function(t,n){var o=n?n.data||{}:{};!0===t?e&&e({isLogin:t,info:{userId:o.userNumId,nick:o.nick}}):i.default.goLogin()})},logout:function(e){i.default.isLogin()?i.default.goLogout():e&&e()}},e.exports=t.default},function(e,t,n){"use strict";function o(e){var t=new RegExp("(?:^|;\\s*)"+e+"\\=([^;]+)(?:;\\s*|$)").exec(C.cookie);return t?t[1]:void 0}function i(e){return e.preventDefault(),!1}function r(e,t){var n=this,o=S.dpr||1,r=document.createElement("div"),a=document.documentElement.getBoundingClientRect(),c=Math.max(a.width,window.innerWidth)/o,u=Math.max(a.height,window.innerHeight)/o;r.style.cssText=["-webkit-transform:scale("+o+") translateZ(0)","-ms-transform:scale("+o+") translateZ(0)","transform:scale("+o+") translateZ(0)","-webkit-transform-origin:0 0","-ms-transform-origin:0 0","transform-origin:0 0","width:"+c+"px","height:"+u+"px","z-index:999999","position:absolute","left:0","top:0px","background:#FFF","display:none"].join(";");var s=document.createElement("div");s.style.cssText=["width:100%","height:52px","background:#EEE","line-height:52px","text-align:left","box-sizing:border-box","padding-left:20px","position:absolute","left:0","top:0","font-size:16px","font-weight:bold","color:#333"].join(";"),s.innerText=e;var l=document.createElement("a");l.style.cssText=["display:block","position:absolute","right:0","top:0","height:52px","line-height:52px","padding:0 20px","color:#999"].join(";"),l.innerText="关闭";var f=document.createElement("iframe");f.style.cssText=["width:100%","height:"+window.innerHeight/o+"px","border:0","overflow:hidden"].join(";"),s.appendChild(l),r.appendChild(s),r.appendChild(f),C.body.appendChild(r),f.src=t,l.addEventListener("click",function(){n.hide();var e=C.createEvent("HTMLEvents");e.initEvent("close",!1,!1),r.dispatchEvent(e)},!1),this.addEventListener=function(){r.addEventListener.apply(r,arguments)},this.removeEventListener=function(){r.removeEventListener.apply(r,arguments)},this.show=function(){document.addEventListener("touchmove",i,!1),r.style.display="block",window.scrollTo(0,0)},this.hide=function(){document.removeEventListener("touchmove",i),window.scrollTo(0,-a.top),C.body.removeChild(r)}}function a(e){if(!e||"function"!=typeof e||!w.default){return!!this.getUserNick()}w.default.request({api:"mtop.user.getUserSimple",v:"1.0",data:{isSec:0},H5Request:!0},function(t){t.retType===w.default.RESPONSE_TYPE.SUCCESS?e(!0,t):t.retType===w.default.RESPONSE_TYPE.SESSION_EXPIRED?e(!1,t):e(void 0,t)})}function c(e){var t;if(_&&(t={},t.promise=new _(function(e,n){t.resolve=e,t.reject=n})),this.isLogin(function(n,o){e&&e(n,o),!0===n?t&&t.resolve(o):t&&t.reject(o)}),t)return t.promise}function u(e){if(!e||"function"!=typeof e){var t="",n=o("_w_tb_nick"),i=o("_nk_")||o("snk"),r=o("sn");return n&&n.length>0&&"null"!=n?t=decodeURIComponent(n):i&&i.length>0&&"null"!=i?t=unescape(unescape(i).replace(/\\u/g,"%u")):r&&r.length>0&&"null"!=r&&(t=decodeURIComponent(r)),t=t.replace(/\</g,"&lt;").replace(/\>/g,"&gt;")}this.isLogin(function(t,n){e(!0===t&&n&&n.data&&n.data.nick?n.data.nick:!1===t?"":void 0)})}function s(e){var t;if(_&&(t={},t.promise=new _(function(e,n){t.resolve=e,t.reject=n})),this.getUserNick(function(n){e&&e(n),n?t&&t.resolve(n):t&&t.reject()}),t)return t.promise}function l(e,t){var n="//"+I+"."+W.subDomain+"."+M+"/"+W[(e||"login")+"Name"];if(t){var o=[];for(var i in t)o.push(i+"="+encodeURIComponent(t[i]));n+="?"+o.join("&")}var r=x.config.loginUrlParams;if(r){var a=[];for(var c in r)a.push(c+"="+encodeURIComponent(r[c]));/\?/.test(n)?n+="&"+a.join("&"):n+="?"+o.join("&")}return n}function f(e,t){t?location.replace(e):location.href=e}function d(e,t,n){function o(e){u.removeEventListener("close",o),S.removeEventListener("message",i),n("CANCEL")}function i(e){var t=e.data||{};t&&"child"===t.type&&t.content.indexOf("SUCCESS")>-1?(u.removeEventListener("close",o),S.removeEventListener("message",i),u.hide(),n("SUCCESS")):n("FAILURE")}var a=location.protocol+"//h5."+W.subDomain+".taobao.com/"+("waptest"===W.subDomain?"src":"other")+"/"+e+"end.html?origin="+encodeURIComponent(location.protocol+"//"+location.hostname),c=l(e,{ttid:"h5@iframe",redirectURL:a}),u=new r(t.title||"您需要登录才能继续访问",c);u.addEventListener("close",o,!1),S.addEventListener("message",i,!1),u.show()}function p(e,t,n){var o=l(e,{wvLoginCallback:"wvLoginCallback"});S.wvLoginCallback=function(e){delete S.wvLoginCallback,n(e.indexOf(":SUCCESS")>-1?"SUCCESS":e.indexOf(":CANCEL")>-1?"CANCEL":"FAILURE")},f(o)}function m(e,t,n){if("function"==typeof t?(n=t,t=null):"string"==typeof t&&(t={redirectUrl:t}),t=t||{},n&&R)p(e,t,n);else if(n&&!O&&"login"===e)d(e,t,n);else{var o=l(e,{redirectURL:t.redirectUrl||location.href});f(o,t.replace)}}function g(e,t,n){var o;if(_&&(o={},o.promise=new _(function(e,t){o.resolve=e,o.reject=t})),m(e,t,function(e){n&&n(e),"SUCCESS"===e?o&&o.resolve(e):o&&o.reject(e)}),o)return o.promise}function v(e){m("login",e)}function h(e){return g("login",e)}function b(e){m("logout",e)}function y(e){return g("logout",e)}Object.defineProperty(t,"__esModule",{value:!0});var E=n(3),w=function(e){return e&&e.__esModule?e:{default:e}}(E),x={},S=window,_=S.Promise,C=S.document,L=S.navigator.userAgent,j=location.hostname,k=(S.location.search,L.match(/WindVane[\/\s]([\d\.\_]+)/)),O=L.match(/AliApp\(([^\/]+)\/([\d\.\_]+)\)/i),R=!!(O&&"TB"===O[1]&&k&&parseFloat(k[1])>5.2),U=["taobao.net","taobao.com"],P=new RegExp("([^.]*?)\\.?((?:"+U.join(")|(?:").replace(/\./g,"\\.")+"))","i"),N=j.match(P)||[],M=function(){return(N[2]||"taobao.com").match(/\.?taobao\.net$/)?"taobao.net":"taobao.com"}(),T=function(){var e=M,t=N[1]||"m";return"taobao.net"===e&&(t="waptest"),"m"!=t&&"wapa"!=t&&"waptest"!=t&&(t="m"),t}(),I="login",W={loginName:"login.htm",logoutName:"logout.htm",subDomain:T};x.config=W,x.isLogin=a,x.isLoginAsync=c,x.getUserNick=u,x.getUserNickAsync=s,x.generateUrl=l,x.goLogin=v,x.goLoginAsync=h,x.goLogout=b,x.goLogoutAsync=y,t.default=x,e.exports=t.default},function(e,t,n){"use strict";e.exports=n(4)},function(e,t,n){"use strict";function o(e,t,o){var i=n(14);i.call&&(e.param=e.data||e.param,"POST"===e.type&&(e.post="1"),i.call({class:"MtopWVPlugin",method:"send",data:e},function(e){"string"==typeof e&&(e=JSON.parse(e)),e.retType===u.SUCCESS||e.ret&&e.ret[0].indexOf("SUCCESS")>-1?t&&t(e):o&&o(e)}))}function i(e,t){if(!e.disableTracker){var n=void 0;try{n=JSON.stringify(t)}catch(e){}try{(0,c.report)({url:location.protocol+"//"+location.host+location.pathname+"/universal_mtop",type:"data",sampling:10,message:n?n.substring(0,500):e.api+":response can not be parse"})}catch(e){}}}Object.defineProperty(t,"__esModule",{value:!0});var r=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(e[o]=n[o])}return e},a=n(0),c=n(7),u={ERROR:-1,SUCCESS:0,TOKEN_EXPIRED:1,SESSION_EXPIRED:2};t.default={request:function(e,t,n){var r=function(o){n=n||t,n&&n(o),i(e,o)};if(a.isWeex)o(e,t,r);else if("undefined"!=typeof lib&&lib.mtop)return lib.mtop.request(e,function(n){n&&n.ret&&n.ret.length&&"WV_ERR::PARAM_PARSE_ERROR"===n.ret[0]?lib.mtop.H5Request(e,t,r):t&&t(n)},r)},config:function(e,t){a.isWeex||"undefined"!=typeof lib&&lib.mtop&&("string"==typeof e?lib.mtop.config[e]=t:lib.mtop.config=r({},lib.mtop.config,e))},RESPONSE_TYPE:u},e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(6);Object.keys(o).forEach(function(e){"default"!==e&&"__esModule"!==e&&Object.defineProperty(t,e,{enumerable:!0,get:function(){return o[e]}})})},function(e,t,n){"use strict";var o="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var i="function"==typeof Symbol&&"symbol"===o(Symbol.iterator)?function(e){return void 0===e?"undefined":o(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":o(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":i(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig},function(e,t,n){"use strict";e.exports=n(8)},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(0),i=n(9),r=n(12),a=function(e){return e&&e.__esModule?e:{default:e}}(r),c=0;t.default={report:function(e){if(++c>20)return!1;var t={screen:i.width+"x"+i.height,sampling:1,url:a.default.format(e),version:"rx-tracker/1.0.3",native:o.isWeex?1:0},r=Object.assign({},t,e);if(Math.random()*r.sampling<1)if(o.isWeex){var u=n(13);u.commitEvent&&u.commitEvent(location.href,"19999","/jstracker.3","","",r)}else o.isWeb&&"undefined"!=typeof goldlog&&goldlog.send&&goldlog.send("//gm.mmstat.com/jstracker.3",r)}},e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.height=t.width=void 0;var o=n(10),i=function(e){return e&&e.__esModule?e:{default:e}}(o),r=i.default.get("window"),a=r.height,c=r.width;t.width=c=parseInt(c,10),t.height=a=parseInt(a,10),t.width=c,t.height=a},function(e,t,n){"use strict";e.exports=n(11)},function(e,t,n){"use strict";function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function i(){var e={};if(a.isWeex){var t="undefined"!=typeof WXEnvironment?WXEnvironment:{},n=t.scale||s;e={window:{width:c,height:(t.deviceHeight-u*n)*c/t.deviceWidth,scale:n,fontScale:1},screen:{width:t.deviceWidth,height:t.deviceHeight}}}else if(a.isWeb){var o=document.documentElement;e={window:{width:c,height:o.clientHeight*c/o.clientWidth,scale:window.devicePixelRatio||s,fontScale:1},screen:screen}}return e}Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),a=n(0),c=750,u=64,s=2,l=function(){function e(){o(this,e)}return r(e,null,[{key:"get",value:function(e){return i()[e]}}]),e}();t.default=l,e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(0),i={render:"rx_render_err",data:"rx_data_fetch_err"};t.default={format:function(e){var t=location.href||"",n=i[e.type||"custom"]||"rx_user_define_err",r=t.replace(/[\?#].*$/,"").replace(/\/$/,""),a=[r,e.module||"",n].join("/");return o.isWeex?encodeURIComponent(a):a}},e.exports=t.default},function(e,t){e.exports=require("@weex-module/userTrack")},function(e,t){e.exports=require("@weex-module/windvane")}])});
            });
          },
          aliUniversalGoldlog : function(define, defineName, window) { 
            var location = window.location;
            var name = defineName || '@ali/universal-goldlog';
            define(name, [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("universal-goldlog",function(t,o,n){n.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.UniversalGoldlog=e()}}(function(){return function(e){function t(n){if(o[n])return o[n].exports;var r=o[n]={i:n,l:!1,exports:{}};return e[n].call(r.exports,r,r.exports,t),r.l=!0,r.exports}var o={};return t.m=e,t.c=o,t.d=function(e,o,n){t.o(e,o)||Object.defineProperty(e,o,{configurable:!1,enumerable:!0,get:n})},t.n=function(e){var o=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(o,"a",o),o},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=4)}([function(e,t,o){"use strict";e.exports=o(5)},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=o(0),r=o(7),i=function(e){return e&&e.__esModule?e:{default:e}}(r),u=o(2),a={CLK:"click",EXP:"expose",OTHER:"other"},l={record:function(e,t,r,l){if(n.isWeex){var s=(0,u.paramsToObj)(r);s.weex=s.weex?s.weex:"1",s.autosend="1";var f=a[t];f=f||"click";var c={logkey:e,weex:1,autosend:1,urlpagename:"",url:s.url||location&&location.href||"","spm-cnt":i.default.getSPM().join("."),cna:"",extendargs:JSON.stringify({}),isonepage:0,_lka:JSON.stringify({gmkey:t,gokey:r}),gokey:r},d=o(3);if(d.commitut){var p=s.name||c.url,g=e;switch(f){case"expose":d.commitut(f,2201,p,"",g,"","",c);break;case"other":d.commitut(f,19999,p,"",g,"","",c);break;case"click":default:d.customAdvance?d.customAdvance(p,2101,g,"","",c):d.commitut(f,2101,p,g,"","","",c)}}else d.commit&&d.commit(f,e,e,c)}else n.isWeb&&window.goldlog&&window.goldlog.record(e,t,r,l)},launch:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:i.default.getPageSPM(),t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},r={checksum:(0,u.makeChkSum)(e.join(".")),is_auto:!1,page_id:""};if(t.page_id&&(r.page_id=t.page_id,delete t.page_id),i.default.setPageSPM(e[0],e[1]),n.isWeex){var a=o(3);t.url=t.url||location&&location.href||"",t["spm-cnt"]=i.default.getPageSPM().join(".")+".0.0",t["spm-url"]=(0,u.getParamFromURL)(t.url,"spm")||"0.0.0.0",t.scm=(0,u.getParamFromURL)(t.url,"scm")||"0.0.0.0",t.cna="",t.weex=1;var l=t.name||(0,u.simplifyURL)(t.url);a.enterEvent?a.enterEvent(l,t):a.commit&&a.commit("enter",l,"",t)}else if(n.isWeb){var s=!!(0,u.getMetaContentByName)("aplus-waiting");if(s){var f=window.goldlog_queue||(window.goldlog_queue=[]);f.push({action:"goldlog.sendPV",arguments:[r,t]})}}}};l.sendPV=l.launch,t.default=l,e.exports=t.default},function(e,t,o){"use strict";function n(e){e="string"==typeof e?e:"";for(var t={},o=e.split("&"),n=0;n<o.length;n++){var r=o[n],i=r.split("="),u=i[0],a=i[1];u&&(t[u]=a)}return t}function r(e){var t=[];for(var o in e)if(e.hasOwnProperty(o)){var n=o,r=e[o];t.push(n+"="+r)}return t.join("&")}function i(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:"spm",o=e.split("?")[1]||"",n="";return o.split("&").forEach(function(e){0===e.indexOf(t+"=")&&(n=e.substr(t.length+1))}),n}function u(e){e=(e||"").split("#")[0].split("?")[0];var t=e.length;return t?function(e){for(var t=e.length,o=0,n=0;n<t;n++)o=31*o+e.charCodeAt(n);return o}(t+"#"+e.charCodeAt(t-1)):-1}function a(e){var t=window.document.getElementsByTagName("meta")[e];return t?t.getAttribute("content"):""}function l(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"";return e.indexOf("_wx_tpl=")>-1&&(e=e.substring(e.indexOf("_wx_tpl=")+"_wx_tpl=".length,e.indexOf(".js")+".js".length)),e.split("?")[0]}Object.defineProperty(t,"__esModule",{value:!0}),t.paramsToObj=n,t.objToParams=r,t.getParamFromURL=i,t.makeChkSum=u,t.getMetaContentByName=a,t.simplifyURL=l},function(e,t){e.exports=require("@weex-module/userTrack")},function(e,t,o){"use strict";function n(e){return e&&e.__esModule?e:{default:e}}Object.defineProperty(t,"__esModule",{value:!0});var r=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},i=o(1),u=n(i),a=o(9),l=n(a);t.default=r({},u.default,l.default),e.exports=t.default},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=o(6);Object.keys(n).forEach(function(e){"default"!==e&&"__esModule"!==e&&Object.defineProperty(t,e,{enumerable:!0,get:function(){return n[e]}})})},function(e,t,o){"use strict";var n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===n(Symbol.iterator)?function(e){return void 0===e?"undefined":n(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":n(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":r(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t,o){"use strict";e.exports=o(8)},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=o(0),r=["0","0"];t.default={getPageSPM:function(){if(n.isWeb&&window.goldlog){var e=window.goldlog.spm_ab;r=e&&Array.isArray(e)&&"0.0"!==e.join(".")?e:r}return r},getSPM:function(e,t){return[].concat(this.getPageSPM(),e||0,t||0)},getSPMQueryString:function(e,t){return"spm="+this.getSPM(e,t).join(".")},setPageSPM:function(e,t){if(r[0]=e,r[1]=t,n.isWeex);else if(n.isWeb)if(window.goldlog&&window.goldlog.setPageSPM)window.goldlog.setPageSPM(e,t);else{var o=window.goldlog_queue||(window.goldlog_queue=[]);o.push({action:"goldlog.setPageSPM",arguments:[e,t]})}}},e.exports=t.default},function(e,t,o){"use strict";function n(e){return e&&e.__esModule?e:{default:e}}Object.defineProperty(t,"__esModule",{value:!0});var r=o(0),i=o(10),u=o(11),a=n(u),l=o(1),s=n(l),f=o(2),c=0;t.default={report:function(e){if(++c>20)return!1;var t={screen:i.width+"x"+i.height,sampling:1,url:a.default.format(e),version:"universal-goldlog/2.1.0",native:r.isWeex?1:0},o=Object.assign({name:location.href},t,e);Math.random()*o.sampling<1&&s.default.record("/jstracker.3","OTHER",(0,f.objToParams)(o),"H46777406")}},e.exports=t.default},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=window.screen,r=n.height,i=n.width;t.width=i=parseInt(i,10),t.height=r=parseInt(r,10),t.width=i,t.height=r},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=o(0),r={render:"rx_render_err",data:"rx_data_fetch_err"};t.default={format:function(e){var t=location.href||"",o=r[e.type||"custom"]||"rx_user_define_err",i=t.replace(/[\?#].*$/,"").replace(/\/$/,""),u=[i,e.module||"",o].join("/");return n.isWeex?encodeURIComponent(u):u}},e.exports=t.default}])});
            });
          },
          aliUniversalSpm : function(define, defineName, window) {
            var location = window.location;
            var name = defineName || '@ali/universal-spm';
            define(name, [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("universal-spm",function(o,t,n){n.exports=e()});else{var o;o="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,o.UniversalSpm=e()}}(function(){return function(e){function o(n){if(t[n])return t[n].exports;var r=t[n]={i:n,l:!1,exports:{}};return e[n].call(r.exports,r,r.exports,o),r.l=!0,r.exports}var t={};return o.m=e,o.c=t,o.d=function(e,t,n){o.o(e,t)||Object.defineProperty(e,t,{configurable:!1,enumerable:!0,get:n})},o.n=function(e){var t=e&&e.__esModule?function(){return e.default}:function(){return e};return o.d(t,"a",t),t},o.o=function(e,o){return Object.prototype.hasOwnProperty.call(e,o)},o.p="",o(o.s=0)}([function(e,o,t){"use strict";Object.defineProperty(o,"__esModule",{value:!0});var n=t(1),r=["0","0"];o.default={getPageSPM:function(){if(n.isWeb&&window.goldlog){var e=window.goldlog.spm_ab;r=e&&Array.isArray(e)&&"0.0"!==e.join(".")?e:r}return r},getSPM:function(e,o){return[].concat(this.getPageSPM(),e||0,o||0)},getSPMQueryString:function(e,o){return"spm="+this.getSPM(e,o).join(".")},setPageSPM:function(e,o){if(r[0]=e,r[1]=o,n.isWeex);else if(n.isWeb)if(window.goldlog&&window.goldlog.setPageSPM)window.goldlog.setPageSPM(e,o);else{var t=window.goldlog_queue||(window.goldlog_queue=[]);t.push({action:"goldlog.setPageSPM",arguments:[e,o]})}}},e.exports=o.default},function(e,o,t){"use strict";e.exports=t(2)},function(e,o,t){"use strict";Object.defineProperty(o,"__esModule",{value:!0});var n=t(3);Object.keys(n).forEach(function(e){"default"!==e&&"__esModule"!==e&&Object.defineProperty(o,e,{enumerable:!0,get:function(){return n[e]}})})},function(e,o,t){"use strict";var n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(o,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===n(Symbol.iterator)?function(e){return void 0===e?"undefined":n(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":n(e)};o.isWeb="object"===("undefined"==typeof navigator?"undefined":r(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),o.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),o.isWeex="function"==typeof callNative,o.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig}])});
            });
          },
          aliRaxSpmlink : function(define, defineName, window) {
            var location = window.location;
            var name = defineName || '@ali/rax-spmlink';
            define(name, [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-spmlink",function(t,n,r){r.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxSpmlink=e()}}(function(){return function(e){function t(r){if(n[r])return n[r].exports;var o=n[r]={i:r,l:!1,exports:{}};return e[r].call(o.exports,o,o.exports,t),o.l=!0,o.exports}var n={};return t.m=e,t.c=n,t.d=function(e,n,r){t.o(e,n)||Object.defineProperty(e,n,{configurable:!1,enumerable:!0,get:r})},t.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(n,"a",n),n},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=7)}([function(e,t,n){"use strict";e.exports=n(11)},function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,n){"use strict";var r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var o="function"==typeof Symbol&&"symbol"===r(Symbol.iterator)?function(e){return void 0===e?"undefined":r(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":r(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":o(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t,n){"use strict";e.exports=n(10)},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(0),o=n(3),i=function(e){return e&&e.__esModule?e:{default:e}}(o),a=n(5),u={CLK:"click",EXP:"expose",OTHER:"other"},l={record:function(e,t,o,l){if(r.isWeex){var s=(0,a.paramsToObj)(o);s.weex=s.weex?s.weex:"1",s.autosend="1";var f=u[t];f=f||"click";var c={logkey:e,weex:1,autosend:1,urlpagename:"",url:s.url||location&&location.href||"","spm-cnt":i.default.getSPM().join("."),cna:"",extendargs:JSON.stringify({}),isonepage:0,_lka:JSON.stringify({gmkey:t,gokey:o})},p=n(6);if(p.commitut){var d=s.name||c.url,y=e;switch(f){case"expose":p.commitut(f,2201,d,"",y,"","",c);break;case"other":p.commitut(f,19999,d,"",y,"","",c);break;case"click":default:p.customAdvance?p.customAdvance(d,2101,y,"","",c):p.commitut(f,2101,d,y,"","","",c)}}else p.commit&&p.commit(f,e,e,c)}else r.isWeb&&window.goldlog&&window.goldlog.record(e,t,o,l)},launch:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:i.default.getPageSPM(),t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},o={checksum:(0,a.makeChkSum)(e.join(".")),is_auto:!1,page_id:""};if(t.page_id&&(o.page_id=t.page_id,delete t.page_id),i.default.setPageSPM(e[0],e[1]),r.isWeex){var u=n(6);t.url=t.url||location&&location.href||"",t["spm-cnt"]=i.default.getPageSPM().join(".")+".0.0",t["spm-url"]=(0,a.getParamFromURL)(t.url,"spm")||"0.0.0.0",t.scm=(0,a.getParamFromURL)(t.url,"scm")||"0.0.0.0",t.cna="",t.weex=1;var l=t.name||(0,a.simplifyURL)(t.url);u.enterEvent?u.enterEvent(l,t):u.commit&&u.commit("enter",l,"",t)}else if(r.isWeb){var s=!!(0,a.getMetaContentByName)("aplus-waiting");if(s){var f=window.goldlog_queue||(window.goldlog_queue=[]);f.push({action:"goldlog.sendPV",arguments:[o,t]})}}}};l.sendPV=l.launch,t.default=l,e.exports=t.default},function(e,t,n){"use strict";function r(e){e="string"==typeof e?e:"";for(var t={},n=e.split("&"),r=0;r<n.length;r++){var o=n[r],i=o.split("="),a=i[0],u=i[1];a&&(t[a]=u)}return t}function o(e){var t=[];for(var n in e)if(e.hasOwnProperty(n)){var r=n,o=e[n];t.push(r+"="+o)}return t.join("&")}function i(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:"spm",n=e.split("?")[1]||"",r="";return n.split("&").forEach(function(e){0===e.indexOf(t+"=")&&(r=e.substr(t.length+1))}),r}function a(e){e=(e||"").split("#")[0].split("?")[0];var t=e.length;return t?function(e){for(var t=e.length,n=0,r=0;r<t;r++)n=31*n+e.charCodeAt(r);return n}(t+"#"+e.charCodeAt(t-1)):-1}function u(e){var t=window.document.getElementsByTagName("meta")[e];return t?t.getAttribute("content"):""}function l(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"";return e.indexOf("_wx_tpl=")>-1&&(e=e.substring(e.indexOf("_wx_tpl=")+"_wx_tpl=".length,e.indexOf(".js")+".js".length)),e.split("?")[0]}Object.defineProperty(t,"__esModule",{value:!0}),t.paramsToObj=r,t.objToParams=o,t.getParamFromURL=i,t.makeChkSum=a,t.getMetaContentByName=u,t.simplifyURL=l},function(e,t){e.exports=require("@weex-module/userTrack")},function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}function o(e){if(Array.isArray(e)){for(var t=0,n=Array(e.length);t<e.length;t++)n[t]=e[t];return n}return Array.from(e)}function i(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function a(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function u(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var l=function(){function e(e,t){var n=[],r=!0,o=!1,i=void 0;try{for(var a,u=e[Symbol.iterator]();!(r=(a=u.next()).done)&&(n.push(a.value),!t||n.length!==t);r=!0);}catch(e){o=!0,i=e}finally{try{!r&&u.return&&u.return()}finally{if(o)throw i}}return n}return function(t,n){if(Array.isArray(t))return t;if(Symbol.iterator in Object(t))return e(t,n);throw new TypeError("Invalid attempt to destructure non-iterable instance")}}(),s=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},f=function(){function e(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,n,r){return n&&e(t.prototype,n),r&&e(t,r),t}}(),c=n(1),p=n(8),d=r(p),y=n(3),m=r(y),h=n(12),g=r(h),v=n(19),b=r(v),x=function(e){function t(){var e,n,r,u;i(this,t);for(var l=arguments.length,s=Array(l),f=0;f<l;f++)s[f]=arguments[f];return n=r=a(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(s))),r.hasExposed=!1,r.onAppear=function(e){var t=r.props,n=t.onAppear;if(t.exposure&&!r.hasExposed){var i=r.props["data-spm-c"],a=r.props["data-spm-d"],u=m.default.getPageSPM().concat([]),l=r.props["data-sdm"];g.default.send([].concat(o(u),[i,a]).join("."),l),r.hasExposed=!0}n&&n(e)},u=n,a(r,u)}return u(t,e),f(t,[{key:"render",value:function(){var e=this.props,n=[],r=e["data-spm-c"],o=e["data-spm-d"];if(r){var i=m.default.getPageSPM().concat([]);i.length&&(o||(o=(0,b.default)(r)),n=i.concat([r,o]))}else n=this.context.getSpm?this.context.getSpm()||[]:[],n.length&&o&&(n[3]=o);var a=(e.href||"").toString().trim();return n.length&&a&&0!==a.indexOf("#")&&(a=t.decorateHref(a,n)),(0,c.createElement)(d.default,s({},e,{"data-spm":n[3],"data-spm-c":n[2],"data-spm-d":n[3],href:a,onAppear:this.onAppear}),e.children)}}],[{key:"decorateHref",value:function(e,t){var n="&spm="+t.join("."),r=e.split("#"),o=l(r,2),i=o[0],a=o[1],u=i;return u.indexOf("?")<0&&(u+="?"),u+=n,a&&(u+="#"+a),u}}]),t}(c.PureComponent);x.contextTypes={getSpm:c.PropTypes.func},t.default=x,e.exports=t.default},function(e,t,n){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function o(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":a(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":a(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var a="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var u=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},l=function(){function e(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,n,r){return n&&e(t.prototype,n),r&&e(t,r),t}}(),s=n(1),f=n(2),c=n(9),p=function(e){return e&&e.__esModule?e:{default:e}}(c),d=function(e){function t(){return r(this,t),o(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),l(t,[{key:"getChildContext",value:function(){return{isInAParentLink:!0}}},{key:"render",value:function(){if(this.context.isInAParentLink)return console.error("Nested links are illegal");var e=this.props,t=e.children,n=u({},e),r=u({},y.initial,n.style),o={color:r.color,lines:r.lines,fontSize:r.fontSize,fontStyle:r.fontStyle,fontWeight:r.fontWeight,textDecoration:r.textDecoration,textAlign:r.textAlign,fontFamily:r.fontFamily,textOverflow:r.textOverflow};n.onPress&&(n.onClick=n.onPress,delete n.onPress);var i=t;return"string"!=typeof t||this.context.isInAParentText||(i=(0,s.createElement)(p.default,{style:o},t)),f.isWeex?(0,s.createElement)("a",n,i):(0,s.createElement)("a",u({},n,{style:r}),i)}}]),t}(s.Component);d.contextTypes={isInAParentLink:s.PropTypes.bool,isInAParentText:s.PropTypes.bool},d.childContextTypes={isInAParentLink:s.PropTypes.bool};var y={initial:{textDecoration:"none"}};t.default=d,e.exports=t.default},function(e,t,n){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function o(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":l(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":l(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}function a(e,t){var n=e.type,r=e.props,o=r.children;if("function"==typeof n){var i=new n;return i.props=r,o&&(i.props.children=u(o,t)),i.context=t.getChildContext(),i.render()}return e}function u(e,t){var n=[];Array.isArray(e)||(e=[e]);for(var r=0;r<e.length;r++){var o=e[r];"string"==typeof o?n.push(o):"object"===(void 0===o?"undefined":s(o))&&n.push(a(o,t))}return n}var l="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var s="function"==typeof Symbol&&"symbol"===l(Symbol.iterator)?function(e){return void 0===e?"undefined":l(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":l(e)},f=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},c=function(){function e(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,n,r){return n&&e(t.prototype,n),r&&e(t,r),t}}(),p=n(1),d=n(2),y=function(e){function t(){var e,n,i,a;r(this,t);for(var l=arguments.length,s=Array(l),c=0;c<l;c++)s[c]=arguments[c];return n=i=o(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(s))),i.renderText=function(){var e=i.props,t=f({},e,{style:e.style||{}}),n="";if(null!=e.children&&(n=Array.isArray(e.children)?e.children.join(""):e.children.toString()),i.context.isInAParentText)return(0,p.createElement)("span",t,n);if(e.onPress&&(t.onClick=e.onPress),d.isWeex)return e.numberOfLines&&(t.style.lines=e.numberOfLines),t.value=n,(0,p.createElement)("text",t);var r=f({},m.text,t.style),o=e.numberOfLines;return o&&(1===parseInt(o)?r.whiteSpace="nowrap":(r.display="-webkit-box",r.webkitBoxOrient="vertical",r.webkitLineClamp=String(o)),r.overflow="hidden"),(0,p.createElement)("span",f({},t,{style:r}),n)},i.renderRichText=function(){var e=i.props,t=e.children,n=f({},e,{style:e.style||{}}),r=f({},m.richtext,n.style);return d.isWeex&&(t=u(t,i)),(0,p.createElement)("p",f({},n,{style:r}),t)},a=n,o(i,a)}return i(t,e),c(t,[{key:"getChildContext",value:function(){return{isInAParentText:!0}}},{key:"render",value:function(){var e=this.props,t=e.children;Array.isArray(t)||(t=[t]);for(var n=!1,r=0;r<t.length;r++){var o=t[r];if(o&&"object"===(void 0===o?"undefined":s(o))){n=!0;break}}return n?this.renderRichText():this.renderText()}}]),t}(p.Component);y.propTypes={},y.contextTypes={isInAParentText:p.PropTypes.bool},y.childContextTypes={isInAParentText:p.PropTypes.bool};var m={text:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"block",flexDirection:"column",alignContent:"flex-start",flexShrink:0,fontSize:32},richtext:{marginTop:0,marginBottom:0}};t.default=y,e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(0),o=["0","0"];t.default={getPageSPM:function(){if(r.isWeb&&window.goldlog){var e=window.goldlog.spm_ab;o=e&&Array.isArray(e)&&"0.0"!==e.join(".")?e:o}return o},getSPM:function(e,t){return[].concat(this.getPageSPM(),e||0,t||0)},getSPMQueryString:function(e,t){return"spm="+this.getSPM(e,t).join(".")},setPageSPM:function(e,t){if(o[0]=e,o[1]=t,r.isWeex);else if(r.isWeb)if(window.goldlog&&window.goldlog.setPageSPM)window.goldlog.setPageSPM(e,t);else{var n=window.goldlog_queue||(window.goldlog_queue=[]);n.push({action:"goldlog.setPageSPM",arguments:[e,t]})}}},e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(2);Object.keys(r).forEach(function(e){"default"!==e&&"__esModule"!==e&&Object.defineProperty(t,e,{enumerable:!0,get:function(){return r[e]}})})},function(e,t,n){"use strict";e.exports=n(13)},function(e,t,n){"use strict";function r(e,t,n){if(f=null===f?Date.now():f,l=Date.now(),e&&c.push(e),t){var r=o(t),a=r.params,m=r.themeId;m&&-1===y.indexOf(m)&&(p.push(m),y.push(m));for(var h,g=0;g<a.length;g++)h=a[g],"sdm"===h.key?p.push(h.value):d.push(h.key+"="+h.value)}if(l-f>s&&c.length&&i(),setTimeout(function(){i()},s),n){var v=JSON.parse(n);u.default.record(v.logkey,v.gmkey,v.gokey,v.chksum)}}function o(e){if(!e)return!1;for(var t,n,r,o,i=e.split("&"),a=[],u="",l=0;l<i.length;l++)t=i[l],-1===t.indexOf("=")?(n="sdm",r=t):(o=t.split("="),n=o[0],r=o[1]),"sdm"===n&&(u=r&&r.split("_")[0]),a.push({key:n,value:r});return{themeId:u,params:a}}function i(){var e=[];c.length&&e.push("spm="+c.join(";")),p.length&&e.push("sdm="+p.join(";")),d.length&&e.push(d.join("&")),(c.length||p.length||d.length)&&u.default.record("/exp.1.1","EXP",e.join("&"),"H1703600"),c=[],p=[],d=[],f=l}Object.defineProperty(t,"__esModule",{value:!0});var a=n(14),u=function(e){return e&&e.__esModule?e:{default:e}}(a);t.default={send:r};var l,s=100,f=null,c=[],p=[],d=[],y=[];e.exports=t.default},function(e,t,n){"use strict";e.exports=n(15)},function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}Object.defineProperty(t,"__esModule",{value:!0});var o=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},i=n(4),a=r(i),u=n(16),l=r(u);t.default=o({},a.default,l.default),e.exports=t.default},function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}Object.defineProperty(t,"__esModule",{value:!0});var o=n(0),i=n(17),a=n(18),u=r(a),l=n(4),s=r(l),f=n(5),c=0;t.default={report:function(e){if(++c>20)return!1;var t={screen:i.width+"x"+i.height,sampling:1,url:u.default.format(e),version:"universal-goldlog/2.1.0",native:o.isWeex?1:0},n=Object.assign({name:location.href},t,e);Math.random()*n.sampling<1&&s.default.record("/jstracker.3","OTHER",(0,f.objToParams)(n),"H46777406")}},e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=window.screen,o=r.height,i=r.width;t.width=i=parseInt(i,10),t.height=o=parseInt(o,10),t.width=i,t.height=o},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(0),o={render:"rx_render_err",data:"rx_data_fetch_err"};t.default={format:function(e){var t=location.href||"",n=o[e.type||"custom"]||"rx_user_define_err",i=t.replace(/[\?#].*$/,"").replace(/\/$/,""),a=[i,e.module||"",n].join("/");return r.isWeex?encodeURIComponent(a):a}},e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=function(e){var t=e||"pub";return r[t]?++r[t]:(r[t]=1,r[t])};var r={};e.exports=t.default}])});
            });
          },
          aliUniversalWindvane : function(define, defineName, window) {
            var location = window.location;
            var name = defineName || '@ali/universal-windvane';
            define(name, [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("universal-windvane",function(n,o,t){t.exports=e()});else{var n;n="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,n.UniversalWindvane=e()}}(function(){return function(e){function n(t){if(o[t])return o[t].exports;var i=o[t]={i:t,l:!1,exports:{}};return e[t].call(i.exports,i,i.exports,n),i.l=!0,i.exports}var o={};return n.m=e,n.c=o,n.d=function(e,o,t){n.o(e,o)||Object.defineProperty(e,o,{configurable:!1,enumerable:!0,get:t})},n.n=function(e){var o=e&&e.__esModule?function(){return e.default}:function(){return e};return n.d(o,"a",o),o},n.o=function(e,n){return Object.prototype.hasOwnProperty.call(e,n)},n.p="",n(n.s=0)}([function(e,n,o){"use strict";Object.defineProperty(n,"__esModule",{value:!0});var t=o(1),i="undefined"!=typeof WindVane,r={};r.call=function(e,n,u,f,l){if(t.isWeex){var a=o(4);a.call&&a.call({class:e,method:n,data:u},f)}else i&&WindVane.isAvailable?(r.isAvailable=WindVane.isAvailable,WindVane.call(e,n,u,f,l)):l&&l({msg:"浏览器不支持 windvane",ret:["HY_NOT_SUPPORT_DEVICE"]})},n.default=r,e.exports=n.default},function(e,n,o){"use strict";e.exports=o(2)},function(e,n,o){"use strict";Object.defineProperty(n,"__esModule",{value:!0});var t=o(3);Object.keys(t).forEach(function(e){"default"!==e&&"__esModule"!==e&&Object.defineProperty(n,e,{enumerable:!0,get:function(){return t[e]}})})},function(e,n,o){"use strict";var t="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(n,"__esModule",{value:!0});var i="function"==typeof Symbol&&"symbol"===t(Symbol.iterator)?function(e){return void 0===e?"undefined":t(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":t(e)};n.isWeb="object"===("undefined"==typeof navigator?"undefined":i(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),n.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),n.isWeex="function"==typeof callNative,n.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig},function(e,n){e.exports=require("@weex-module/windvane")}])});
            });
          },
          aliUniversalDataPrefetch : function(define, defineName, window) {
            var location = window.location;
            var name = defineName || '@ali/universal-data-prefetch';
            define(name, [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("universal-data-prefetch",function(t,n,o){o.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.UniversalDataPrefetch=e()}}(function(){return function(e){function t(o){if(n[o])return n[o].exports;var r=n[o]={i:o,l:!1,exports:{}};return e[o].call(r.exports,r,r.exports,t),r.l=!0,r.exports}var n={};return t.m=e,t.c=n,t.d=function(e,n,o){t.o(e,n)||Object.defineProperty(e,n,{configurable:!1,enumerable:!0,get:o})},t.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(n,"a",n),n},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=14)}([function(e,t,n){"use strict";e.exports=n(15)},function(e,t,n){"use strict";function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},a=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),i=function(){function e(){o(this,e),this.isDebugger=!!this.getUrlParam("dc_debug",location.search),this.isAnalyseReqeust=!!this.getUrlParam("data_prefetch_get_request",location.search)}return a(e,[{key:"getUrlParam",value:function(e,t,n){var o=new RegExp("(^|&)"+e+"=([^&]*)(&|$)"),r=t.substr(1).match(o);return null!=r?n?r[2]:decodeURIComponent(r[2]):null}},{key:"compareObj",value:function(e,t){function n(e,t){for(var i in e)void 0===t[i]?o=!1:"object"===r(e[i])?n(e[i],t[i]):e[i]!==t[i]&&(o=!1,a.log("[dc]参数对比失败","comparedKey:",i,"differentValue1:",e[i],"differentValue2:",t[i]));return o}var o=!0,a=this;return o=n(e,t),o&&(o=n(t,e)),o}},{key:"log",value:function(){if(this.isDebugger){var e=Math.floor(1e4*Math.random());console.log("########### [dc] debug start id:["+e+"]");for(var t in arguments)"length"!=t&&console.log(arguments[t]);console.log("########### [dc] debug end id:["+e+"]")}}},{key:"shallowCopyViaKey",value:function(e,t){var n={};try{for(var o=0;o<e.length;o++)if(e[o].name&&void 0!=t[e[o].name]){var r=e[o].name,a=t[r];if("json"==e[o].type)try{a=JSON.parse(JSON.stringify(a))}catch(e){this.log("[dc]shallowCopyViaKey.Parse",e)}n[r]=a}}catch(e){this.log("[dc]shallowCopyViaKey",e)}return n}},{key:"setExternalData",value:function(e,t,n){return e._DCExternal||(e._DCExternal={}),e._DCExternal[t]=n,e}},{key:"parseJSON",value:function(t){try{t=JSON.parse(t)}catch(t){e.log(t)}return t}},{key:"fixStorageEncode",value:function(e){var t=void 0,n=void 0,o=/itemIds\\":\\"([0-9]+\%252C[0-9]+)?/;t=n=e.match(o)&&e.match(o)[1]?e.match(o)[1]:void 0,/\%252C/.test(n)&&n&&(n=n.replace(/\%252C/g,"%2C"));var r=new RegExp(t);return t&&n?e.replace(r,n):e}}]),e}(),u=new i;t.default=u,e.exports=t.default},function(e,t,n){"use strict";function o(e){return e&&e.__esModule?e:{default:e}}function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),i=n(0),u=n(16),l=o(u),c=n(3),f=o(c),s=function(){function e(){r(this,e),this._rate=f.default.sampleRate,this._isHit=!1}return a(e,[{key:"setSampleRate",value:function(e){void 0==e||isNaN(e)||(this._rate=e,this._isHit=i.isWeex&&Math.ceil(100*Math.random())<this._rate)}},{key:"report",value:function(e){this._isHit&&l.default.report({sampling:1,url:"data-prefetch."+location.host+location.pathname,message:JSON.stringify(e)})}},{key:"reportSuccess",value:function(e){this._isHit&&l.default.report({sampling:1,url:(e?"cache.":"mtop.")+"data-prefetch."+location.host+location.pathname,message:""})}}]),e}();t.default=new s,e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default={sampleRate:5,timeOut:1e3,isFirstTimeGetData:!0,compareKeys:[{name:"api"},{name:"v"},{name:"ecode"},{name:"data",type:"json"}],setFirstTimeGetDataFlag:function(){this.isFirstTimeGetData=!1}},e.exports=t.default},function(e,t){e.exports=require("@weex-module/userTrack")},function(e,t,n){"use strict";function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},a=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),i=n(31),u=function(e){return e&&e.__esModule?e:{default:e}}(i),l=function(){function e(){o(this,e)}return a(e,[{key:"remove",value:function(e,t){"object"==(void 0===t?"undefined":r(t))?u.default.removeItem(e,t.successCallback):u.default.removeItem(e,t)}},{key:"set",value:function(e,t,n){"object"==(void 0===n?"undefined":r(n))?u.default.setItem(e,t,n.successCallback):u.default.setItem(e,t,n)}},{key:"get",value:function(e){return new Promise(function(t){u.default.getItem(e,function(e){if("success"==e.result){try{e.data=JSON.parse(e.data)}catch(e){console.error(e)}t(e)}else console.log(e)})})}}]),e}();t.default=new l,e.exports=t.default},function(e,t,n){"use strict";var o="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===o(Symbol.iterator)?function(e){return void 0===e?"undefined":o(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":o(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":r(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(0),r=n(18),a=function(e){return e&&e.__esModule?e:{default:e}}(r),i=n(8),u={CLK:"click",EXP:"expose",OTHER:"other"},l={record:function(e,t,r,l){if(o.isWeex){var c=(0,i.paramsToObj)(r);c.weex=c.weex?c.weex:"1",c.autosend="1";var f=u[t];f=f||"click";var s={logkey:e,weex:1,autosend:1,urlpagename:"",url:c.url||location&&location.href||"","spm-cnt":a.default.getSPM().join("."),cna:"",extendargs:JSON.stringify({}),isonepage:0,_lka:JSON.stringify({gmkey:t,gokey:r}),gokey:r},d=n(4);if(d.commitut){var p=c.name||s.url,m=e;switch(f){case"expose":d.commitut(f,2201,p,"",m,"","",s);break;case"other":d.commitut(f,19999,p,"",m,"","",s);break;case"click":default:d.customAdvance?d.customAdvance(p,2101,m,"","",s):d.commitut(f,2101,p,m,"","","",s)}}else d.commit&&d.commit(f,e,e,s)}else o.isWeb&&window.goldlog&&window.goldlog.record(e,t,r,l)},launch:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:a.default.getPageSPM(),t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},r={checksum:(0,i.makeChkSum)(e.join(".")),is_auto:!1,page_id:""};if(t.page_id&&(r.page_id=t.page_id,delete t.page_id),a.default.setPageSPM(e[0],e[1]),o.isWeex){var u=n(4);t.url=t.url||location&&location.href||"",t["spm-cnt"]=a.default.getPageSPM().join(".")+".0.0",t["spm-url"]=(0,i.getParamFromURL)(t.url,"spm")||"0.0.0.0",t.scm=(0,i.getParamFromURL)(t.url,"scm")||"0.0.0.0",t.cna="",t.weex=1;var l=t.name||(0,i.simplifyURL)(t.url);u.enterEvent?u.enterEvent(l,t):u.commit&&u.commit("enter",l,"",t)}else if(o.isWeb){var c=!!(0,i.getMetaContentByName)("aplus-waiting");if(c){var f=window.goldlog_queue||(window.goldlog_queue=[]);f.push({action:"goldlog.sendPV",arguments:[r,t]})}}}};l.sendPV=l.launch,t.default=l,e.exports=t.default},function(e,t,n){"use strict";function o(e){e="string"==typeof e?e:"";for(var t={},n=e.split("&"),o=0;o<n.length;o++){var r=n[o],a=r.split("="),i=a[0],u=a[1];i&&(t[i]=u)}return t}function r(e){var t=[];for(var n in e)if(e.hasOwnProperty(n)){var o=n,r=e[n];t.push(o+"="+r)}return t.join("&")}function a(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:"spm",n=e.split("?")[1]||"",o="";return n.split("&").forEach(function(e){0===e.indexOf(t+"=")&&(o=e.substr(t.length+1))}),o}function i(e){e=(e||"").split("#")[0].split("?")[0];var t=e.length;return t?function(e){for(var t=e.length,n=0,o=0;o<t;o++)n=31*n+e.charCodeAt(o);return n}(t+"#"+e.charCodeAt(t-1)):-1}function u(e){var t=window.document.getElementsByTagName("meta")[e];return t?t.getAttribute("content"):""}function l(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"";return e.indexOf("_wx_tpl=")>-1&&(e=e.substring(e.indexOf("_wx_tpl=")+"_wx_tpl=".length,e.indexOf(".js")+".js".length)),e.split("?")[0]}Object.defineProperty(t,"__esModule",{value:!0}),t.paramsToObj=o,t.objToParams=r,t.getParamFromURL=a,t.makeChkSum=i,t.getMetaContentByName=u,t.simplifyURL=l},function(e,t,n){"use strict";function o(e){return e&&e.__esModule?e:{default:e}}function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),i=n(10),u=o(i),l=n(2),c=o(l),f=n(1),s=o(f),d=n(5),p=o(d),m=n(0),y=n(3),v=o(y),g=function(){function e(){r(this,e)}return a(e,[{key:"request",value:function(e){if("none"==e.cacheOption.requestBackup)return void this._noMoreRequest(e);this._mtop(e)}},{key:"_noMoreRequest",value:function(e){e.errorCallback("fetch_error_but_not_need_mtop".toLocaleUpperCase()),s.default.log("[dc]不需要 mtop 执行权转移"),c.default.report({type:"no_more_request",startTime:e.perf.startTime,timeElapse:e.perf.startTime-Date.now()})}},{key:"_mtop",value:function(e){Date.now();u.default.request(e.mtopOption,function(t){s.default.setExternalData(t,"isDirty",!1),e.successCallback(t,"mtop_success");var n=Date.now();if(m.isWeex&&e.isDataPrefetchValid){var o={data:t,isDirty:!0,t:n};p.default.set(e.key,JSON.stringify(o),function(){}),p.default.set(e.key+"_backup",JSON.stringify(o),function(){})}s.default.log("[dc]mtop请求成功",t),v.default.isFirstTimeGetData&&(c.default.report({type:"mtop_success",startTime:e.perf.startTime,timeElapse:e.perf.startTime-n}),v.default.setFirstTimeGetDataFlag())},function(t){"function"==typeof e.errorCallback&&e.errorCallback(t,"mtop_error"),s.default.log("[dc]mtop请求失败",t),v.default.isFirstTimeGetData&&(c.default.report({type:"mtop_error",startTime:e.perf.startTime,timeElapse:e.perf.startTime-Date.now()}),v.default.setFirstTimeGetDataFlag())}),c.default.reportSuccess(!1)}}]),e}();t.default=new g,e.exports=t.default},function(e,t,n){"use strict";e.exports=n(24)},function(e,t){e.exports=require("@weex-module/windvane")},function(e,t,n){"use strict";function o(e){return e&&e.__esModule?e:{default:e}}function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),i=n(2),u=o(i),l=n(9),c=o(l),f=n(1),s=o(f),d=n(3),p=o(d),m=n(5),y=o(m),v=!1,g=!0,h=0,b=function(){function e(){r(this,e)}return a(e,[{key:"isDataPrefetchOn",value:function(e){var t=decodeURIComponent(s.default.getUrlParam("wh_prefetch",location.search,!0));if("null"==t)return!1;var n=p.default.compareKeys;try{t=JSON.parse(t)}catch(e){s.default.log("[dc]isDataPrefetchOn.parseJSON",e)}var o=s.default.shallowCopyViaKey(n,t),r=s.default.shallowCopyViaKey(n,e.mtopOption);if("xctrl"==this.compareType)try{o.data.d=JSON.parse(o.data.d),r.data.d=JSON.parse(r.data.d)}catch(e){s.default.log("[dc]xctrl request options compare",e)}return s.default.compareObj(o,r)}},{key:"timeDuration",value:function(e){var t=Date.now();return Math.abs(t-e)}},{key:"validateCache",value:function(e,t,n,o,r){var a=n.data.t;n.data.isDirty&&g&&(g=!1,"function"==typeof e.dirtyCallback&&(n.data.data=s.default.setExternalData(n.data.data,"isDirty",!0),e.dirtyCallback(n.data.data,"dirty_cache_success")),s.default.log("[dc]命中无效cache",n),u.default.report({data:"hit_used_cache",startTime:e.perf.startTime,timeElapse:e.perf.startTime-Date.now(),loopCount:h})),!n.data.isDirty&&!v&&this.timeDuration(a)<3e4&&(v=!0,g=!1,"-1"!=n.data.data?(n.data.data=s.default.setExternalData(n.data.data,"isDirty",!1),e.successCallback(n.data.data,"cache_success"),s.default.log("[dc]命中有效cache",n),p.default.setFirstTimeGetDataFlag(),n.data.isDirty=!0,y.default.set(t,JSON.stringify(n.data),function(e){}),y.default.set(t+"_backup",JSON.stringify(n.data),function(e){}),clearInterval(o),clearTimeout(r),u.default.report({type:"hit_cache",startTime:e.perf.startTime,timeElapse:e.perf.startTime-Date.now(),loopCount:h}),u.default.reportSuccess(!0)):(clearInterval(o),clearTimeout(r),c.default.request(e),s.default.log("[dc]Cache 异常",n),y.default.get(t+"_backup").then(function(t){"function"==typeof e.dirtyCallback&&(n.data.data=s.default.setExternalData(t.data.data,"isDirty",!0),e.dirtyCallback(t.data.data,"dirty_cache_success"))}),u.default.report({type:"cacheError",startTime:e.perf.startTime,timeElapse:e.perf.startTime-Date.now(),loopCount:h}))),h++}},{key:"getCache",value:function(e,t){var n=this;g=!0,v=!1,y.default.get(e).then(function(a){n.validateCache(t,e,a,o,r)});var o=setInterval(function(){y.default.get(e).then(function(a){n.validateCache(t,e,a,o,r)})},50),r=setTimeout(function(){v=!0,clearInterval(o),clearTimeout(r),c.default.request(t),s.default.log("[dc]获取数据超时，走其它方案"),u.default.report({type:"timeOut",startTime:t.perf.startTime,timeElapse:t.perf.startTime-Date.now()})},p.default.timeOut)}}]),e}();t.default=new b,e.exports=t.default},function(e,t,n){"use strict";function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),a=n(1),i=function(e){return e&&e.__esModule?e:{default:e}}(a),u=function(){function e(){o(this,e),this.dynamicInfo={}}return r(e,[{key:"addDynamicInfo",value:function(e){if(!(i.default.isDebugger||i.default.isAnalyseReqeust||"string"!=typeof this.dynamicInfo&&0!=Object.keys(this.dynamicInfo).length))return e;var t=this.checkObjPath(e,this.dynamicInfo);return i.default.isAnalyseReqeust&&t&&(e=this.replaceObjPath(e,this.dynamicInfo)),e}},{key:"checkObjPath",value:function(e,t){for(var n in t)for(var o=t[n].path?t[n].path.split("."):t[n].split("."),r=e,a=0;a<o.length;a++){if(-1==Object.keys(r).indexOf(o[a]))return i.default.log("[dc]参数dynamicInfo路径不存在",o.join(".")),!1;r=r[o[a]]}return!0}},{key:"replaceObjPath",value:function(e,t){for(var n in t)for(var o=t[n].split("."),r=e,a=0;a<o.length;a++)-1!=Object.keys(r).indexOf(o[a])&&(a!=o.length-1?r=r[o[a]]:r[o[a]]=n);return e}}]),e}();t.default=new u,e.exports=t.default},function(e,t,n){"use strict";function o(e){return e&&e.__esModule?e:{default:e}}function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),i=n(2),u=o(i),l=n(23),c=o(l),f=n(45),s=o(f),d=function(){function e(){r(this,e)}return a(e,[{key:"request",value:function(e,t,n,o){var r=t,a=n,i=o&&1==o.offlineData?t:void 0;s.default.reslove(o),c.default.getCache(e,r,a,i)}},{key:"requestDumb",value:function(e,t,n,o){var r=t,a=n,i=o&&1==o.offlineData?t:void 0;s.default.reslove(o),c.default.getCache(e,r,a,i,{recoveryType:"none"})}},{key:"report",value:function(e){u.default.report(e)}},{key:"setSampleRate",value:function(e){u.default.setSampleRate(e)}},{key:"clean",value:function(){c.default.cleanCache()}}]),e}();t.default=new d,e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(6);Object.keys(o).forEach(function(e){"default"!==e&&"__esModule"!==e&&Object.defineProperty(t,e,{enumerable:!0,get:function(){return o[e]}})})},function(e,t,n){"use strict";e.exports=n(17)},function(e,t,n){"use strict";function o(e){return e&&e.__esModule?e:{default:e}}Object.defineProperty(t,"__esModule",{value:!0});var r=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(e[o]=n[o])}return e},a=n(7),i=o(a),u=n(20),l=o(u);t.default=r({},i.default,l.default),e.exports=t.default},function(e,t,n){"use strict";e.exports=n(19)},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(0),r=["0","0"];t.default={getPageSPM:function(){if(o.isWeb&&window.goldlog){var e=window.goldlog.spm_ab;r=e&&Array.isArray(e)&&"0.0"!==e.join(".")?e:r}return r},getSPM:function(e,t){return[].concat(this.getPageSPM(),e||0,t||0)},getSPMQueryString:function(e,t){return"spm="+this.getSPM(e,t).join(".")},setPageSPM:function(e,t){if(r[0]=e,r[1]=t,o.isWeex);else if(o.isWeb)if(window.goldlog&&window.goldlog.setPageSPM)window.goldlog.setPageSPM(e,t);else{var n=window.goldlog_queue||(window.goldlog_queue=[]);n.push({action:"goldlog.setPageSPM",arguments:[e,t]})}}},e.exports=t.default},function(e,t,n){"use strict";function o(e){return e&&e.__esModule?e:{default:e}}Object.defineProperty(t,"__esModule",{value:!0});var r=n(0),a=n(21),i=n(22),u=o(i),l=n(7),c=o(l),f=n(8),s=0;t.default={report:function(e){if(++s>20)return!1;var t={screen:a.width+"x"+a.height,sampling:1,url:u.default.format(e),version:"universal-goldlog/2.1.0",native:r.isWeex?1:0},n=Object.assign({name:location.href},t,e);Math.random()*n.sampling<1&&c.default.record("/jstracker.3","OTHER",(0,f.objToParams)(n),"H46777406")}},e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=window.screen,r=o.height,a=o.width;t.width=a=parseInt(a,10),t.height=r=parseInt(r,10),t.width=a,t.height=r},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(0),r={render:"rx_render_err",data:"rx_data_fetch_err"};t.default={format:function(e){var t=location.href||"",n=r[e.type||"custom"]||"rx_user_define_err",a=t.replace(/[\?#].*$/,"").replace(/\/$/,""),i=[a,e.module||"",n].join("/");return o.isWeex?encodeURIComponent(i):i}},e.exports=t.default},function(e,t,n){"use strict";function o(e){return e&&e.__esModule?e:{default:e}}function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),i=n(1),u=o(i),l=n(9),c=o(l),f=n(12),s=o(f),d=n(32),p=o(d),m=n(0),y=n(37),v=o(y),g=n(5),h=o(g),b=n(41),_=n(44),w=o(_),x=n(13),O=o(x),S=function(){function e(){r(this,e)}return a(e,[{key:"getCache",value:function(e,t,n,o,r){var a=decodeURIComponent(u.default.getUrlParam("wh_needlogin",location.search)),i=decodeURIComponent(u.default.getUrlParam("wh_prefetch",location.search,!0));e=w.default.addMtopDebug(e),e=O.default.addDynamicInfo(e);var l={mtopOption:e,key:i,isDataPrefetchValid:!1,successCallback:t,errorCallback:n,dirtyCallback:o,cacheOption:{requestBackup:!(!r||!r.recoveryType)&&r.recoveryType,recoveryOption:r&&r.recoveryOption?r.recoveryOption:null,url:location.pathname},perf:{startTime:Date.now()}};m.isWeex&&"null"==a?v.default.isTriggerOn().then(function(t){var n=s.default.isDataPrefetchOn(l);l.isDataPrefetchValid=n,u.default.log("[dc]开关:",t.mswitch,"[dc]参数对比:",n),u.default.log("[dc]代码参数:",e,"[dc]链接参数",i),t.mswitch&&n?("xctrl"==s.default.compareType&&"Android"==b.OS&&(l.key=u.default.fixStorageEncode(l.key)),s.default.getCache(i,l)):c.default.request(l)},function(e){c.default.request(l)}):"1"==a?(u.default.log("[dc]需要登录，走 mtop"),p.default.login(function(){c.default.request(l)})):(u.default.log("[dc]非 weex 走 mtop"),c.default.request(l))}},{key:"cleanCache",value:function(e){var t=decodeURIComponent(u.default.getUrlParam("wh_prefetch",location.search,!0));h.default.remove(t,function(t){"function"==typeof e&&e(t)}),h.default.remove(t+"_backup",function(t){"function"==typeof e&&e(t)})}}]),e}();t.default=new S,e.exports=t.default},function(e,t,n){"use strict";function o(e,t,o){var r=n(11);r.call&&(e.param=e.data||e.param,"POST"===e.type&&(e.post="1"),r.call({class:"MtopWVPlugin",method:"send",data:e},function(e){"string"==typeof e&&(e=JSON.parse(e)),e.retType===l.SUCCESS||e.ret&&e.ret[0].indexOf("SUCCESS")>-1?t&&t(e):o&&o(e)}))}function r(e,t){if(!e.disableTracker){var n=void 0;try{n=JSON.stringify(t)}catch(e){}try{(0,u.report)({url:location.protocol+"//"+location.host+location.pathname+"/universal_mtop",type:"data",sampling:10,message:n?n.substring(0,500):e.api+":response can not be parse"})}catch(e){}}}Object.defineProperty(t,"__esModule",{value:!0});var a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(e[o]=n[o])}return e},i=n(0),u=n(25),l={ERROR:-1,SUCCESS:0,TOKEN_EXPIRED:1,SESSION_EXPIRED:2};t.default={request:function(e,t,n){var a=function(o){n=n||t,n&&n(o),r(e,o)};if(i.isWeex)o(e,t,a);else if("undefined"!=typeof lib&&lib.mtop)return lib.mtop.request(e,function(n){n&&n.ret&&n.ret.length&&"WV_ERR::PARAM_PARSE_ERROR"===n.ret[0]?lib.mtop.H5Request(e,t,a):t&&t(n)},a)},config:function(e,t){i.isWeex||"undefined"!=typeof lib&&lib.mtop&&("string"==typeof e?lib.mtop.config[e]=t:lib.mtop.config=a({},lib.mtop.config,e))},RESPONSE_TYPE:l},e.exports=t.default},function(e,t,n){"use strict";e.exports=n(26)},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(0),r=n(27),a=n(30),i=function(e){return e&&e.__esModule?e:{default:e}}(a),u=0;t.default={report:function(e){if(++u>20)return!1;var t={screen:r.width+"x"+r.height,sampling:1,url:i.default.format(e),version:"rx-tracker/1.0.3",native:o.isWeex?1:0},a=Object.assign({},t,e);if(Math.random()*a.sampling<1)if(o.isWeex){var l=n(4);l.commitEvent&&l.commitEvent(location.href,"19999","/jstracker.3","","",a)}else o.isWeb&&"undefined"!=typeof goldlog&&goldlog.send&&goldlog.send("//gm.mmstat.com/jstracker.3",a)}},e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.height=t.width=void 0;var o=n(28),r=function(e){return e&&e.__esModule?e:{default:e}}(o),a=r.default.get("window"),i=a.height,u=a.width;t.width=u=parseInt(u,10),t.height=i=parseInt(i,10),t.width=u,t.height=i},function(e,t,n){"use strict";e.exports=n(29)},function(e,t,n){"use strict";function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(){var e={};if(i.isWeex){var t="undefined"!=typeof WXEnvironment?WXEnvironment:{},n=t.scale||c;e={window:{width:u,height:(t.deviceHeight-l*n)*u/t.deviceWidth,scale:n,fontScale:1},screen:{width:t.deviceWidth,height:t.deviceHeight}}}else if(i.isWeb){var o=document.documentElement;e={window:{width:u,height:o.clientHeight*u/o.clientWidth,scale:window.devicePixelRatio||c,fontScale:1},screen:screen}}return e}Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),i=n(0),u=750,l=64,c=2,f=function(){function e(){o(this,e)}return a(e,null,[{key:"get",value:function(e){return r()[e]}}]),e}();t.default=f,e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(0),r={render:"rx_render_err",data:"rx_data_fetch_err"};t.default={format:function(e){var t=location.href||"",n=r[e.type||"custom"]||"rx_user_define_err",a=t.replace(/[\?#].*$/,"").replace(/\/$/,""),i=[a,e.module||"",n].join("/");return o.isWeex?encodeURIComponent(i):i}},e.exports=t.default},function(e,t){e.exports=require("@weex-module/storage")},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(6),r=void 0;r=n(o.isWeb?33:35),t.default=r,e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(34),r=function(e){return e&&e.__esModule?e:{default:e}}(o);t.default={getUserInfo:function(e){r.default.isLogin(function(t,n){var o=n?n.data||{}:{};e&&e({isLogin:t,info:{userId:o.userNumId,nick:o.nick}})})},login:function(e){r.default.isLogin(function(t,n){var o=n?n.data||{}:{};!0===t?e&&e({isLogin:t,info:{userId:o.userNumId,nick:o.nick}}):r.default.goLogin(void 0,e)})},logout:function(e){r.default.isLogin()?r.default.goLogout():e&&e()}},e.exports=t.default},function(e,t,n){"use strict";function o(e){var t=new RegExp("(?:^|;\\s*)"+e+"\\=([^;]+)(?:;\\s*|$)").exec(k.cookie);return t?t[1]:void 0}function r(e){return e.preventDefault(),!1}function a(e,t){var n=this,o=O.dpr||1,a=document.createElement("div"),i=document.documentElement.getBoundingClientRect(),u=Math.max(i.width,window.innerWidth)/o,l=Math.max(i.height,window.innerHeight)/o;a.style.cssText=["-webkit-transform:scale("+o+") translateZ(0)","-ms-transform:scale("+o+") translateZ(0)","transform:scale("+o+") translateZ(0)","-webkit-transform-origin:0 0","-ms-transform-origin:0 0","transform-origin:0 0","width:"+u+"px","height:"+l+"px","z-index:999999","position:absolute","left:0","top:0px","background:#FFF","display:none"].join(";");var c=document.createElement("div");c.style.cssText=["width:100%","height:52px","background:#EEE","line-height:52px","text-align:left","box-sizing:border-box","padding-left:20px","position:absolute","left:0","top:0","font-size:16px","font-weight:bold","color:#333"].join(";"),c.innerText=e;var f=document.createElement("a");f.style.cssText=["display:block","position:absolute","right:0","top:0","height:52px","line-height:52px","padding:0 20px","color:#999"].join(";"),f.innerText="关闭";var s=document.createElement("iframe");s.style.cssText=["width:100%","height:"+window.innerHeight/o+"px","border:0","overflow:hidden"].join(";"),c.appendChild(f),a.appendChild(c),a.appendChild(s),k.body.appendChild(a),s.src=t,f.addEventListener("click",function(){n.hide();var e=k.createEvent("HTMLEvents");e.initEvent("close",!1,!1),a.dispatchEvent(e)},!1),this.addEventListener=function(){a.addEventListener.apply(a,arguments)},this.removeEventListener=function(){a.removeEventListener.apply(a,arguments)},this.show=function(){document.addEventListener("touchmove",r,!1),a.style.display="block",window.scrollTo(0,0)},this.hide=function(){document.removeEventListener("touchmove",r),window.scrollTo(0,-i.top),k.body.removeChild(a)}}function i(e){if(!e||"function"!=typeof e||!w.default){return!!this.getUserNick()}w.default.request({api:"mtop.user.getUserSimple",v:"1.0",data:{isSec:0},H5Request:!0},function(t){t.retType===w.default.RESPONSE_TYPE.SUCCESS?e(!0,t):t.retType===w.default.RESPONSE_TYPE.SESSION_EXPIRED?e(!1,t):e(void 0,t)})}function u(e){var t;if(S&&(t={},t.promise=new S(function(e,n){t.resolve=e,t.reject=n})),this.isLogin(function(n,o){e&&e(n,o),!0===n?t&&t.resolve(o):t&&t.reject(o)}),t)return t.promise}function l(e){if(!e||"function"!=typeof e){var t="",n=o("_w_tb_nick"),r=o("_nk_")||o("snk"),a=o("sn");return n&&n.length>0&&"null"!=n?t=decodeURIComponent(n):r&&r.length>0&&"null"!=r?t=unescape(unescape(r).replace(/\\u/g,"%u")):a&&a.length>0&&"null"!=a&&(t=decodeURIComponent(a)),t=t.replace(/\</g,"&lt;").replace(/\>/g,"&gt;")}this.isLogin(function(t,n){e(!0===t&&n&&n.data&&n.data.nick?n.data.nick:!1===t?"":void 0)})}function c(e){var t;if(S&&(t={},t.promise=new S(function(e,n){t.resolve=e,t.reject=n})),this.getUserNick(function(n){e&&e(n),n?t&&t.resolve(n):t&&t.reject()}),t)return t.promise}function f(e,t){var n="//"+N+"."+U.subDomain+"."+I+"/"+U[(e||"login")+"Name"];if(t){var o=[];for(var r in t)o.push(r+"="+encodeURIComponent(t[r]));n+="?"+o.join("&")}var a=x.config.loginUrlParams;if(a){var i=[];for(var u in a)i.push(u+"="+encodeURIComponent(a[u]));/\?/.test(n)?n+="&"+i.join("&"):n+="?"+o.join("&")}return n}function s(e,t){t?location.replace(e):location.href=e}function d(e,t,n){function o(e){l.removeEventListener("close",o),O.removeEventListener("message",r),n("CANCEL")}function r(e){var t=e.data||{};t&&"child"===t.type&&t.content.indexOf("SUCCESS")>-1?(l.removeEventListener("close",o),O.removeEventListener("message",r),l.hide(),n("SUCCESS")):n("FAILURE")}var i=location.protocol+"//h5."+U.subDomain+".taobao.com/"+("waptest"===U.subDomain?"src":"other")+"/"+e+"end.html?origin="+encodeURIComponent(location.protocol+"//"+location.hostname),u=f(e,{ttid:"h5@iframe",redirectURL:i}),l=new a(t.title||"您需要登录才能继续访问",u);l.addEventListener("close",o,!1),O.addEventListener("message",r,!1),l.show()}function p(e,t,n){var o=f(e,{wvLoginCallback:"wvLoginCallback"});O.wvLoginCallback=function(e){delete O.wvLoginCallback,n(e.indexOf(":SUCCESS")>-1?"SUCCESS":e.indexOf(":CANCEL")>-1?"CANCEL":"FAILURE")},s(o)}function m(e,t,n){if("function"==typeof t?(n=t,t=null):"string"==typeof t&&(t={redirectUrl:t}),t=t||{},n&&M)p(e,t,n);else if(n&&!j&&"login"===e)d(e,t,n);else{var o=f(e,{redirectURL:t.redirectUrl||location.href});s(o,t.replace)}}function y(e,t,n){var o;if(S&&(o={},o.promise=new S(function(e,t){o.resolve=e,o.reject=t})),m(e,t,function(e){n&&n(e),"SUCCESS"===e?o&&o.resolve(e):o&&o.reject(e)}),o)return o.promise}function v(e,t){m("login",e,t)}function g(e){return y("login",e)}function h(e){m("logout",e)}function b(e){return y("logout",e)}Object.defineProperty(t,"__esModule",{value:!0});var _=n(10),w=function(e){return e&&e.__esModule?e:{default:e}}(_),x={},O=window,S=O.Promise,k=O.document,P=O.navigator.userAgent,C=location.hostname,E=(O.location.search,P.match(/WindVane[\/\s]([\d\.\_]+)/)),j=P.match(/AliApp\(([^\/]+)\/([\d\.\_]+)\)/i),M=!!(j&&"TB"===j[1]&&E&&parseFloat(E[1])>5.2),T=["taobao.net","taobao.com"],R=new RegExp("([^.]*?)\\.?((?:"+T.join(")|(?:").replace(/\./g,"\\.")+"))","i"),D=C.match(R)||[],I=function(){return(D[2]||"taobao.com").match(/\.?taobao\.net$/)?"taobao.net":"taobao.com"}(),L=function(){var e=I,t=D[1]||"m";return"taobao.net"===e&&(t="waptest"),"m"!=t&&"wapa"!=t&&"waptest"!=t&&(t="m"),t}(),N="login",U={loginName:"login.htm",logoutName:"logout.htm",subDomain:L};x.config=U,x.isLogin=i,x.isLoginAsync=u,x.getUserNick=l,x.getUserNickAsync=c,x.generateUrl=f,x.goLogin=v,x.goLoginAsync=g,x.goLogout=h,x.goLogoutAsync=b,t.default=x,e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(36);t.default={getUserInfo:function(e){o.getUserInfo&&o.getUserInfo(function(t){"string"==typeof t&&(t=JSON.parse(t)),e&&e(t)})},login:function(e){o.login&&o.login(function(t){"string"==typeof t&&(t=JSON.parse(t));var n={isLogin:!1};t&&"success"===t.status&&(n.isLogin=!0),t.info&&(n.info=t.info),e&&e(n)})},logout:function(e){o.logout&&o.logout(e)}},e.exports=t.default},function(e,t){e.exports=require("@weex-module/user")},function(e,t,n){"use strict";function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),a=n(38),i=function(e){return e&&e.__esModule?e:{default:e}}(a),u=function(){function e(){o(this,e)}return r(e,[{key:"isTriggerOn",value:function(){return new Promise(function(e,t){var o=n(40);o&&o.prefetchMtopSwitchOn?o.prefetchMtopSwitchOn(function(t){e(t)}):t()})}},{key:"getNetWork",value:function(){return new Promise(function(e){i.default.call("WVNetwork","getNetworkType",{},function(t){e(t)})})}}]),e}();t.default=new u,e.exports=t.default},function(e,t,n){"use strict";e.exports=n(39)},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(0),r="undefined"!=typeof WindVane,a={};a.call=function(e,t,i,u,l){if(o.isWeex){var c=n(11);c.call&&c.call({class:e,method:t,data:i},u)}else r&&WindVane.isAvailable?(a.isAvailable=WindVane.isAvailable,WindVane.call(e,t,i,u,l)):l&&l({msg:"浏览器不支持 windvane",ret:["HY_NOT_SUPPORT_DEVICE"]})},t.default=a,e.exports=t.default},function(e,t){e.exports=require("@weex-module/tbutils")},function(e,t,n){"use strict";e.exports=n(42)},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var o=n(43),r=function(e){return e&&e.__esModule?e:{default:e}}(o);t.default=r.default,e.exports=t.default},function(e,t,n){"use strict";var o="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===o(Symbol.iterator)?function(e){return void 0===e?"undefined":o(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":o(e)},a="Web";"object"===("undefined"==typeof WXEnvironment?"undefined":r(WXEnvironment))&&(a="ios"===WXEnvironment.platform.toLowerCase()?"iOS":"Android"),t.default={OS:a,select:function(e){for(var t=Object.keys(e),n=0;n<t.length;n++)if(t[n].toLowerCase()===a.toLowerCase())return e[t[n]]}},e.exports=t.default},function(e,t,n){"use strict";function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},a=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),i=n(1),u=function(e){return e&&e.__esModule?e:{default:e}}(i),l=function(){function e(){o(this,e),this.data_prefetch_get_request=0}return a(e,[{key:"addMtopDebug",value:function(e){if(u.default.isAnalyseReqeust){u.default.isAnalyseReqeust&&"object"==(void 0===e?"undefined":r(e))&&(e.data_prefetch_get_request=++this.data_prefetch_get_request)}return e}}]),e}();t.default=new l,e.exports=t.default},function(e,t,n){"use strict";function o(e){return e&&e.__esModule?e:{default:e}}function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),i=n(2),u=o(i),l=n(12),c=o(l),f=n(3),s=o(f),d=n(13),p=o(d),m=function(){function e(){r(this,e)}return a(e,[{key:"reslove",value:function(e){e&&(e.sampleRate&&u.default.setSampleRate(e.sampleRate),e.compareType&&"xctrl"==e.compareType.toLowerCase()&&(c.default.compareType="xctrl"),e.timeOut&&!isNaN(e.timeOut)&&(s.default.timeOut=e.timeOut),e.dynamicInfo&&(p.default.dynamicInfo=e.dynamicInfo))}}]),e}();t.default=new m,e.exports=t.default}])});
            });
          },
          aliRaxExpView : function(define, defineName, window) {
            var location = window.location;
            var name = defineName || '@ali/rax-exp-view';
            define(name, [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-exp-view",function(t,n,r){r.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxExpView=e()}}(function(){return function(e){function t(r){if(n[r])return n[r].exports;var o=n[r]={i:r,l:!1,exports:{}};return e[r].call(o.exports,o,o.exports,t),o.l=!0,o.exports}var n={};return t.m=e,t.c=n,t.d=function(e,n,r){t.o(e,n)||Object.defineProperty(e,n,{configurable:!1,enumerable:!0,get:r})},t.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(n,"a",n),n},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=7)}([function(e,t,n){"use strict";e.exports=n(10)},function(e,t,n){"use strict";var r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var o="function"==typeof Symbol&&"symbol"===r(Symbol.iterator)?function(e){return void 0===e?"undefined":r(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":r(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":o(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,n){"use strict";e.exports=n(9)},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(0),o=n(3),i=function(e){return e&&e.__esModule?e:{default:e}}(o),u=n(5),a={CLK:"click",EXP:"expose",OTHER:"other"},l={record:function(e,t,o,l){if(r.isWeex){var s=(0,u.paramsToObj)(o);s.weex=s.weex?s.weex:"1",s.autosend="1";var f=a[t];f=f||"click";var c={logkey:e,weex:1,autosend:1,urlpagename:"",url:s.url||location&&location.href||"","spm-cnt":i.default.getSPM().join("."),cna:"",extendargs:JSON.stringify({}),isonepage:0,_lka:JSON.stringify({gmkey:t,gokey:o})},p=n(6);if(p.commitut){var d=s.name||c.url,y=e;switch(f){case"expose":p.commitut(f,2201,d,"",y,"","",c);break;case"other":p.commitut(f,19999,d,"",y,"","",c);break;case"click":default:p.customAdvance?p.customAdvance(d,2101,y,"","",c):p.commitut(f,2101,d,y,"","","",c)}}else p.commit&&p.commit(f,e,e,c)}else r.isWeb&&window.goldlog&&window.goldlog.record(e,t,o,l)},launch:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:i.default.getPageSPM(),t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},o={checksum:(0,u.makeChkSum)(e.join(".")),is_auto:!1,page_id:""};if(t.page_id&&(o.page_id=t.page_id,delete t.page_id),i.default.setPageSPM(e[0],e[1]),r.isWeex){var a=n(6);t.url=t.url||location&&location.href||"",t["spm-cnt"]=i.default.getPageSPM().join(".")+".0.0",t["spm-url"]=(0,u.getParamFromURL)(t.url,"spm")||"0.0.0.0",t.scm=(0,u.getParamFromURL)(t.url,"scm")||"0.0.0.0",t.cna="",t.weex=1;var l=t.name||(0,u.simplifyURL)(t.url);a.enterEvent?a.enterEvent(l,t):a.commit&&a.commit("enter",l,"",t)}else if(r.isWeb){var s=!!(0,u.getMetaContentByName)("aplus-waiting");if(s){var f=window.goldlog_queue||(window.goldlog_queue=[]);f.push({action:"goldlog.sendPV",arguments:[o,t]})}}}};l.sendPV=l.launch,t.default=l,e.exports=t.default},function(e,t,n){"use strict";function r(e){e="string"==typeof e?e:"";for(var t={},n=e.split("&"),r=0;r<n.length;r++){var o=n[r],i=o.split("="),u=i[0],a=i[1];u&&(t[u]=a)}return t}function o(e){var t=[];for(var n in e)if(e.hasOwnProperty(n)){var r=n,o=e[n];t.push(r+"="+o)}return t.join("&")}function i(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:"spm",n=e.split("?")[1]||"",r="";return n.split("&").forEach(function(e){0===e.indexOf(t+"=")&&(r=e.substr(t.length+1))}),r}function u(e){e=(e||"").split("#")[0].split("?")[0];var t=e.length;return t?function(e){for(var t=e.length,n=0,r=0;r<t;r++)n=31*n+e.charCodeAt(r);return n}(t+"#"+e.charCodeAt(t-1)):-1}function a(e){var t=window.document.getElementsByTagName("meta")[e];return t?t.getAttribute("content"):""}function l(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"";return e.indexOf("_wx_tpl=")>-1&&(e=e.substring(e.indexOf("_wx_tpl=")+"_wx_tpl=".length,e.indexOf(".js")+".js".length)),e.split("?")[0]}Object.defineProperty(t,"__esModule",{value:!0}),t.paramsToObj=r,t.objToParams=o,t.getParamFromURL=i,t.makeChkSum=u,t.getMetaContentByName=a,t.simplifyURL=l},function(e,t){e.exports=require("@weex-module/userTrack")},function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}function o(e,t){var n={};for(var r in e)t.indexOf(r)>=0||Object.prototype.hasOwnProperty.call(e,r)&&(n[r]=e[r]);return n}function i(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function u(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function a(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}Object.defineProperty(t,"__esModule",{value:!0});var l=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},s=function(){function e(e,t){var n=[],r=!0,o=!1,i=void 0;try{for(var u,a=e[Symbol.iterator]();!(r=(u=a.next()).done)&&(n.push(u.value),!t||n.length!==t);r=!0);}catch(e){o=!0,i=e}finally{try{!r&&a.return&&a.return()}finally{if(o)throw i}}return n}return function(t,n){if(Array.isArray(t))return t;if(Symbol.iterator in Object(t))return e(t,n);throw new TypeError("Invalid attempt to destructure non-iterable instance")}}(),f=function(){function e(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,n,r){return n&&e(t.prototype,n),r&&e(t,r),t}}(),c=function e(t,n,r){null===t&&(t=Function.prototype);var o=Object.getOwnPropertyDescriptor(t,n);if(void 0===o){var i=Object.getPrototypeOf(t);return null===i?void 0:e(i,n,r)}if("value"in o)return o.value;var u=o.get;if(void 0!==u)return u.call(r)},p=n(2),d=n(8),y=r(d),g=n(1),v=n(3),m=r(v),h=n(11),b=r(h),_=function(e){function t(){var e,n,r,o;i(this,t);for(var a=arguments.length,l=Array(a),f=0;f<a;f++)l[f]=arguments[f];return n=r=u(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(l))),r.spmD=0,r.hasExposed=!1,r.expose=function(e){var t=r.props,n=(t.onAppear,t.expInfo),o=t.repeatSend;if(!r.hasExposed||o){r.hasExposed=!0;var i=m.default.getPageSPM().concat([]),u=s(i,2),a=u[0],l=u[1],f=r.props["data-spm"],c=r.props["data-sdm"];b.default.send([a,l,f].join("."),c,n)}},o=n,u(r,o)}return a(t,e),f(t,[{key:"getChildContext",value:function(){var e=this,n=this.props["data-spm"],r=m.default.getPageSPM().concat([]),o=s(r,2),i=o[0],u=o[1],a={getSpm:function(){return e.spmD+=1,[i,u,n,e.spmD]},clearSpmD:function(){e.spmD=0}};return c(t.prototype.__proto__||Object.getPrototypeOf(t.prototype),"getChildContext",this)?Object.assign({},c(t.prototype.__proto__||Object.getPrototypeOf(t.prototype),"getChildContext",this).call(this),a):a}},{key:"render",value:function(){var e=this.props,t=e.isIncludeWeb,n=o(e,["isIncludeWeb"]);return g.isWeex||t?(0,p.createElement)(y.default,l({},n,{onAppear:this.expose})):(0,p.createElement)(y.default,n)}}]),t}(p.Component);t.default=_,e.exports=t.default},function(e,t,n){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function o(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":u(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":u(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var u="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},l=function(){function e(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,n,r){return n&&e(t.prototype,n),r&&e(t,r),t}}(),s=n(2),f=n(1),c=function(e){function t(){return r(this,t),o(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),l(t,[{key:"render",value:function(){var e=this.props;if(f.isWeex)return(0,s.createElement)("div",e);var t=a({},p.initial,e.style);return(0,s.createElement)("div",a({},e,{style:t}))}}]),t}(s.Component);c.propTypes={};var p={initial:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"flex",flexDirection:"column",alignContent:"flex-start",flexShrink:0}};t.default=c,e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(0),o=["0","0"];t.default={getPageSPM:function(){if(r.isWeb&&window.goldlog){var e=window.goldlog.spm_ab;o=e&&Array.isArray(e)&&"0.0"!==e.join(".")?e:o}return o},getSPM:function(e,t){return[].concat(this.getPageSPM(),e||0,t||0)},getSPMQueryString:function(e,t){return"spm="+this.getSPM(e,t).join(".")},setPageSPM:function(e,t){if(o[0]=e,o[1]=t,r.isWeex);else if(r.isWeb)if(window.goldlog&&window.goldlog.setPageSPM)window.goldlog.setPageSPM(e,t);else{var n=window.goldlog_queue||(window.goldlog_queue=[]);n.push({action:"goldlog.setPageSPM",arguments:[e,t]})}}},e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(1);Object.keys(r).forEach(function(e){"default"!==e&&"__esModule"!==e&&Object.defineProperty(t,e,{enumerable:!0,get:function(){return r[e]}})})},function(e,t,n){"use strict";e.exports=n(12)},function(e,t,n){"use strict";function r(e,t,n){if(f=null===f?Date.now():f,l=Date.now(),e&&c.push(e),t){var r=o(t),u=r.params,g=r.themeId;g&&-1===y.indexOf(g)&&(p.push(g),y.push(g));for(var v,m=0;m<u.length;m++)v=u[m],"sdm"===v.key?p.push(v.value):d.push(v.key+"="+v.value)}if(l-f>s&&c.length&&i(),setTimeout(function(){i()},s),n){var h=JSON.parse(n);a.default.record(h.logkey,h.gmkey,h.gokey,h.chksum)}}function o(e){if(!e)return!1;for(var t,n,r,o,i=e.split("&"),u=[],a="",l=0;l<i.length;l++)t=i[l],-1===t.indexOf("=")?(n="sdm",r=t):(o=t.split("="),n=o[0],r=o[1]),"sdm"===n&&(a=r&&r.split("_")[0]),u.push({key:n,value:r});return{themeId:a,params:u}}function i(){var e=[];c.length&&e.push("spm="+c.join(";")),p.length&&e.push("sdm="+p.join(";")),d.length&&e.push(d.join("&")),(c.length||p.length||d.length)&&a.default.record("/exp.1.1","EXP",e.join("&"),"H1703600"),c=[],p=[],d=[],f=l}Object.defineProperty(t,"__esModule",{value:!0});var u=n(13),a=function(e){return e&&e.__esModule?e:{default:e}}(u);t.default={send:r};var l,s=100,f=null,c=[],p=[],d=[],y=[];e.exports=t.default},function(e,t,n){"use strict";e.exports=n(14)},function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}Object.defineProperty(t,"__esModule",{value:!0});var o=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},i=n(4),u=r(i),a=n(15),l=r(a);t.default=o({},u.default,l.default),e.exports=t.default},function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}Object.defineProperty(t,"__esModule",{value:!0});var o=n(0),i=n(16),u=n(17),a=r(u),l=n(4),s=r(l),f=n(5),c=0;t.default={report:function(e){if(++c>20)return!1;var t={screen:i.width+"x"+i.height,sampling:1,url:a.default.format(e),version:"universal-goldlog/2.1.0",native:o.isWeex?1:0},n=Object.assign({name:location.href},t,e);Math.random()*n.sampling<1&&s.default.record("/jstracker.3","OTHER",(0,f.objToParams)(n),"H46777406")}},e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=window.screen,o=r.height,i=r.width;t.width=i=parseInt(i,10),t.height=o=parseInt(o,10),t.width=i,t.height=o},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(0),o={render:"rx_render_err",data:"rx_data_fetch_err"};t.default={format:function(e){var t=location.href||"",n=o[e.type||"custom"]||"rx_user_define_err",i=t.replace(/[\?#].*$/,"").replace(/\/$/,""),u=[i,e.module||"",n].join("/");return r.isWeex?encodeURIComponent(u):u}},e.exports=t.default}])});
            });
          },
          aliUniversalShare : function(define, defineName, window) {
            var location = window.location;
            var navigator = window.navigator;
            var name = defineName || '@ali/universal-share';
            define(name, [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("universal-share",function(t,n,o){o.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.UniversalShare=e()}}(function(){return function(e){function t(o){if(n[o])return n[o].exports;var i=n[o]={i:o,l:!1,exports:{}};return e[o].call(i.exports,i,i.exports,t),i.l=!0,i.exports}var n={};return t.m=e,t.c=n,t.d=function(e,n,o){t.o(e,n)||Object.defineProperty(e,n,{configurable:!1,enumerable:!0,get:o})},t.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(n,"a",n),n},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=1)}([function(e,t,n){"use strict";var o="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var i="function"==typeof Symbol&&"symbol"===o(Symbol.iterator)?function(e){return void 0===e?"undefined":o(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":o(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":i(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=function(e,t,i){var l=!1,a=navigator.userAgent;if(o.isWeex&&"TM"===navigator.appName&&(l=!0),!o.isWeex&&/AliApp\((TM)\//i.test(a)&&(l=!0),l&&(e["pc-image"]=e["pc-image"]||e.image,e["mobile-image"]=e["mobile-image"]||e.image,e["iphone-link"]=e["iphone-link"]||e.url,e["android-link"]=e["android-link"]||e.url,e["ipad-link"]=e["ipad-link"]||e.url,e["tmallapp-link"]=e["tmallapp-link"]||e.url,e["aliapp-link"]=e["aliapp-link"]||e.url,e["mobile-link"]=e["mobile-link"]||e.url,e["pc-link"]=e["pc-link"]||e.url,e["all-link"]=e["all-link"]||e.url,e["share-title"]=e["share-title"]||e.title,e["share-intro"]=e["share-intro"]||e.text,e["share-source"]=e["share-source"]||e.shareSource||"shareSource"),o.isWeex){n(2).doShare(e,function(e){if("string"==typeof e)try{e=JSON.parse(e)}catch(e){console.log("share callback param is not valid json: "+JSON.stringify(e))}"success"===e.result||e.ret&&0==e.ret.retCod?t&&t(e):i&&i(e)})}else"all"===e.targets?e.targets=["copy","qrcode","sinaweibo","wxfriend","wxtimeline","qq","dingtalk"]:e.targets=[e.targets],l?r.default.call("TMShare","doShare",e,t,i):r.default.call("TBSharedModule","showSharedMenu",e,t,i)};var o=n(0),i=n(3),r=function(e){return e&&e.__esModule?e:{default:e}}(i)},function(e,t){e.exports=require("@weex-module/share")},function(e,t,n){"use strict";e.exports=n(4)},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(5),i="undefined"!=typeof WindVane,r={};r.call=function(e,t,l,a,u){if(o.isWeex){var s=n(7);s.call&&s.call({class:e,method:t,data:l},a)}else i&&WindVane.isAvailable?(r.isAvailable=WindVane.isAvailable,WindVane.call(e,t,l,a,u)):u&&u({msg:"浏览器不支持 windvane",ret:["HY_NOT_SUPPORT_DEVICE"]})},t.default=r},function(e,t,n){"use strict";e.exports=n(6)},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(0);Object.keys(o).forEach(function(e){"default"!==e&&"__esModule"!==e&&Object.defineProperty(t,e,{enumerable:!0,get:function(){return o[e]}})})},function(e,t){e.exports=require("@weex-module/windvane")}])});
            });
          },
          aliRaxGetTimestamp : function(define, defineName, window) {
            var location = window.location;
            var name = defineName || '@ali/rax-get-timestamp';
            define(name, [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-get-timestamp",function(t,n,o){o.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxGetTimestamp=e()}}(function(){return function(e){function t(o){if(n[o])return n[o].exports;var r=n[o]={i:o,l:!1,exports:{}};return e[o].call(r.exports,r,r.exports,t),r.l=!0,r.exports}var n={};return t.m=e,t.c=n,t.d=function(e,n,o){t.o(e,n)||Object.defineProperty(e,n,{configurable:!1,enumerable:!0,get:o})},t.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(n,"a",n),n},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=1)}([function(e,t,n){"use strict";e.exports=n(2)},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(0),r=n(4),i=function(e){return e&&e.__esModule?e:{default:e}}(r),u=null,a=null,c=!1,f=[],s={success:function(e,t){for(;f.length>0;)f.shift().successCallback(e,t)},fail:function(e){for(;f.length>0;)f.shift().failureCallback(e)}};t.default={getTimestamp:function(e,t){if(arguments.length<2)return void console.log("arguments length must be 2");if(null===u||null===a){if(f.push({successCallback:e,failureCallback:t}),!1===c){c=!0;var r=function(){i.default.request({api:"mtop.common.getTimestamp",v:"1.0",ecode:0},function(e){a=e.data&&e.data.t,u=(new Date).getTime(),c=!0,s.success(a,u)},function(e){c=!1,s.fail(e)})};if(o.isWeex){var l=/iphone(3|4|5)/;if(WXEnvironment&&WXEnvironment.deviceModel&&l.test(WXEnvironment.deviceModel.toLowerCase()))r();else{var d=n(14);d&&d.getServerTimestamp?d.getServerTimestamp(function(e){a=e.data,u=(new Date).getTime(),c=!0,s.success(a,u)}):r()}}else r()}}else e(a,u)}},e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(3);Object.keys(o).forEach(function(e){"default"!==e&&"__esModule"!==e&&Object.defineProperty(t,e,{enumerable:!0,get:function(){return o[e]}})})},function(e,t,n){"use strict";var o="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===o(Symbol.iterator)?function(e){return void 0===e?"undefined":o(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":o(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":r(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t,n){"use strict";e.exports=n(5)},function(e,t,n){"use strict";function o(e,t,o){var r=n(13);r.call&&(e.param=e.data||e.param,"POST"===e.type&&(e.post="1"),r.call({class:"MtopWVPlugin",method:"send",data:e},function(e){"string"==typeof e&&(e=JSON.parse(e)),e.retType===c.SUCCESS||e.ret&&e.ret[0].indexOf("SUCCESS")>-1?t&&t(e):o&&o(e)}))}function r(e,t){if(!e.disableTracker){var n=void 0;try{n=JSON.stringify(t)}catch(e){}try{(0,a.report)({url:location.protocol+"//"+location.host+location.pathname+"/universal_mtop",type:"data",sampling:10,message:n?n.substring(0,500):e.api+":response can not be parse"})}catch(e){}}}Object.defineProperty(t,"__esModule",{value:!0});var i=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(e[o]=n[o])}return e},u=n(0),a=n(6),c={ERROR:-1,SUCCESS:0,TOKEN_EXPIRED:1,SESSION_EXPIRED:2};t.default={request:function(e,t,n){var i=function(o){n=n||t,n&&n(o),r(e,o)};if(u.isWeex)o(e,t,i);else if("undefined"!=typeof lib&&lib.mtop)return lib.mtop.request(e,function(n){n&&n.ret&&n.ret.length&&"WV_ERR::PARAM_PARSE_ERROR"===n.ret[0]?lib.mtop.H5Request(e,t,i):t&&t(n)},i)},config:function(e,t){u.isWeex||"undefined"!=typeof lib&&lib.mtop&&("string"==typeof e?lib.mtop.config[e]=t:lib.mtop.config=i({},lib.mtop.config,e))},RESPONSE_TYPE:c},e.exports=t.default},function(e,t,n){"use strict";e.exports=n(7)},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(0),r=n(8),i=n(11),u=function(e){return e&&e.__esModule?e:{default:e}}(i),a=0;t.default={report:function(e){if(++a>20)return!1;var t={screen:r.width+"x"+r.height,sampling:1,url:u.default.format(e),version:"rx-tracker/1.0.3",native:o.isWeex?1:0},i=Object.assign({},t,e);if(Math.random()*i.sampling<1)if(o.isWeex){var c=n(12);c.commitEvent&&c.commitEvent(location.href,"19999","/jstracker.3","","",i)}else o.isWeb&&"undefined"!=typeof goldlog&&goldlog.send&&goldlog.send("//gm.mmstat.com/jstracker.3",i)}},e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.height=t.width=void 0;var o=n(9),r=function(e){return e&&e.__esModule?e:{default:e}}(o),i=r.default.get("window"),u=i.height,a=i.width;t.width=a=parseInt(a,10),t.height=u=parseInt(u,10),t.width=a,t.height=u},function(e,t,n){"use strict";e.exports=n(10)},function(e,t,n){"use strict";function o(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(){var e={};if(u.isWeex){var t="undefined"!=typeof WXEnvironment?WXEnvironment:{},n=t.scale||f;e={window:{width:a,height:(t.deviceHeight-c*n)*a/t.deviceWidth,scale:n,fontScale:1},screen:{width:t.deviceWidth,height:t.deviceHeight}}}else if(u.isWeb){var o=document.documentElement;e={window:{width:a,height:o.clientHeight*a/o.clientWidth,scale:window.devicePixelRatio||f,fontScale:1},screen:screen}}return e}Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,o.key,o)}}return function(t,n,o){return n&&e(t.prototype,n),o&&e(t,o),t}}(),u=n(0),a=750,c=64,f=2,s=function(){function e(){o(this,e)}return i(e,null,[{key:"get",value:function(e){return r()[e]}}]),e}();t.default=s,e.exports=t.default},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=n(0),r={render:"rx_render_err",data:"rx_data_fetch_err"};t.default={format:function(e){var t=location.href||"",n=r[e.type||"custom"]||"rx_user_define_err",i=t.replace(/[\?#].*$/,"").replace(/\/$/,""),u=[i,e.module||"",n].join("/");return o.isWeex?encodeURIComponent(u):u}},e.exports=t.default},function(e,t){e.exports=require("@weex-module/userTrack")},function(e,t){e.exports=require("@weex-module/windvane")},function(e,t){e.exports=require("@weex-module/tbutils")}])});
            });
          },
          aliRaxWeitaoFollow : function(define, defineName, window) {
            var location = window.location;
            var name = defineName || '@ali/rax-weitao-follow';
            define(name, [], function(require, exports, module) {
              !function(e){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=e();else if("function"==typeof define)define("rax-weitao-follow",function(t,o,n){n.exports=e()});else{var t;t="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:this,t.RaxWeitaoFollow=e()}}(function(){return function(e){function t(n){if(o[n])return o[n].exports;var r=o[n]={i:n,l:!1,exports:{}};return e[n].call(r.exports,r,r.exports,t),r.l=!0,r.exports}var o={};return t.m=e,t.c=o,t.d=function(e,o,n){t.o(e,o)||Object.defineProperty(e,o,{configurable:!1,enumerable:!0,get:n})},t.n=function(e){var o=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(o,"a",o),o},t.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},t.p="",t(t.s=11)}([function(e,t,o){"use strict";e.exports=o(18)},function(e,t,o){"use strict";var n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var r="function"==typeof Symbol&&"symbol"===n(Symbol.iterator)?function(e){return void 0===e?"undefined":n(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":n(e)};t.isWeb="object"===("undefined"==typeof navigator?"undefined":r(navigator))&&("Mozilla"===navigator.appCodeName||"Gecko"===navigator.product),t.isNode="undefined"!=typeof process&&!(!process.versions||!process.versions.node),t.isWeex="function"==typeof callNative,t.isReactNative="undefined"!=typeof __fbBatchedBridgeConfig;t.default=e.exports,t.default=e.exports},function(e,t){e.exports=function(){var e;if(!e)try{e=require("rax")}catch(e){}return e}()},function(e,t,o){"use strict";function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":a(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":a(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var a="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var u=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},l=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),s=o(2),c=o(1),f=function(e){function t(){return n(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),l(t,[{key:"render",value:function(){var e=this.props;if(c.isWeex)return(0,s.createElement)("div",e);var t=u({},p.initial,e.style);return(0,s.createElement)("div",u({},e,{style:t}))}}]),t}(s.Component);f.propTypes={};var p={initial:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"flex",flexDirection:"column",alignContent:"flex-start",flexShrink:0}};t.default=f,e.exports=t.default},function(e,t){e.exports=require("@weex-module/userTrack")},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=o(0),r=o(6),i=function(e){return e&&e.__esModule?e:{default:e}}(r),a=o(7),u={CLK:"click",EXP:"expose",OTHER:"other"},l={record:function(e,t,r,l){if(n.isWeex){var s=(0,a.paramsToObj)(r);s.weex=s.weex?s.weex:"1",s.autosend="1";var c=u[t];c=c||"click";var f={logkey:e,weex:1,autosend:1,urlpagename:"",url:s.url||location&&location.href||"","spm-cnt":i.default.getSPM().join("."),cna:"",extendargs:JSON.stringify({}),isonepage:0,_lka:JSON.stringify({gmkey:t,gokey:r})},p=o(4);if(p.commitut){var d=s.name||f.url,y=e;switch(c){case"expose":p.commitut(c,2201,d,"",y,"","",f);break;case"other":p.commitut(c,19999,d,"",y,"","",f);break;case"click":default:p.customAdvance?p.customAdvance(d,2101,y,"","",f):p.commitut(c,2101,d,y,"","","",f)}}else p.commit&&p.commit(c,e,e,f)}else n.isWeb&&window.goldlog&&window.goldlog.record(e,t,r,l)},launch:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:i.default.getPageSPM(),t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},r={checksum:(0,a.makeChkSum)(e.join(".")),is_auto:!1,page_id:""};if(t.page_id&&(r.page_id=t.page_id,delete t.page_id),i.default.setPageSPM(e[0],e[1]),n.isWeex){var u=o(4);t.url=t.url||location&&location.href||"",t["spm-cnt"]=i.default.getPageSPM().join(".")+".0.0",t["spm-url"]=(0,a.getParamFromURL)(t.url,"spm")||"0.0.0.0",t.scm=(0,a.getParamFromURL)(t.url,"scm")||"0.0.0.0",t.cna="",t.weex=1;var l=t.name||(0,a.simplifyURL)(t.url);u.enterEvent?u.enterEvent(l,t):u.commit&&u.commit("enter",l,"",t)}else if(n.isWeb){var s=!!(0,a.getMetaContentByName)("aplus-waiting");if(s){var c=window.goldlog_queue||(window.goldlog_queue=[]);c.push({action:"goldlog.sendPV",arguments:[r,t]})}}}};l.sendPV=l.launch,t.default=l,e.exports=t.default},function(e,t,o){"use strict";e.exports=o(19)},function(e,t,o){"use strict";function n(e){e="string"==typeof e?e:"";for(var t={},o=e.split("&"),n=0;n<o.length;n++){var r=o[n],i=r.split("="),a=i[0],u=i[1];a&&(t[a]=u)}return t}function r(e){var t=[];for(var o in e)if(e.hasOwnProperty(o)){var n=o,r=e[o];t.push(n+"="+r)}return t.join("&")}function i(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:"spm",o=e.split("?")[1]||"",n="";return o.split("&").forEach(function(e){0===e.indexOf(t+"=")&&(n=e.substr(t.length+1))}),n}function a(e){e=(e||"").split("#")[0].split("?")[0];var t=e.length;return t?function(e){for(var t=e.length,o=0,n=0;n<t;n++)o=31*o+e.charCodeAt(n);return o}(t+"#"+e.charCodeAt(t-1)):-1}function u(e){var t=window.document.getElementsByTagName("meta")[e];return t?t.getAttribute("content"):""}function l(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"";return e.indexOf("_wx_tpl=")>-1&&(e=e.substring(e.indexOf("_wx_tpl=")+"_wx_tpl=".length,e.indexOf(".js")+".js".length)),e.split("?")[0]}Object.defineProperty(t,"__esModule",{value:!0}),t.paramsToObj=n,t.objToParams=r,t.getParamFromURL=i,t.makeChkSum=a,t.getMetaContentByName=u,t.simplifyURL=l},function(e,t,o){"use strict";e.exports=o(26)},function(e,t){e.exports=require("@weex-module/windvane")},function(e,t,o){"use strict";e.exports=o(35)},function(e,t,o){"use strict";function n(e){return e&&e.__esModule?e:{default:e}}function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function i(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}function a(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}function u(e,t){if(!t)return e;for(var o in t)e[o]=t[o];return e}Object.defineProperty(t,"__esModule",{value:!0});var l=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),s=o(2),c=o(3),f=n(c),p=o(12),d=o(16),y=n(d),v=o(23),g=n(v),h=o(8),m=n(h),b=o(10),w=n(b),_=o(6),x=n(_),S=o(38),O=n(S),P=(0,p.createIconSet)({},"iconfont","https://at.alicdn.com/t/font_396131_w58va26yxfl84cxr.ttf"),j=(Object.prototype.hasOwnProperty,{container:{width:"120rem",height:"48rem",justifyContent:"center",alignItems:"center"},icon:{width:"120rem",fontSize:"45rem"}}),E={1:{follow:"",followed:""},2:{follow:"",followed:""}},T=function(e){function t(e){r(this,t);var o=i(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,e));return o.__opt={pos:null,origin:null,isNative:!0,type:2,accountType:0,followColor:"#ff5000",followedColor:"#999",followFontColor:"#fff",followedFontColor:"#f35001",succTip1:"关注成功！",succTip2:"亲可以在微淘动态看见TA的动态咯~",style:{},showUnFollowConfirmation:!1,showCallback:function(e){},addCallback:function(){},removeCallback:function(){}},o.state={status:"follow"},o.initializeState=function(){var e=o;null!==e.opt.followed&&void 0!==e.opt.followed?(e.isLogin=!0,e.setState({status:e.opt.followed?"followed":"follow"})):g.default.getUserInfo(function(t){t.isLogin&&(e.isLogin=!0,e.checkFollow(function(t){t&&e.setState({status:"followed"})}))})},o.popupTip=function(e){w.default.show(e,w.default.SHORT)},o.actionDoFollow=o.actionDoFollow.bind(o),o.isApp=O.default.getVersion(),o}return a(t,e),l(t,[{key:"componentWillMount",value:function(){var e=this;e.opt=u(e.__opt,this.props.config),e.getPageSpm(),e.initializeState()}},{key:"componentWillReceiveProps",value:function(e){var t=this;t.opt=u(t.__opt,e.config),t.initializeState()}},{key:"checkFollow",value:function(e){var t=this,o=t.isApp,n={pubAccountId:this.opt.pubAccountId};o&&t.opt.accountType?O.default.hasFollow(n.pubAccountId,t.opt.accountType,function(o){var r=!1;!0!==o.followState&&"true"!==o.followState||(r=!0),t.record("/tbhy.1.2","H1733413",n.pubAccountId),e&&e(r)}):m.default.request({api:"mtop.cybertron.follow.detail",ecode:"0",v:"1.0",data:n},function(o){var r=!1;"false"!==o.data.follow&&!1!==o.data.follow&&(r=!0),t.record("/tbhy.1.2","H1733413",n.pubAccountId),e&&e(r)},function(e){console.error(e)})}},{key:"getPageSpm",value:function(){var e=x.default.getPageSPM();this.pageSpm=e[0]+"."+e[1]}},{key:"record",value:function(e,t){var o="";o+="wtid="+this.opt.pubAccountId,this.opt.pos&&(o+="&pos="+this.opt.pos),this.pageSpm&&(o+="&spm="+this.pageSpm),y.default.record(e,"",o,t)}},{key:"actionDoFollow",value:function(){var e=this,t="mtop.cybertron.follow.add",o=e.isApp;if("followed"==e.state.status&&(t="mtop.cybertron.follow.remove"),!e.isLogin)return void g.default.login();var n=e.opt.origin;n||(n="h5|"+e.pageSpm,e.opt.origin=n);var r={pubAccountId:e.opt.pubAccountId,origin:n,accountType:e.opt.accountType};o&&r.accountType?"followed"==e.state.status?O.default.removeFollow(r.pubAccountId,r.accountType,e.opt.showUnFollowConfirmation,function(t){t.hasOwnProperty("errorMessage")||(e.opt.removeCallback(),e.setState({status:"follow"}))}):O.default.addFollow(r.pubAccountId,r.accountType,n,function(t){e.record("/tbhy.1.1","H1733391",r.pubAccountId),e.opt.addCallback(),e.setState({status:"followed"})}):m.default.request({api:t,ecode:"1",v:"2.0",needLogin:!0,dataType:"jsonp",data:r},function(t){t.ret[0]&&"SUCCESS"===t.ret[0].split("::")[0]&&("followed"==e.state.status?(e.opt.removeCallback(),e.setState({status:"follow"})):(e.opt.addCallback(),e.opt.godId?e.actionSignin():e.popupTip(e.opt.succTip1+"\n"+e.opt.succTip2),e.record("/tbhy.1.1","H1733391",r.pubAccountId),e.setState({status:"followed"}))),t.ret[0]&&"FAIL_SYS_SESSION_EXPIRED"===t.ret[0].split("::")[0]&&g.default.login(function(t){"SUCCESS"==t&&e.actionDoFollow()})},function(e){console.error(e)})}},{key:"actionSignin",value:function(){var e=this;if(!e.isLogin)return void g.default.login();var t={sellerId:e.opt.godId};m.default.request({api:"mtop.matrixexchange.industrycoin.siginin",ecode:"1",v:"1.0",needLogin:!0,dataType:"jsonp",data:t},function(t){if(t&&t.data&&t.data.value){var o=t.data.value;!0===o.isSuccess||"true"===o.isSuccess?e.popupTip(e.opt.succTip1+"\n"+e.opt.succTip2):e.popupTip("关注成功！\n亲可以在微淘动态看见我的动态咯~")}},function(t){e.popupTip(JSON.stringify(t))})}},{key:"render",value:function(){return(0,s.createElement)(f.default,{style:[j.container,this.opt.style],onClick:this.actionDoFollow},this.opt.render?this.opt.render("followed"===this.state.status):(0,s.createElement)(P,{style:[j.icon,{color:this.opt[this.state.status+"Color"]}],codePoint:E[this.opt.type][this.state.status]}))}}]),t}(s.Component);t.default=T,e.exports=t.default},function(e,t,o){"use strict";function n(e){return e&&e.__esModule?e:{default:e}}function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function i(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":l(t))&&"function"!=typeof t?e:t}function a(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":l(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}function u(e,t,o){return function(n){function u(){return r(this,u),i(this,(u.__proto__||Object.getPrototypeOf(u)).apply(this,arguments))}return a(u,n),c(u,[{key:"render",value:function(){var n="";return this.props.codePoint?n=this.props.codePoint:this.props.name&&(n=e[this.props.name]),(0,f.createElement)(m,{style:this.props.style,fontFamily:t,source:{uri:o,codePoint:n}})}}]),u}(f.Component)}var l="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var s=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},c=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}();t.createIconSet=u;var f=o(2),p=o(1),d=o(3),y=(n(d),o(13)),v=n(y),g=o(14),h=n(g),m=function(e){function t(){return r(this,t),i(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return a(t,e),c(t,[{key:"render",value:function(){var e=this.props.style||{};if(this.props.source.uri&&!this.props.source.codePoint)return(0,f.createElement)(h.default,{source:{uri:this.props.source.uri},style:e});var t=this.props.source.uri,n=this.props.fontFamily,r=s({},e,{fontFamily:n});if(p.isWeb){var i=window.FontFace,a=new i(n,"url("+t+")");document.fonts.add(a)}if(p.isWeex){o(15).addRule("fontFace",{fontFamily:n,src:"url('"+t+"')"})}return(0,f.createElement)(v.default,{style:r},this.props.source.codePoint)}}]),t}(f.Component);m.propTypes={fontFamily:f.PropTypes.string,source:f.PropTypes.object},t.default=m},function(e,t,o){"use strict";function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":l(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":l(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}function a(e,t){var o=e.type,n=e.props,r=n.children;if("function"==typeof o){var i=new o;return i.props=n,r&&(i.props.children=u(r,t)),i.context=t.getChildContext(),i.render()}return e}function u(e,t){var o=[];Array.isArray(e)||(e=[e]);for(var n=0;n<e.length;n++){var r=e[n];"string"==typeof r?o.push(r):"object"===(void 0===r?"undefined":s(r))&&o.push(a(r,t))}return o}var l="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var s="function"==typeof Symbol&&"symbol"===l(Symbol.iterator)?function(e){return void 0===e?"undefined":l(e)}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":void 0===e?"undefined":l(e)},c=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},f=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),p=o(2),d=o(1),y=function(e){function t(){var e,o,i,a;n(this,t);for(var l=arguments.length,s=Array(l),f=0;f<l;f++)s[f]=arguments[f];return o=i=r(this,(e=t.__proto__||Object.getPrototypeOf(t)).call.apply(e,[this].concat(s))),i.renderText=function(){var e=i.props,t=c({},e,{style:e.style||{}}),o="";if(null!=e.children&&(o=Array.isArray(e.children)?e.children.join(""):e.children.toString()),i.context.isInAParentText)return(0,p.createElement)("span",t,o);if(e.onPress&&(t.onClick=e.onPress),d.isWeex)return e.numberOfLines&&(t.style.lines=e.numberOfLines),t.value=o,(0,p.createElement)("text",t);var n=c({},v.text,t.style),r=e.numberOfLines;return r&&(1===parseInt(r)?n.whiteSpace="nowrap":(n.display="-webkit-box",n.webkitBoxOrient="vertical",n.webkitLineClamp=String(r)),n.overflow="hidden"),(0,p.createElement)("span",c({},t,{style:n}),o)},i.renderRichText=function(){var e=i.props,t=e.children,o=c({},e,{style:e.style||{}}),n=c({},v.richtext,o.style);return d.isWeex&&(t=u(t,i)),(0,p.createElement)("p",c({},o,{style:n}),t)},a=o,r(i,a)}return i(t,e),f(t,[{key:"getChildContext",value:function(){return{isInAParentText:!0}}},{key:"render",value:function(){var e=this.props,t=e.children;Array.isArray(t)||(t=[t]);for(var o=!1,n=0;n<t.length;n++){var r=t[n];if(r&&"object"===(void 0===r?"undefined":s(r))){o=!0;break}}return o?this.renderRichText():this.renderText()}}]),t}(p.Component);y.propTypes={},y.contextTypes={isInAParentText:p.PropTypes.bool},y.childContextTypes={isInAParentText:p.PropTypes.bool};var v={text:{border:"0 solid black",position:"relative",boxSizing:"border-box",display:"block",flexDirection:"column",alignContent:"flex-start",flexShrink:0,fontSize:32},richtext:{marginTop:0,marginBottom:0}};t.default=y,e.exports=t.default},function(e,t,o){"use strict";function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!==(void 0===t?"undefined":a(t))&&"function"!=typeof t?e:t}function i(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+(void 0===t?"undefined":a(t)));e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}var a="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e};Object.defineProperty(t,"__esModule",{value:!0});var u=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},l=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),s=o(2),c=o(1),f=o(3),p=function(e){return e&&e.__esModule?e:{default:e}}(f),d=function(e){function t(){return n(this,t),r(this,(t.__proto__||Object.getPrototypeOf(t)).apply(this,arguments))}return i(t,e),l(t,[{key:"render",value:function(){var e=u({},this.props),t=e.source;if(t&&t.uri){var o=e.style,n=t.width,r=t.height,i=t.uri;null==n&&null==r&&null==o.height&&null==o.width&&(n=0,r=0),e.style=u(u({},!this.context.isInAParentText&&{display:"flex"},{width:n,height:r}),o),e.src=i,delete e.source;var a=void 0;a=c.isWeex?"image":"img";var l=e.resizeMode||e.style.resizeMode;return l&&(c.isWeex?(e.resize=l,e.style.resizeMode=l):e.style.objectFit=l),this.props.children?(e.children=null,(0,s.createElement)(p.default,{style:e.style},(0,s.createElement)(a,e),(0,s.createElement)(p.default,{style:y.absoluteImage},this.props.children))):(0,s.createElement)(a,e)}return null}}]),t}(s.Component);d.propTypes={},d.resizeMode={contain:"contain",cover:"cover",stretch:"stretch",center:"center",repeat:"repeat"},d.contextTypes={isInAParentText:s.PropTypes.bool};var y={absoluteImage:{left:0,top:0,position:"absolute"}};t.default=d,e.exports=t.default},function(e,t){e.exports=require("@weex-module/dom")},function(e,t,o){"use strict";e.exports=o(17)},function(e,t,o){"use strict";function n(e){return e&&e.__esModule?e:{default:e}}Object.defineProperty(t,"__esModule",{value:!0});var r=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},i=o(5),a=n(i),u=o(20),l=n(u);t.default=r({},a.default,l.default),e.exports=t.default},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=o(1);Object.keys(n).forEach(function(e){"default"!==e&&"__esModule"!==e&&Object.defineProperty(t,e,{enumerable:!0,get:function(){return n[e]}})})},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=o(0),r=["0","0"];t.default={getPageSPM:function(){if(n.isWeb&&window.goldlog){var e=window.goldlog.spm_ab;r=e&&Array.isArray(e)&&"0.0"!==e.join(".")?e:r}return r},getSPM:function(e,t){return[].concat(this.getPageSPM(),e||0,t||0)},getSPMQueryString:function(e,t){return"spm="+this.getSPM(e,t).join(".")},setPageSPM:function(e,t){if(r[0]=e,r[1]=t,n.isWeex);else if(n.isWeb)if(window.goldlog&&window.goldlog.setPageSPM)window.goldlog.setPageSPM(e,t);else{var o=window.goldlog_queue||(window.goldlog_queue=[]);o.push({action:"goldlog.setPageSPM",arguments:[e,t]})}}},e.exports=t.default},function(e,t,o){"use strict";function n(e){return e&&e.__esModule?e:{default:e}}Object.defineProperty(t,"__esModule",{value:!0});var r=o(0),i=o(21),a=o(22),u=n(a),l=o(5),s=n(l),c=o(7),f=0;t.default={report:function(e){if(++f>20)return!1;var t={screen:i.width+"x"+i.height,sampling:1,url:u.default.format(e),version:"universal-goldlog/2.1.0",native:r.isWeex?1:0},o=Object.assign({name:location.href},t,e);Math.random()*o.sampling<1&&s.default.record("/jstracker.3","OTHER",(0,c.objToParams)(o),"H46777406")}},e.exports=t.default},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=window.screen,r=n.height,i=n.width;t.width=i=parseInt(i,10),t.height=r=parseInt(r,10),t.width=i,t.height=r},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=o(0),r={render:"rx_render_err",data:"rx_data_fetch_err"};t.default={format:function(e){var t=location.href||"",o=r[e.type||"custom"]||"rx_user_define_err",i=t.replace(/[\?#].*$/,"").replace(/\/$/,""),a=[i,e.module||"",o].join("/");return n.isWeex?encodeURIComponent(a):a}},e.exports=t.default},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=o(1),r=void 0;r=o(n.isWeb?24:33),t.default=r,e.exports=t.default},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=o(25),r=function(e){return e&&e.__esModule?e:{default:e}}(n);t.default={getUserInfo:function(e){r.default.isLogin(function(t,o){var n=o?o.data||{}:{};e&&e({isLogin:t,info:{userId:n.userNumId,nick:n.nick}})})},login:function(e){r.default.isLogin(function(t,o){var n=o?o.data||{}:{};!0===t?e&&e({isLogin:t,info:{userId:n.userNumId,nick:n.nick}}):r.default.goLogin(void 0,e)})},logout:function(e){r.default.isLogin()?r.default.goLogout():e&&e()}},e.exports=t.default},function(e,t,o){"use strict";function n(e){var t=new RegExp("(?:^|;\\s*)"+e+"\\=([^;]+)(?:;\\s*|$)").exec(P.cookie);return t?t[1]:void 0}function r(e){return e.preventDefault(),!1}function i(e,t){var o=this,n=S.dpr||1,i=document.createElement("div"),a=document.documentElement.getBoundingClientRect(),u=Math.max(a.width,window.innerWidth)/n,l=Math.max(a.height,window.innerHeight)/n;i.style.cssText=["-webkit-transform:scale("+n+") translateZ(0)","-ms-transform:scale("+n+") translateZ(0)","transform:scale("+n+") translateZ(0)","-webkit-transform-origin:0 0","-ms-transform-origin:0 0","transform-origin:0 0","width:"+u+"px","height:"+l+"px","z-index:999999","position:absolute","left:0","top:0px","background:#FFF","display:none"].join(";");var s=document.createElement("div");s.style.cssText=["width:100%","height:52px","background:#EEE","line-height:52px","text-align:left","box-sizing:border-box","padding-left:20px","position:absolute","left:0","top:0","font-size:16px","font-weight:bold","color:#333"].join(";"),s.innerText=e;var c=document.createElement("a");c.style.cssText=["display:block","position:absolute","right:0","top:0","height:52px","line-height:52px","padding:0 20px","color:#999"].join(";"),c.innerText="关闭";var f=document.createElement("iframe");f.style.cssText=["width:100%","height:"+window.innerHeight/n+"px","border:0","overflow:hidden"].join(";"),s.appendChild(c),i.appendChild(s),i.appendChild(f),P.body.appendChild(i),f.src=t,c.addEventListener("click",function(){o.hide();var e=P.createEvent("HTMLEvents");e.initEvent("close",!1,!1),i.dispatchEvent(e)},!1),this.addEventListener=function(){i.addEventListener.apply(i,arguments)},this.removeEventListener=function(){i.removeEventListener.apply(i,arguments)},this.show=function(){document.addEventListener("touchmove",r,!1),i.style.display="block",window.scrollTo(0,0)},this.hide=function(){document.removeEventListener("touchmove",r),window.scrollTo(0,-a.top),P.body.removeChild(i)}}function a(e){if(!e||"function"!=typeof e||!_.default){return!!this.getUserNick()}_.default.request({api:"mtop.user.getUserSimple",v:"1.0",data:{isSec:0},H5Request:!0},function(t){t.retType===_.default.RESPONSE_TYPE.SUCCESS?e(!0,t):t.retType===_.default.RESPONSE_TYPE.SESSION_EXPIRED?e(!1,t):e(void 0,t)})}function u(e){var t;if(O&&(t={},t.promise=new O(function(e,o){t.resolve=e,t.reject=o})),this.isLogin(function(o,n){e&&e(o,n),!0===o?t&&t.resolve(n):t&&t.reject(n)}),t)return t.promise}function l(e){if(!e||"function"!=typeof e){var t="",o=n("_w_tb_nick"),r=n("_nk_")||n("snk"),i=n("sn");return o&&o.length>0&&"null"!=o?t=decodeURIComponent(o):r&&r.length>0&&"null"!=r?t=unescape(unescape(r).replace(/\\u/g,"%u")):i&&i.length>0&&"null"!=i&&(t=decodeURIComponent(i)),t=t.replace(/\</g,"&lt;").replace(/\>/g,"&gt;")}this.isLogin(function(t,o){e(!0===t&&o&&o.data&&o.data.nick?o.data.nick:!1===t?"":void 0)})}function s(e){var t;if(O&&(t={},t.promise=new O(function(e,o){t.resolve=e,t.reject=o})),this.getUserNick(function(o){e&&e(o),o?t&&t.resolve(o):t&&t.reject()}),t)return t.promise}function c(e,t){var o="//"+W+"."+U.subDomain+"."+L+"/"+U[(e||"login")+"Name"];if(t){var n=[];for(var r in t)n.push(r+"="+encodeURIComponent(t[r]));o+="?"+n.join("&")}var i=x.config.loginUrlParams;if(i){var a=[];for(var u in i)a.push(u+"="+encodeURIComponent(i[u]));/\?/.test(o)?o+="&"+a.join("&"):o+="?"+n.join("&")}return o}function f(e,t){t?location.replace(e):location.href=e}function p(e,t,o){function n(e){l.removeEventListener("close",n),S.removeEventListener("message",r),o("CANCEL")}function r(e){var t=e.data||{};t&&"child"===t.type&&t.content.indexOf("SUCCESS")>-1?(l.removeEventListener("close",n),S.removeEventListener("message",r),l.hide(),o("SUCCESS")):o("FAILURE")}var a=location.protocol+"//h5."+U.subDomain+".taobao.com/"+("waptest"===U.subDomain?"src":"other")+"/"+e+"end.html?origin="+encodeURIComponent(location.protocol+"//"+location.hostname),u=c(e,{ttid:"h5@iframe",redirectURL:a}),l=new i(t.title||"您需要登录才能继续访问",u);l.addEventListener("close",n,!1),S.addEventListener("message",r,!1),l.show()}function d(e,t,o){var n=c(e,{wvLoginCallback:"wvLoginCallback"});S.wvLoginCallback=function(e){delete S.wvLoginCallback,o(e.indexOf(":SUCCESS")>-1?"SUCCESS":e.indexOf(":CANCEL")>-1?"CANCEL":"FAILURE")},f(n)}function y(e,t,o){if("function"==typeof t?(o=t,t=null):"string"==typeof t&&(t={redirectUrl:t}),t=t||{},o&&k)d(e,t,o);else if(o&&!C&&"login"===e)p(e,t,o);else{var n=c(e,{redirectURL:t.redirectUrl||location.href});f(n,t.replace)}}function v(e,t,o){var n;if(O&&(n={},n.promise=new O(function(e,t){n.resolve=e,n.reject=t})),y(e,t,function(e){o&&o(e),"SUCCESS"===e?n&&n.resolve(e):n&&n.reject(e)}),n)return n.promise}function g(e,t){y("login",e,t)}function h(e){return v("login",e)}function m(e){y("logout",e)}function b(e){return v("logout",e)}Object.defineProperty(t,"__esModule",{value:!0});var w=o(8),_=function(e){return e&&e.__esModule?e:{default:e}}(w),x={},S=window,O=S.Promise,P=S.document,j=S.navigator.userAgent,E=location.hostname,T=(S.location.search,j.match(/WindVane[\/\s]([\d\.\_]+)/)),C=j.match(/AliApp\(([^\/]+)\/([\d\.\_]+)\)/i),k=!!(C&&"TB"===C[1]&&T&&parseFloat(T[1])>5.2),M=["taobao.net","taobao.com"],A=new RegExp("([^.]*?)\\.?((?:"+M.join(")|(?:").replace(/\./g,"\\.")+"))","i"),I=E.match(A)||[],L=function(){return(I[2]||"taobao.com").match(/\.?taobao\.net$/)?"taobao.net":"taobao.com"}(),R=function(){var e=L,t=I[1]||"m";return"taobao.net"===e&&(t="waptest"),"m"!=t&&"wapa"!=t&&"waptest"!=t&&(t="m"),t}(),W="login",U={loginName:"login.htm",logoutName:"logout.htm",subDomain:R};x.config=U,x.isLogin=a,x.isLoginAsync=u,x.getUserNick=l,x.getUserNickAsync=s,x.generateUrl=c,x.goLogin=g,x.goLoginAsync=h,x.goLogout=m,x.goLogoutAsync=b,t.default=x,e.exports=t.default},function(e,t,o){"use strict";function n(e,t,n){var r=o(9);r.call&&(e.param=e.data||e.param,"POST"===e.type&&(e.post="1"),r.call({class:"MtopWVPlugin",method:"send",data:e},function(e){"string"==typeof e&&(e=JSON.parse(e)),e.retType===l.SUCCESS||e.ret&&e.ret[0].indexOf("SUCCESS")>-1?t&&t(e):n&&n(e)}))}function r(e,t){if(!e.disableTracker){var o=void 0;try{o=JSON.stringify(t)}catch(e){}try{(0,u.report)({url:location.protocol+"//"+location.host+location.pathname+"/universal_mtop",type:"data",sampling:10,message:o?o.substring(0,500):e.api+":response can not be parse"})}catch(e){}}}Object.defineProperty(t,"__esModule",{value:!0});var i=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var o=arguments[t];for(var n in o)Object.prototype.hasOwnProperty.call(o,n)&&(e[n]=o[n])}return e},a=o(0),u=o(27),l={ERROR:-1,SUCCESS:0,TOKEN_EXPIRED:1,SESSION_EXPIRED:2};t.default={request:function(e,t,o){var i=function(n){o=o||t,o&&o(n),r(e,n)};if(a.isWeex)n(e,t,i);else if("undefined"!=typeof lib&&lib.mtop)return lib.mtop.request(e,function(o){o&&o.ret&&o.ret.length&&"WV_ERR::PARAM_PARSE_ERROR"===o.ret[0]?lib.mtop.H5Request(e,t,i):t&&t(o)},i)},config:function(e,t){a.isWeex||"undefined"!=typeof lib&&lib.mtop&&("string"==typeof e?lib.mtop.config[e]=t:lib.mtop.config=i({},lib.mtop.config,e))},RESPONSE_TYPE:l},e.exports=t.default},function(e,t,o){"use strict";e.exports=o(28)},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=o(0),r=o(29),i=o(32),a=function(e){return e&&e.__esModule?e:{default:e}}(i),u=0;t.default={report:function(e){if(++u>20)return!1;var t={screen:r.width+"x"+r.height,sampling:1,url:a.default.format(e),version:"rx-tracker/1.0.3",native:n.isWeex?1:0},i=Object.assign({},t,e);if(Math.random()*i.sampling<1)if(n.isWeex){var l=o(4);l.commitEvent&&l.commitEvent(location.href,"19999","/jstracker.3","","",i)}else n.isWeb&&"undefined"!=typeof goldlog&&goldlog.send&&goldlog.send("//gm.mmstat.com/jstracker.3",i)}},e.exports=t.default},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.height=t.width=void 0;var n=o(30),r=function(e){return e&&e.__esModule?e:{default:e}}(n),i=r.default.get("window"),a=i.height,u=i.width;t.width=u=parseInt(u,10),t.height=a=parseInt(a,10),t.width=u,t.height=a},function(e,t,o){"use strict";e.exports=o(31)},function(e,t,o){"use strict";function n(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function r(){var e={};if(a.isWeex){var t="undefined"!=typeof WXEnvironment?WXEnvironment:{},o=t.scale||s;e={window:{width:u,height:(t.deviceHeight-l*o)*u/t.deviceWidth,scale:o,fontScale:1},screen:{width:t.deviceWidth,height:t.deviceHeight}}}else if(a.isWeb){var n=document.documentElement;e={window:{width:u,height:n.clientHeight*u/n.clientWidth,scale:window.devicePixelRatio||s,fontScale:1},screen:screen}}return e}Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t){for(var o=0;o<t.length;o++){var n=t[o];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,o,n){return o&&e(t.prototype,o),n&&e(t,n),t}}(),a=o(0),u=750,l=64,s=2,c=function(){function e(){n(this,e)}return i(e,null,[{key:"get",value:function(e){return r()[e]}}]),e}();t.default=c,e.exports=t.default},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=o(0),r={render:"rx_render_err",data:"rx_data_fetch_err"};t.default={format:function(e){var t=location.href||"",o=r[e.type||"custom"]||"rx_user_define_err",i=t.replace(/[\?#].*$/,"").replace(/\/$/,""),a=[i,e.module||"",o].join("/");return n.isWeex?encodeURIComponent(a):a}},e.exports=t.default},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=o(34);t.default={getUserInfo:function(e){n.getUserInfo&&n.getUserInfo(function(t){"string"==typeof t&&(t=JSON.parse(t)),e&&e(t)})},login:function(e){n.login&&n.login(function(t){"string"==typeof t&&(t=JSON.parse(t));var o={isLogin:!1};t&&"success"===t.status&&(o.isLogin=!0),t.info&&(o.info=t.info),e&&e(o)})},logout:function(e){n.logout&&n.logout(e)}},e.exports=t.default},function(e,t){e.exports=require("@weex-module/user")},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=o(36),r=function(e){return e&&e.__esModule?e:{default:e}}(n);t.default=r.default,e.exports=t.default},function(e,t,o){"use strict";function n(e){if(!l){l=document.createElement("div");for(var t in f.container)l.style[t]=f.container[t];document.body.appendChild(l)}l.style.transform="translateX(-50%)",l.style.webkitTransform="translateX(-50%)",l.innerHTML=e}function r(){l&&setTimeout(function(){l.style.transform="translateX(-50%) scale(0.8)",l.style.webkitTransform="translateX(-50%) scale(0.8)"},0)}Object.defineProperty(t,"__esModule",{value:!0});var i=o(1),a=[],u=!1,l=void 0,s={push:function(e,t){a.push({message:e,duration:t}),this.show()},show:function(){var e=this;if(!a.length)return l&&l.parentNode.removeChild(l),void(l=null);if(!u){u=!0;var t=a.shift();n(t.message),setTimeout(function(){r(),u=!1,setTimeout(function(){return e.show()},600)},t.duration)}}},c={SHORT:2e3,LONG:3500,show:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:2e3;if(i.isWeex){var n=o(37);n.toast&&n.toast({message:e,duration:Number(t)/1e3})}else s.push(e,t)}},f={container:{backgroundColor:"rgba(0, 0, 0, 0.6)",boxSizing:"border-box",maxWidth:"80%",color:"#ffffff",padding:"8px 16px",position:"fixed",left:"50%",bottom:"50%",fontSize:"16px",lineHeight:"32px",fontWeight:"600",borderRadius:"4px",textAlign:"center",transition:"all 0.4s ease-in-out",webkitTransition:"all 0.4s ease-in-out",transform:"translateX(-50%)",webkitTransform:"translateX(-50%)",zIndex:9999}};t.default=c,e.exports=t.default},function(e,t){e.exports=require("@weex-module/modal")},function(e,t,o){"use strict";function n(e){return e&&e.__esModule?e:{default:e}}Object.defineProperty(t,"__esModule",{value:!0});var r=o(0),i=o(39),a=n(i),u=o(10),l=n(u),s="TBWeitaoFollowServiceJSBridge";t.default={getVersion:function(){if(r.isWeex)return!0;if(r.isWeb){var e=window.navigator.userAgent,t=void 0;if(t=e.match(/AliApp\(([A-Z\-]+)\/([\d\.]+)\)/i)){var o=t[1],n=t[2].split(".");if("TB"===o){for(var i=n.length;i<4;i++)n.push(0);return this.checkVersion(n)}}return!1}return!1},checkVersion:function(e){var t=void 0,o=window.navigator.userAgent,n=[5,11,0,0],r=[5,10,5,3];if(/iPhone|iPad|iPod/.test(o))t=n;else{if(!/Android/.test(o))return!1;t=r}for(var i=0;i<e.length;i++)for(var a=i+1,u=0;u<a;u++){var l=+e[u],s=t[u];if(l>s)return!0;if(l<s)return!1;if(l===s&&e.length===t.length&&e.length===a)return!0}return!1},hasFollow:function(e,t,o){var n={origin:"weitao|jsbridgetest",accountId:e.toString(),accountType:t.toString()};a.default.call(s,"hasFollowedByParams",n,function(e){"string"==typeof e&&(e=JSON.parse(e)),o(e)},function(e){l.default.show(JSON.stringify(e))})},addFollow:function(e,t,o,n){var r={origin:o||"weitao|jsbridgetest",accountId:e.toString(),accountType:t.toString()};r.showAnimation="true",a.default.call(s,"addFollowByParams",r,function(e){"string"==typeof e&&(e=JSON.parse(e)),n(e)},function(e){l.default.show(JSON.stringify(e))})},removeFollow:function(e,t,o,n){var r={origin:"weitao|jsbridgetest",accountId:e.toString(),accountType:t.toString(),showUnFollowConfirmation:o};a.default.call(s,"removeFollowByParams",r,function(e){"string"==typeof e&&(e=JSON.parse(e)),n(e)},function(e){l.default.show(JSON.stringify(e))})}},e.exports=t.default},function(e,t,o){"use strict";e.exports=o(40)},function(e,t,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=o(0),r="undefined"!=typeof WindVane,i={};i.call=function(e,t,a,u,l){if(n.isWeex){var s=o(9);s.call&&s.call({class:e,method:t,data:a},u)}else r&&WindVane.isAvailable?(i.isAvailable=WindVane.isAvailable,WindVane.call(e,t,a,u,l)):l&&l({msg:"浏览器不支持 windvane",ret:["HY_NOT_SUPPORT_DEVICE"]})},t.default=i,e.exports=t.default}])});
            });
          }
        }
      }
    }
  },
  /**
    * JS Service lifecycle. JS Service `refresh` will before then each instance lifecycle `refresh`. If you want to reset variable or something on instance refresh.
    *
    * @param  {String} id  instance id
    * @param  {Object} env device environment
    */
  refresh: function(id, env, config){
  },
  /**
    * JS Service lifecycle. JS Service `destroy` will before then each instance lifecycle `destroy`. You can deleted variable here. If you doesn't detete variable define in JS Service. The variable will always in the js runtime. It's would be memory leak risk.
    *
    * @param  {String} id  instance id
    * @param  {Object} env device environment
    * @return {Object}
    */
  destroy: function(id, env) {
  }
})